package com.dxhy.admin.sys.entity;

import java.util.Date;

import javax.validation.constraints.NotBlank;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 业务字典
 * 
 * @author jiaohongyang
 */
@Data
@TableName("sys_dictdeta")
public class SysDictdetaEntity {
    /**
     * 字典明细表id
     */
    @TableId
    private Long dictid;

    /**
     * 字典类型关联id
     */
    private Long dicttype;

    /**
     * 明细业务字典名称
     */
    @NotBlank(message = "明细业务字典名称")
    private String dictname;

    /**
     * 排序
     */
    private String sortno;

    /**
     * 状态
     */
    private String status;

    /**
     * 明细业务字典编码
     */
    @NotBlank(message = "明细业务字典编码")
    private String dictcode;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改时间
     */
    private Date lastModifyTime;

    /**
     * 修改人
     */
    private String lastModifyBy;

    private String dicttypecode;
}
