package com.dxhy.admin.sys.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 扫描业务规则
 * 
 * @author jiaohongyang
 */
@Data
@TableName("sys_sign_rules")
public class SysSignRulesEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId
    private Long ruleId;

    private String ruleCode;

    private String ruleName;

    private Date createDate;

    @TableField(exist = false)
    private List<SysRulesDeptEntity> rulesDeptList;
}
