package com.dxhy.admin.sys.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import lombok.Data;

/**
 * 角色
 *
 * @author jiaohongyang
 */
@Data
public class SysRoleModel implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 角色ID
     */
    private Long roleId;

    private String company;
    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 备注
     */
    private String remark;

    private List<Long> menus;

    /**
     * 创建时间
     */
    private Date createTime;

}
