package com.dxhy.base.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.base.model.BaseFpdrrzRespVO;

/**
 *
 *
 * 导入认证发票查询
 *
 * @author zhanghong
 * @date 2019年5月7日
 *
 */
@Mapper
public interface BaseFpdrrzDao extends BaseMapper<BaseFpdrrzRespVO> {
    /**
     *
     * 根据发票代码和发票号码查询数据
     *
     * @param reqMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<BaseFpdrrzRespVO> selectByDrrzCxtj(Map<String, Object> reqMap);
}
