package com.dxhy.base.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.base.model.BaseFpRzRespVO;

/**
 *
 *
 * 认证发票查询
 *
 * @author zhanghong
 * @date 2019年5月7日
 *
 */
@Mapper
public interface BaseFpxxZhDao extends BaseMapper<BaseFpRzRespVO> {

    /**
     * 根据页面条件查询认证发票
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    List<BaseFpRzRespVO> selectByPramsMap(Map<String, Object> pramsMap);

    /**
     * 统计按照页面条件查询发票的合计数量，合计金额，合计税额
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    List<BaseFpRzRespVO> selectRzfpHj(Map<String, Object> pramsMap);

}
