package com.dxhy.base.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.base.entity.BaseTDxDkCount;
import com.dxhy.base.model.BaseTDxDkCountRespVO;
import com.dxhy.common.vo.TaxOrgCode;

/**
 *
 *
 * 抵扣统计表dao
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface BaseTDxDkCountDao extends BaseMapper<BaseTDxDkCount> {

    /**
     * 查询抵扣统计
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    List<BaseTDxDkCountRespVO> selectByDkCount(Map<String, Object> pramsMap);

    /**
     * 获取密码
     *
     * @param taxno
     *            购方税号
     * @return 返回结果
     */
    List<TaxOrgCode> getPassword(String taxno);

}
