package com.dxhy.base.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.base.model.BaseYgxfpqrRespVO;

/**
 * @author kangzq 已勾选发票列表dao
 */
@Mapper
public interface BaseYgxfpqrlbDao extends BaseMapper<BaseYgxfpqrRespVO> {

    /**
     *
     * 根据购方税号和开票日期查询汇总列表数据
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<BaseYgxfpqrRespVO> selectByGfshAndKprq(Map<String, Object> pramsMap);

    /**
     *
     * 根据购方税号和开票日期查询合计信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<BaseYgxfpqrRespVO> selectHjxxByGfshAndKprq(Map<String, Object> pramsMap);

}
