package com.dxhy.base.entity;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 *
 *
 * 全票面信息实体
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@Data
public class BasePmxx implements Serializable {

    private static final long serialVersionUID = -1653384208027699263L;

    /**
     * 发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票
     */
    private String fplxDm;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;

    /**
     * 开票日期
     */
    private Date kprq;

    /**
     * 购方税号
     */
    private String gfsh;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 销方税号
     */
    private String xfsh;

    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲 4-异常
     */
    private String fpztDm;

    /**
     * 明细序号
     */
    private String detailNo;

    /**
     * 货物或应税劳务名称
     */
    private String goodsName;

    /**
     * 规格型号
     */
    private String ggxh;

    /**
     * 单位
     */
    private String dw;

    /**
     * 数量
     */
    private String sl;

    /**
     * 单价
     */
    private String dj;

    /**
     * 金额
     */
    private String je;

    /**
     * 税率
     */
    private String slv;

    /**
     * 税额
     */
    private String se;

    /**
     * 商品编码
     */
    private String spbm;

    /**
     * 记录总数，用于分页查询
     */
    private int count = 0;

}
