package com.dxhy.base.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 抵扣统计明细表实体
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_dk_count_detail")
public class BaseTDxDkCountDetail implements Serializable {

    private static final long serialVersionUID = 5141033135239095551L;

    /**
     * id
     */
    private Long id;

    /**
     * 税号
     */
    private String taxno;

    /**
     * 统计月份
     */
    private String tjMonth;

    /**
     * 统计时间
     */
    private String tjDate;

    /**
     * 发票类型(01增值税专用发票、03机动车销售统一发票、14通行费发票、99总计)
     */
    private String invoiceType;

    /**
     * 抵扣发票份数
     */
    private String dkInvoiceCount;

    /**
     * 抵扣总金额
     */
    private String dkAmountCount;

    /**
     * 抵扣总有效税额
     */
    private String dkTaxAmountCount;

    /**
     * 不抵扣发票份数
     */
    private String bdkInvoiceCount;

    /**
     * 不抵扣总金额
     */
    private String bdkAmountCount;

    /**
     * 不抵扣总有效税额
     */
    private String bdkTaxAmountCount;
}
