package com.dxhy.base.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 统计记录表
 *
 * @author kangzq
 * @date 2019年5月24日
 * @version 1.0
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_dk_count_log")
public class BaseTDxDkCountLog implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 税号
     */
    private String taxno;

    /**
     * 所属期
     */
    private String skssq;

    /**
     * 操作类型0--申请统计 1--确认统计 2--撤销统计
     */
    private String operaType;

    /**
     * 操作人
     */
    private String operaName;

    /**
     * 操作时间
     */
    private String createDate;

    public BaseTDxDkCountLog() {}

}
