package com.dxhy.base.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 商品税收分类编码表
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_goods_num")
public class BaseTDxGoodsNum implements Serializable {

    private static final long serialVersionUID = -3245838203303395165L;

    /**
     * id
     */
    private Long id;

    /**
     * 税收商品编码，按国税总局标准，合并编码
     */
    private String ssbmCode;

    /**
     * 税收商品名称，按国税总局标准，货物和劳务名称
     */
    private String ssbmName;

    /**
     * 商品和服务分类简称，按国税总局标准，商品和服务分类简称
     */
    private String ssbmAbbreviation;

    /**
     * 说明，按国税总局标准，说明
     */
    private String explain;

    /**
     * 中心企业标识
     */
    private String company;

}
