package com.dxhy.base.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 取消签收记录表
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_sign_log")
public class BaseTDxSignLog implements Serializable {

    private static final long serialVersionUID = 5818455366468981565L;

    /**
     * id
     */
    private Long id;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 操作时间
     */
    private Date createTime;

    /**
     * 操作类型：0：签收；1：取消签收；2：转移
     */
    private String handleType;

    /**
     * 操作账号
     */
    private String userAccount;

    /**
     * 操作人
     */
    private String userName;

    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-pdf上传）
     */
    private String qsType;

    /**
     * 备注
     */
    private String remark;

}
