package com.dxhy.base.model;

import com.dxhy.common.vo.UserInfo;

import lombok.Data;

/**
 * @author peipei.li
 * @date 2019-04-24 请求vo基础类，放分页参数
 */
@Data
public class BaseBaseReqVO {

    /**
     * 分页查询需要，页面传入的当前查询第几页
     */
    private Integer curr;
    /**
     * 分页查询需要，页面传入的记录总数
     */
    private Integer count;
    /**
     * 分页查询需要，页面传入的每页显示多少条数据
     */
    private Integer size;

    /**
     * 业务参数
     */
    private String businessCode;

    /**
     * 用户信息
     */
    private UserInfo userInfo;

    private String company;

    private String menuId;

}
