package com.dxhy.base.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 *
 * 发票采集汇总列表响应对象
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@Data
public class BaseFpdrrzRespVO implements Serializable {

    private static final long serialVersionUID = -5212783988559083087L;
    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;

    /**
     * 开票日期
     */
    private String kprq;

    /**
     * 金额
     */
    private String je;
    /**
     * 税额
     */
    private String se;

    /**
     * 抵扣税额
     */
    private String dkse;

    /**
     * 签收日期
     */
    private String qsrq;

    /**
     * 签收状态
     */
    private String qszt;

    /**
     * 签收人
     */
    private String qsr;
    /**
     * 签收方式
     */
    private String qsfs;
    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 不可认证提示
     */
    private String bkrzts;

    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 返回前端是否可以勾选标志
     */
    public Boolean select;
    /**
     * 当前税款所属期
     */
    private String dqskssq;
    /**
     * 全电发票号码
     */
    private String eleInvoiceNo;
}
