package com.dxhy.base.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 *
 * 企业税务信息列表view
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@Data
public class BaseQyxxlbRespVO implements Serializable {

    private static final long serialVersionUID = -1487584503590956341L;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 当前税号
     */
    private String gfsh;

    /**
     * 旧税号
     */
    private String jsh;

    /**
     * 企业名称
     */
    private String gfmc;

    /**
     * 当前税款所属期
     */
    private String skssq;

    /**
     * 勾选开始日期
     */
    private String gxksrq;

    /**
     * 勾选结束日期
     */
    private String gxjsrq;

    /**
     * 所属期结束日期
     */
    private String ssqjsrq;

    /**
     * 信用等级
     */
    private String xydj;

    /**
     * 申报周期
     */
    private String sbzq;

    /**
     * 锁定状态
     */
    private String sdzt;
    /**
     * 本月企业总税额
     */
    private String zse;

    private String newBussiPwd;

    private String companyType;
    private String oilType;
    private String taxpayerType;
    private String syncTime;
    private String indexInfo;
    private String periodIndexInfo;
    private String monthIndexInfo;
    /**
     * 返回前端是否是乐企税号
     */
    private Boolean select;

}
