package com.dxhy.base.model;

import lombok.Data;

/**
 * @author peipei.li
 * @date 2019-04-28 取消已转出进项税列表list
 */
@Data
public class BaseReceiptOutCancelRespVO extends BaseBaseRespVO {

    /**
     * 认证日期
     */
    private String certDate;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 发票状态
     */
    private String invoiceStatusName;
    /**
     * 购方税号
     */
    private String gfsh;
    /**
     * 购方名称
     */
    private String buyerName;
    /**
     * 销方名称
     */
    private String sellerName;
    /**
     * 金额
     */
    private String amount;
    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 转出金额
     */
    private String outAmount;

    /**
     * 转出税额
     */
    private String outTax;

    /**
     * 转出原因
     */
    private String reason;
    /**
     * 转出时间
     */
    private String outDate;

    private String remark;

    private String outBelongDate;

}
