package com.dxhy.base.model;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 扫码勾选查询返回对象
 *
 * @author kangzq
 *
 */
@Setter
@Getter
@ToString
public class BaseSmgxCxRespVO {

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 金额
     */
    private String invoiceAmount;
    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 抵扣税额
     */
    private String dkTaxAmount;

    /**
     * 签收日期
     */
    private String qsDate;

    /**
     * 签收状态
     */
    private String qsStatus;

    /**
     * 签收人
     */
    private String qsName;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 不可勾选提示
     */
    private String bkgxts;
    /**
     * 是否升级地区0,不是，1是
     */
    private String upgradeStatus;
    /**
     * 返回前端是否可以勾选标志
     */
    private Boolean select;
    /**
     * 当前税款所属期
     */
    private String dqskssq;
    /**
     * 全电发票号码
     */
    private String eleInvoiceNo;

}
