package com.dxhy.base.service.fpxxrz;

import java.util.Map;

import com.dxhy.base.model.BaseFpRzRespVO;
import com.dxhy.common.service.MpBaseService;

/**
 *
 *
 * 发票信息综合查询接口
 *
 * @author kangzq
 * @date 2019年4月24日
 *
 */
public interface BaseRzFpxxService extends MpBaseService<BaseFpRzRespVO> {

    /**
     * 根据发票代码、发票号码使用mybatis-plus分页查询发票信息
     *
     * @param size
     *            分页查询需要，页面传入的每页显示多少条数据
     * @param curr
     *            分页查询需要，页面传入的当前查询第几页
     * @param pramsMap
     *            请求参数集合
     *
     * @return 返回结果
     *
     * 
     */
    String selectByPramsMap(Map<String, Object> pramsMap, int curr, int size);

}
