package com.dxhy.base.service.invoicecheck;

import java.util.Map;

import com.dxhy.base.model.BaseYgxfpqrRespVO;
import com.dxhy.common.service.MpBaseService;

/**
 * 已勾选发票查询service
 *
 * @author kangzq
 * @date 2019年5月11日
 * @version 1.0
 */
public interface BaseYgxfpqrService extends MpBaseService<BaseYgxfpqrRespVO> {

    /**
     * 根据购方税号和开票日期查询列表信息
     *
     * @param pramsMap
     *            入参
     * @param curr
     *            页数
     * @param size
     *            条数
     * @return 返回
     */
    String selectByGfshAndKprq(Map<String, Object> pramsMap, int curr, int size);

}
