package com.dxhy.base.service.receipt;

import java.util.Map;

import com.dxhy.base.model.BaseReceiptInvoiceView;
import com.github.pagehelper.PageInfo;

/**
 * @author peipei.li
 * @date 2019-04-25 进项税明细关联抵账表
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseIInvoiceOutService {
    /**
     * 进项税列表
     *
     * @return 返回结果
     * @param filter
     *            请求参数
     */
    PageInfo<BaseReceiptInvoiceView> listPageByInvoice(Map<String, Object> filter);

    /**
     * 不分页
     *
     * @param filter
     *            请求参数
     * @return 返回结果
     */
    BaseReceiptInvoiceView querySumForInvoice(Map<String, Object> filter);
}
