package com.dxhy.base.service.receipt;

import java.util.Map;

/**
 * @author ld
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseTDxOutReasonService {

    /**
     * 转出原因列表
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    String listOutReason(Map<String, String> pramsMap);

    /**
     * 添加转出原因
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    int addOutReason(Map<String, String> pramsMap);

    /**
     * 删除转出原因
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    int deleteOutReason(Map<String, String> pramsMap);

    /**
     * 修改转出原因
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    int updateOutReason(Map<String, String> pramsMap);
}
