package com.dxhy.base.service.tdxrecordinvoice;

import java.util.Map;

import com.dxhy.base.model.BaseYqrzRespVO;
import com.dxhy.common.service.MpBaseService;

/**
 *
 *
 * 逾期发票认证查询接口
 *
 * @author zhanghong
 * @date 2019年5月10日
 *
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseIYqfprzService extends MpBaseService<BaseYqrzRespVO> {
    /**
     * 根据查询条件查询逾期发票信息
     *
     * @param size
     *            分页查询需要，页面传入的每页显示多少条数据
     * @param curr
     *            分页查询需要，页面传入的当前查询第几页
     * @param pramsMap
     *            请求参数集合 @ 异常
     * @return 返回结果
     * 
     */
    String selectByYqcxtj(Map<String, Object> pramsMap, int curr, int size);

}
