package com.dxhy.base.service.tdxrecordinvoice;

import java.util.Map;

import com.dxhy.base.model.BaseYqsqRespVO;
import com.dxhy.common.service.MpBaseService;

/**
 *
 *
 * 逾期申请查询接口
 *
 * @author zhanghong
 * @date 2019年5月8日
 *
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseIYqsqService extends MpBaseService<BaseYqsqRespVO> {
    /**
     * 根据录入的信息查询发票逾期信息
     *
     * @param pramsMap
     *            请求参数集合 @ 异常
     * @return 返回结果
     * 
     */
    String selectByYqsqlb(Map<String, Object> pramsMap);

    /**
     * 根据查询条件查询发票逾期信息
     *
     * @param pramsMap
     *            请求参数集合
     * @param curr
     *            页码
     * @param size
     *            大小 @ 异常
     * @return 返回结果
     * 
     */
    String selectByCxtj(Map<String, Object> pramsMap, int curr, int size);

}
