package com.dxhy.eureka;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.server.EnableEurekaServer;

/**
 * 注册中心
 *
 * @author jiaohongyang
 */
@EnableEurekaServer
@SpringBootApplication
public class DxhyCenterApplication {
    public static void main(String[] args) {
        SpringApplication.run(DxhyCenterApplication.class, args);
    }
}
