package com.dxhy.common.constant;

/**
 * 常量值
 *
 * @author jerome
 * @date 2016/5/26
 */
public class ConfigurerInfo {
    
    public static final int PASSWORD_SIZE = 24;
    
    /**
     * 常量变值配置
     */
    
    public static final String DATA_EXCHANGE_ID = "dataExchangeId";
    public static final String ENCRYPTCODE = "encryptCode";
    public static final String ZIPCODE = "zipCode";
    public static final String CONTENT = "content";
    
    public static final String SECRETID = "SecretId";
    
    public static final String SUCCSSCODE = "0000";
    
    /**
     * 统一的对外接口文档,全新SDK
     * 对外接口版本号--v5
     */
    public static final String INTERFACE_VERSION_V5 = "v5";
    
    
    /**
     * 启用zip压缩
     */
    public static final String ZIPCODE_1 = "1";
    
    /**
     * 启用base64加密
     */
    public static final String ENCRYPTCODE_0 = "0";
    
    /**
     * 启用3DES加密
     */
    public static final String ENCRYPTCODE_1 = "1";
    
    
}

