package com.dxhy.common.service;

import com.alibaba.fastjson.JSONObject;

/**
 * 需要多个数据表才能能完成业务的service 接口需要继承
 * 
 * @date 2019年4月24日
 * @author jiaohongyang
 */
public interface MtBaseService {

    /**
     * 设置结果操作成功
     *
     * @param json
     *            数据
     * @return 返回
     */
    JSONObject succResult(JSONObject json);

    /**
     * 设置结果操作失败
     *
     * @param e
     *            异常信息
     * @return 返回
     */
    JSONObject errorResult(Exception e);
}
