package com.dxhy.common.vo;

import java.io.Serializable;

import lombok.Data;

/**
 * @author jiaohongyang
 */
@Data
public class JwtAuthenticationRequest implements Serializable {

    private static final long serialVersionUID = -8445943548965154778L;

    private String username;
    private String password;
    // 密文（亚宝报销页面跳转登录请求新增参数，key、timestamp和username组合进行Md5加密后的值）
    private String key;
    private String timestamp;
    private String ticket;
    private String service;

}
