package com.dxhy.common.vo;

import java.io.Serializable;
import java.util.List;

import lombok.Data;

/**
 * @author jiaohongyang
 */
@Data
public class UserInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    public String id;
    /**
     * 登录名
     */
    public String loginname;
    /**
     * 用户名
     */
    public String username;
    /**
     * 密码
     */
    public String password;
    /**
     * 描述
     */
    public String name;
    /**
     * 描述
     */
    private String description;
    /**
     * 部门id
     */
    private String deptId;
    /**
     * 集团编码
     */
    private String company;
    /**
     * 签收状态
     */
    private String qsStatus;
    /**
     * 状态
     */
    private String status;
    /**
     * 数据库名称
     */
    private String dbName;
    /**
     * 税号信息
     */
    private List<Tax> org;
    /**
     * 机构编码
     */
    private List<TaxOrgCode> orgCodes;
    /**
     * 业务单元
     */
    private List<Business> business;
    /**
     * 用户类型 1--购方用户 2--供应商
     */
    private String userType;

    /**
     * 销方税号
     */
    private String taxno;

    /**
     * 供应商编码
     */
    private String userCode;

    /**
     * 专票限额
     */
    private String zpAmount;
    /**
     * 普票限额
     */
    private String ppAmount;
    /**
     * 开票类型 01--专票 04 --普票 00 -- 即开专票又开普票
     */
    private String kpType;
    /**
     * 开票人
     */
    private String kpUser;
    /**
     * 收款人
     */
    private String skUser;
    /**
     * 复核人
     */
    private String fhUser;
    /**
     * 税盘类型 1--金税盘 2--税控盘
     */
    private String spType;
    /**
     * 税盘编号
     */
    private String spCode;
    /**
     * 数字证书密码
     */
    private String certPassword;
    /**
     * 数字证书密码
     */
    private String taxPassword;
    /**
     * 系统类型 0--进项 1-- 票池
     */
    private String productType;
}
