package com.dxhy.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.BbfpmxcxRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface BbfpmxDao extends BaseMapper<BbfpmxcxRespVO> {
    /**
     * 根据页面条件查询明细发票信息
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<BbfpmxcxRespVO> selectByPramsMap(Map<String, Object> pramsMap);
}
