package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.BbfpzhmxcxRespVO;

/**
 * 报表发票综合查询明细dao
 *
 * @author user
 */
@Mapper
public interface BbfpzhmxDao extends BaseMapper<BbfpzhmxcxRespVO> {

    /**
     * 根据页面条件查询认证发票
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<BbfpzhmxcxRespVO> selectByPramsMap(Map<String, Object> pramsMap);

}
