package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.BbycfpbbRespVO;

/**
 * 报表异常发票报表查询
 *
 * @author user
 * @date 2019年5月15日
 */

@Mapper
public interface BbycfpbbcxDao extends BaseMapper<BbycfpbbRespVO> {

    /**
     * 按照税号，名称，发票状态发票分组查询的合计数量，合计金额，合计税额
     *
     * @param pramsMap
     * @return
     */
    List<BbycfpbbRespVO> selectBbycfpbbHj(Map<String, Object> pramsMap);

    /**
     * 统计按照页面条件查询发票的合计数量，合计金额，合计税额
     *
     * @param pramsMap
     * @return
     */
    List<BbycfpbbRespVO> selectHjxx(Map<String, Object> pramsMap);

}
