package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.AuthenticationCheckListVO;
import com.dxhy.core.model.FpRzRespVO;

/**
 * 认证发票查询
 *
 * @author
 */

@Mapper
public interface FpxxZhDao extends BaseMapper<FpRzRespVO> {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.FpRzRespVO>
     */
    List<FpRzRespVO> selectByPramsMap(Map<String, Object> pramsMap);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.AuthenticationCheckListVO>
     */
    List<AuthenticationCheckListVO> selectTaxRebateByPramsMap(Map<String, Object> pramsMap);
}
