package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.FpRzRespVO;

/**
 * 勾选发票确认查询
 *
 * @author user
 */
@Mapper
public interface GxfpqrDao extends BaseMapper<FpRzRespVO> {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     *            查询条件
     * @return java.util.List<com.dxhy.core.model.FpRzRespVO>
     */
    List<FpRzRespVO> selectByPramsMap(Map<String, Object> pramsMap);

}
