package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.ReceiptInvoiceView;

/**
 * 进项税相关dao
 *
 * @author user
 */
@Mapper
public interface InvoiceOutDao extends BaseMapper<ReceiptInvoiceView> {
    /**
     * 根据条件查询发票抵账表部分信息
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param filter
     *            查询条件
     * @return java.util.List<com.dxhy.core.model.ReceiptInvoiceView>
     */
    List<ReceiptInvoiceView> listPageByInvoice(Map<String, Object> filter);
}
