package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.JxsemxbbRespVO;

/**
 * 进项税额明细报表
 *
 * @author user
 */
@Mapper
public interface JxsemxbbDao extends BaseMapper<JxsemxbbRespVO> {

    /**
     * 取金额税额
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<JxsemxbbRespVO> selectzp(Map<String, Object> pramsMap);

    /**
     * 取名称
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<JxsemxbbRespVO> selectname(Map<String, Object> pramsMap);

}
