package com.dxhy.core.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.dxhy.core.entity.InvoiceMainBody;

/**
 * @author user
 */
@Mapper
public interface OtherInvoiceDetailDao {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param selectId
     *            selectId
     * @return java.util.List<com.dxhy.core.entity.InvoiceMainBody>
     */
    List<InvoiceMainBody> selectPassengerTheme(@Param("selectId") String selectId);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param invoiceNo
     *            发票号码
     * @param invoiceCode
     *            发票代码
     * @return java.util.List<com.dxhy.core.entity.InvoiceMainBody>
     */
    List<InvoiceMainBody> selectInvoiceMainBody(@Param("invoiceNo") String invoiceNo,
        @Param("invoiceCode") String invoiceCode);
}
