package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.QstjbRespVO;

/**
 * 发票签收统计查询
 *
 * @author user
 */

@Mapper
public interface QstjbDao extends BaseMapper<QstjbRespVO> {
    /**
     * 根据查询条件查询统计数据
     *
     * @param pramsMap
     * @return
     *
     */
    List<QstjbRespVO> selectQstjbByCxtj(Map<String, Object> pramsMap);

    /**
     * 根据查询条件查询已签收未认证报表
     *
     * @param pramsMap
     * @return
     *
     */
    List<QstjbRespVO> selectYqswrzByCxtj(Map<String, Object> pramsMap);

}
