package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.entity.TDxCheckInvoiceDetail;

/**
 * 查验明细dao
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxCheckHistoryDetailDao extends BaseMapper<TDxCheckInvoiceDetail> {

    /**
     * 查询查验历史明细记录
     *
     * @param pramsMap
     * @return
     *
     */
    List<TDxCheckInvoiceDetail> selectCheckHistoryDetail(Map<String, Object> pramsMap);

}
