package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import com.dxhy.core.model.CheckInvoiceVO;
import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.entity.TDxCheckLog;

/**
 * 查验记录表dao
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxCheckLogDao extends BaseMapper<TDxCheckLog> {

    /**
     * 查询查验历史记录
     *
     * @param pramsMap
     * @return
     *
     */
    List<CheckInvoiceVO> selectCheckHistory(Map<String, Object> pramsMap);

}
