package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.entity.TDxExportCustoms;
import com.dxhy.core.model.ExportCustomsRzcxVO;

/**
 * TDxExportCustomsDao继承基类
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxExportCustomsDao extends BaseMapper<TDxExportCustoms> {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String, Object> queryCustomsRzcxSum(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.ExportCustomsRzcxVO>
     */
    List<ExportCustomsRzcxVO> queryCustomsRzcx(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.ExportCustomsRzcxVO>
     */
    List<ExportCustomsRzcxVO> queryExportCustomsList(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String, Object> queryExportCustomsSum(@Param("queryParams") Map<String, Object> pramsMap);
}
