package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import com.dxhy.core.model.FpcjWbfpmxRespVO;
import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.entity.TDxRecordInvoice;
import com.dxhy.core.model.RecordInvoiceModel;

/**
 * 底账表dao
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxRecordInvoiceDao extends BaseMapper<TDxRecordInvoice> {

    /**
     * 查询未补明细发票
     *
     * @param pramsMap
     * @return
     *
     */
    List<FpcjWbfpmxRespVO> selectWbfpmx(Map<String, Object> pramsMap);

    /**
     * 查询未补明细发票合计信息
     *
     * @param pramsMap
     * @return
     *
     */
    List<TDxRecordInvoice> selectWbfpmxHj(Map<String, Object> pramsMap);

    /**
     * 逾期预警
     *
     * @param pramsMap
     * @return
     */

    List<RecordInvoiceModel> queryInvoice(Map<String, Object> pramsMap);

}
