package com.dxhy.core.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.job.entity.TDxRecordInvoiceDetail;
import com.dxhy.core.job.entity.TDxVehicleSaleInvoice;

/**
 * 底账明细表dao
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxRecordInvoiceDetailDao extends BaseMapper<TDxRecordInvoiceDetail> {
    /**
     * 获取销项发票明细
     *
     * @param uuid
     *            主键id
     * @return 返回
     */
    List<TDxRecordInvoiceDetail> getSalesInvoiceDetail(String uuid);

    /**
     * 获取机动车销项明细
     * 
     * @param uuid
     *            uuid
     * @return 返回
     */
    TDxVehicleSaleInvoice getVehicleDetailSales(String uuid);

}
