package com.dxhy.core.entity;

import java.io.Serializable;

import lombok.Data;

/**
 * @author user
 */
@Data
public class ExtOtherInvoice implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private String id;
    /**
     * 序号
     */
    private String xh;
    /**
     * 发票类型
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String invoiceType;
    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 金额
     */
    private String invoiceAmount;
    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收5-pdf上传签收
     */
    private String qsfs;
    /**
     * 签收状态
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String qszt;
    /**
     * 签收日期
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String qsrq;
    /**
     * 签收人
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String qsr;
    /**
     * 票据来源
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String sourceSystem;
    /** 业务单号 */
    private String businessDocumentNumber;
    private String createDate;

    private String snVoucherNumber;
    private String postingTime;
    private String imageId;
    private String accountPeriod;
    private String compCode;
}
