package com.dxhy.core.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;

import lombok.Data;

/**
 * @author user
 */
@Data
public class SysCustomsLog {
    @TableId
    private Long id;
    /**
     * 缴款书号码
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String customsCode;
    /**
     * 类型 1--采集 2--认证 3--签收 4--取消签收 5--设置不认证 6--状态变更 7--退税认证 8--出口转内销认证 9--出口转内销不认证
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String type;
    /**
     * 操作时间
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date createDate;
    /**
     * 操作人
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String inputName;

    /**
     * 操作状态 0--采集成功 1--签收成功 2--签收失败 3--认证成功 4--认证失败 5--取消签收成功 6--取消签收失败 7--设置不认证申请8--设置不认证成功 9--设置不认证失败10--取消不认证申请 //
     * 11--取消不认证成功12--取消不认证失败 15--撤销认证申请16--撤销认证成功 17--撤销认证失败19--状态变更
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String inputStatus;
    /**
     * 签收方式 0--扫码签收 1--扫描仪签收 2--app签收 3-- 导入签收 4-- 手工签收 5-- pdf、ofd上传签收
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String qsType;
    /**
     * 认证方式 0--扫描认证 1--设置不认证 2-- 勾选认证
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String rzType;
}
