package com.dxhy.core.entity;

import java.util.Date;

import lombok.Data;

/**
 * @author user
 */
@SuppressWarnings({"AlibabaLowerCamelCaseVariableNaming", "AlibabaClassNamingShouldBeCamel"})
@Data
public class TDxCheckInvoiceDetail {

    private Long id;
    /**
     * 发票代码
     */
    private String FPDM;
    /**
     * 发票号码
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String FPHM;
    /**
     * 开票日期
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date KPRQ;
    /**
     * 购方名称
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String GFMC;

    private String GFSH;
    /**
     * 销方名称
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String XFMC;

    private String XFSH;
    /**
     * 金额
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String JE;
    /**
     * 税额
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String SE;
    /**
     * 价税合计
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String JSHJ;
    /**
     * 校验码
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String JYM;

    private String CYJGTIP;

    private String FPZL;

    private String CYJGCODE;
    /**
     * 备注
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String BZ;
    /**
     * 购方地址电话
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String GFDZDH;
    /**
     * 购方银行账号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String GFYHZH;
    /**
     * 销方地址电话
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String XFDZDH;
    /**
     * 销方银行账号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String XFYHZH;
    /**
     * 货物或应税劳务名称
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String goodsName;
    /**
     * 规格型号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String MODEL;
    /**
     * 单位
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String UNIT;
    /**
     * 数量
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String NUM;

    /**
     * 单价
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String unitPrice;
    /**
     * 发票明细税额
     */
    private String detailTaxAmount;
    /**
     * 发票明细金额
     */
    private String detailAmount;
    /**
     * 税率
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String taxRate;
    /**
     * 作废标志
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String ZFBZ;

    private String checkUser;

    private String createDate;
    private String cph;
    private String lx;
    private String txrqq;
    private String txrqz;
}
