package com.dxhy.core.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 查验记录表
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_check_log")
public class TDxCheckLog implements Serializable {

    private static final long serialVersionUID = 8626068424800691229L;

    /**
     * id
     */
    private Long id;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 处理时间
     */
    private Date handleDate;

    /**
     * 处理结果
     */
    private String handleCode;

    /**
     * 处理过程
     */
    private String handleCourse;

    /**
     * 描述(查验结果)
     */
    private String checkMassege;

    /**
     * 查验账号
     */
    private String checkUser;

    /**
     * 开票日期
     */
    private Date invoiceDate;

    /**
     * 购方名称
     */
    private String buyerName;

    /**
     * 销方名称
     */
    private String salerName;

    /**
     * 价税合计
     */
    private BigDecimal totalAmount;

    /**
     * 金额
     */
    private BigDecimal invoiceAmount;

    /**
     * 税额
     */
    private BigDecimal taxAmount;

    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 查验月份
     */
    private String checkMonth;

    /**
     * 查验张数
     */
    private String checkCount;
    /**
     * 查验成功张数
     */
    private String checkSuccessCount;

    /**
     * 查验失败张数
     */
    private String checkErrorCount;

    /**
     * 发票状态
     */
    private String invoiceStatus;

    private String scanId;
}
