package com.dxhy.core.entity;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * 扫描图片表
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
public class TDxInvoiceImg implements Serializable {

    private static final long serialVersionUID = -6466414762911394546L;

    /**
     * id
     */
    private Long id;

    /**
     * 图片内容
     */
    private String image;

    /**
     * 图片路径
     */
    private String imagePath;

    /**
     * 唯一索引[发票代码+号码]
     */
    private String uuid;

    /**
     * 是否有效
     */
    private String valid;

    /**
     * 唯一识别码
     */
    private String scanId;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 更新时间
     */
    private Date updateDate;

    private String migrationType;
    /**
     * ocr识别标识
     */
    private String ocrStatus;

}
