package com.dxhy.core.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @author user
 */
@FeignClient(value = "${excel.feginName:dxhy-extend}", path = "/websocketFegin")
public interface IFeginWebsocket {
    /**
     * 向websocket发送数据
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param userName
     *            用户名
     * @return void
     */
    @RequestMapping(value = "/setMessageToWebsocket", method = RequestMethod.POST)
    void setMessageToWebsocket(@RequestBody String userName);
}
