package com.dxhy.core.job.bxvo;

import com.dxhy.core.job.pojo.Authorize;
import com.dxhy.core.job.pojo.GlobalInfo;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * openapi同意请求类
 */
@Data
@ToString
public class BxRequestData implements Serializable {
    /**
     * 鉴权信息
     */
    @NotNull
    private Authorize authorize;
    /**
     * 全局信息
     */
    @NotNull
    private GlobalInfo globalInfo;
    /**
     * 业务数据
     */
    private List<Object> data;
}
