package com.dxhy.core.job.bxvo;

import lombok.Data;

import java.util.List;

/**
 * 规则引擎返回发票信息实体类
 */
@Data
public class ControlRulesInvoiceResponse {
    //发票类型编码
    private String invoiceTypeCode;
    //发票代码
    private String invoiceCode;
    //发票号码
    private String invoiceNo;
    //火车票
    private String trainNumber;
    //飞机票班次
    private String flightNumber;
    //发票唯一标识
    private String uuid;
    private String ticketNumber;
    //对应规则校验异常返回
    private List<EnterpriseInfoEntity> ruleCheckApiList;
}
