package com.dxhy.core.job.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.job.entity.SysDept;
import com.dxhy.core.job.entity.TDxViolationRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxViolationRecordDao extends BaseMapper<TDxViolationRecord> {
    SysDept selectDeptIdAndKey(@Param("taxno") String taxno);

    List<TDxViolationRecord> selectRecordNoResult();

    void updateRecordValid(@Param("list") List<String> list);
}
