package com.dxhy.core.job.entity;

import com.dxhy.core.job.pojo.BasePojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 功能描述
 *
 * @author 陈刚扬
 * @date 2020/10/30
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CustomsInfo extends BasePojo {
    /**
     * 海关缴款书号 码
     */
    private String customsNo;
    /**
     * 转内销证明编号
     */
    private String toDivertCode;
    /**
     * 当前税款所属 期
     */
    private String currentTaxPeriod;
    /**
     * 当前税款所属期勾选截止日
     */
    private String legalizeEndDate;
    /**
     * 当前税款所属 期可勾选填发 日期起
     */
    private String legalizeInvoiceDateBegin;
    /**
     * 当前税款所属 期可勾选填发 日期止
     */
    private String legalizeInvoiceDateEnd;
    /**
     * 购方税号
     */
    private String buyerTaxNo;
    /**
     * 填发日期
     */
    private String fillInDate;
    /**
     * 税款金额
     */
    private String amount;
    /**
     * 认证状态 0-未认证 1-已认证
     */
    private String legalizeState;
    /**
     * 认证日期
     */
    private String legalizeDate;
    /**
     * 认证归属期
     */
    private String legalizeBelongDate;
    /**
     * 认证类型 0-未抵扣1-抵扣 2-退税 4-不抵扣
     */
    private String rzlx;
    /**
     * 信息来源
     */
    private String xxly;
    /**
     * 有效税额
     */
    private String yxse;
    /**
     * 管理状态
     */
    private String glzt;
    /**
     * 是否录入不符项
     */
    private String isDiscrepancy;
    private String bdkMessage;

    public void setIsDiscrepancy(String isDiscrepancy) {
        this.isDiscrepancy = isDiscrepancy;
    }

    public String getIsDiscrepancy() {
        return isDiscrepancy;
    }
}
