package com.dxhy.core.job.pojo;

import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author user
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DataPlatformInvoiceInfo extends BasePojo {

    private static final long serialVersionUID = 9140037500021701297L;

    private String uuid;

    private String invoiceCode;

    private String invoiceNo;

    private String invoiceDate;

    private String invoiceType;

    private String checkCode;

    private String buyerName;

    private String buyerTaxNo;

    private String buyerAddressPhone;

    private String totalAmount;

    private String legalizeState;

    private String legalizeDate;

    private String legalizeType;

    private String remark;

    // 以下为新增字段

    private String printerNo;

    private String buyerBankAccount;

    private String buyerType;

    private String buyerProvince;

    private String buyerMobile;

    private String buyerWechat;

    private String buyerEmail;

    private String totalTaxAmount;

    private String allAmount;

    private String sellerName;

    private String sellerTaxNo;

    private String sellerAddressPhone;

    private String sellerBankAccount;

    private String payee;

    private String reviewer;

    private String printor;

    private String isSaleList;

    private String invoiceState;

    private String isRed;

    private String blueCode;

    private String blueNo;

    private String legalizeBelongDate;

    private String detailYesorno;

    private List<DataPlatformInvoiceDetailInfo> detailList;

    private String txfbz;

    private String lslbz;

    /**
     * 票池采集时间
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date collectDate;
    /**
     * 票池采集来源
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String collectFrom;
    /**
     * 票池采集状态
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String collectStatus;
    /**
     * 票池入池状态
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String poolStatus;
    /**
     * 票池入池失败原因
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String inPoolReason;

    /**
     * company
     */
    private String company;

    private Date statusUpdateDate;
}
