package com.dxhy.core.job.pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author user
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DataPlatformVehicleSaleInvoiceInfos extends BasePojo {

    private static final long serialVersionUID = 9140037500021701297L;

    private String invoiceCode;
    private String invoiceNo;
    private String invoiceDate;
    private String invoiceType;
    private String buyerTaxNo;
    private String vehicleType;
    private String factoryModel;
    private String productPlace;
    private String certificate;
    private String certificateImprot;
    private String engineNo;
    private String vehicleNo;
    private String taxRate;
    private String taxRecords;
    private String tonnage;
    private String limitPeople;
    private String taxBureauCode;
    private String taxBureauName;
    private String legalizeState;
    private String legalizeDate;
    private String totalAmount;

    private String buyerType;
    private String buyerProvince;
    private String buyerMobile;
    private String buyerPhone;
    private String buyerAddress;
    private String buyerWechat;
    private String buyerEmail;
    private String buyerIdNo;
    private String sellerName;
    private String sellerTaxNo;
    private String sellerAddress;
    private String sellerPhone;
    private String sellerBank;
    private String sellerAccount;
    private String inspectionNo;
    private String invoiceState;
    private String isRed;
    private String blueCode;
    private String blueNo;
    private String legalizeBelongDate;
    private String legalizeType;
    private String totalTaxAmount;
    private String allAmount;
    private String payee;
    private String reviewer;
    private String printor;
    private String remark;

    /**
     * 二手车发票字段
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String plateNo;
    private String registrationNo;
    private String vehicleAdminOffice;
    private String auctionUnit;
    private String auctionAddress;
    private String auctionTaxNo;
    private String auctionBank;
    private String auctionPhone;
    private String carMarket;
    private String carMarketTaxNo;
    private String carMarketAddress;
    private String carMarketBank;
    private String carMarketPhone;
    private String sellerIdNo;
    private String buyerName;

}
