package com.dxhy.core.job.pojo;

import com.dxhy.common.utils.SpringContextUtils;
import com.dxhy.core.job.entity.TAcOrg;
import com.dxhy.core.job.service.InvoiceInterfaceService;
import com.dxhy.core.job.service.SupplierRiskService;
import com.dxhy.core.model.RiskSupplierVO;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 功能描述
 *
 * @author ariesy
 * @date 2023/03/29
 */

public class SupplierRiskHandle extends Thread {
    @Resource
    SupplierRiskService supplierRiskService;

    @Resource
    private InvoiceInterfaceService invoiceInterfaceService;

    private Map<String, Object> pramsMap;

    /**
     * 入参，执行接口方法
     *
     */
    public SupplierRiskHandle(Map<String, Object> pramsMap) {
        this.pramsMap = pramsMap;
    }

    @Override
    public void run() {
        supplierRiskService = (SupplierRiskService)SpringContextUtils.getBean("SupplierRiskService");
        String riskSupplierVOS = supplierRiskService.selectRiskSupplier2(pramsMap);
    }
}
