package com.dxhy.core.job.pojo.down;

import lombok.Data;

/**
 * 二手车
 * 
 * @author jaohongyang
 */
@Data
public class UsedcarInvoiceModel {
    /**
     * 发票类型 15-二手车
     */
    private String invoiceType;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 买方单位代码/身份证号
     */
    private String buyerIdNum;
    /**
     * 买方单位/个人
     */
    private String buyerName;
    /**
     * 买方单位/个人住址
     */
    private String buyerAddress;
    /**
     * 买方电话
     */
    private String buyerPhone;
    /**
     * 卖方单位代码/身份证号
     */
    private String sellerIdNum;
    /**
     * 卖方单位/个人
     */
    private String sellerName;
    /**
     * 卖方单位/个人住址
     */
    private String sellerAddress;
    /**
     * 卖方电话
     */
    private String sellerPhone;
    /**
     * 车牌照号
     */
    private String plateNo;
    /**
     * 登记证号
     */
    private String certificateNo;
    /**
     * 车辆类型
     */
    private String vehicleType;
    /**
     * 车架号/车辆识别代码
     */
    private String vehicleNo;
    /**
     * 厂牌型号
     */
    private String factoryModel;
    /**
     * 转入地车辆管理所名称
     */
    private String vehicleAdminOffice;
    /**
     * 车价合计
     */
    private String totalAmount;
    /**
     * 经营、拍卖单位
     */
    private String auctionUnit;
    /**
     * 经营、拍卖单位地址
     */
    private String auctionAddress;
    /**
     * 经营、拍卖单位税号
     */
    private String auctionTaxno;
    /**
     * 经营、拍卖单位开户银行、账号
     */
    private String auctionBank;
    /**
     * 经营、拍卖单位电话
     */
    private String auctionPhone;
    /**
     * 二手车市场
     */
    private String carMarket;
    /**
     * 二手车市场税号
     */
    private String carMarketTaxno;
    /**
     * 二手车市场地址
     */
    private String carMarketAddress;
    /**
     * 二手车市场开户银行、账号
     */
    private String carMarketBank;
    /**
     * 二手车市场电话
     */
    private String carMarketPhone;
    /**
     * 备注
     */
    private String remark;
    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲 4-异常
     */
    private String invoiceStatus;
    /**
     * 开票人
     */
    private String invoicer;
    /**
     * 代开税号
     */
    private String dkTaxno;
    /**
     * 代开名称
     */
    private String dkTaxname;
    /**
     * 代开状态 0--否 不是代开 1--是 是代开
     */
    private String dkStatus;
}
