package com.dxhy.core.job.pojo.down;

import lombok.Data;

/**
 * 机动车
 * 
 * @author jaohongyang
 */
@Data
public class VehicleInvoiceModel {
    /**
     * 发票类型 03-机动车销售统一发票
     */
    private String invoiceType;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 买方单位代码/身份证号
     */
    private String buyerIdNum;
    /**
     * 买方单位/个人
     */
    private String buyerName;
    /**
     * 购买方纳税人识别号
     */
    private String buyerTaxNo;
    /**
     * 车辆类型
     */
    private String vehicleType;
    /**
     * 厂牌型号
     */
    private String factoryModel;
    /**
     * 产地
     */
    private String productPlace;
    /**
     * 合格证号
     */
    private String certificate;
    /**
     * 进口证明书号
     */
    private String certificateImport;
    /**
     * 商检单号
     */
    private String inspectionNum;
    /**
     * 发动机号码
     */
    private String engineNo;
    /**
     * 车辆识别代号/车架号码
     */
    private String vehicleNo;
    /**
     * 车价合计
     */
    private String totalAmount;
    /**
     * 销货单位名称
     */
    private String salerName;
    /**
     * 电话
     */
    private String salerPhone;
    /**
     * 销售方纳税人识别号
     */
    private String salerTaxno;
    /**
     * 账号
     */
    private String salerAcount;
    /**
     * 地址
     */
    private String salerAddress;
    /**
     * 开户银行
     */
    private String salerBank;
    /**
     * 增值税税率或征收率
     */
    private String taxRate;
    /**
     * 增值税税额
     */
    private String taxAmount;
    /**
     * 主管税务机关
     */
    private String taxBureauName;
    /**
     * 主管税务机关代码
     */
    private String taxBureauCode;
    /**
     * 不含税价
     */
    private String invoiceAmount;
    /**
     * 完税凭证号码
     */
    private String taxRecords;
    /**
     * 吨位
     */
    private String tonnage;
    /**
     * 限乘人数
     */
    private String limitPeople;
    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲 4-异常
     */
    private String invoiceStatus;
    /**
     * 代开税号
     */
    private String dkTaxno;
    /**
     * 代开名称
     */
    private String dkTaxname;
    /**
     * 代开状态 0--否 不是代开 1--是 是代开
     */
    private String dkStatus;
}
