package com.dxhy.core.job.service;

/**
 * @author user
 */

public interface ExportInterfaceService {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param taxno
     * @param db
     * @param aceId
     * @param aceKey
     * @param company
     * @param taxName
     * @return void
     */
    void getExportCustoms(String taxno, String db, String aceId, String aceKey, String company, String taxName);

    /**
     * 缴款书认证导出
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return void
     */
    void exportCustomsLegalize();

    /**
     * 缴款书认证结果导出
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return void
     */
    void getExportCustomsLtgalizeResult();

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param taxno
     * @param db
     * @param aceId
     * @param aceKey
     * @param company
     * @param taxName
     * @return void
     */
    void getExportInvoice(String taxno, String db, String aceId, String aceKey, String company, String taxName);

    /**
     * 认证发票导出
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return void
     */
    void exportInvoiceLegalize();

    /**
     * 发票认证结果导出
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return void
     */
    void getExportInvoieLtgalizeResult();
}
