package com.dxhy.core.job.service;

import com.dxhy.core.job.entity.TAcOrg;
import com.dxhy.core.job.entity.TDxHttpLog;
import com.dxhy.core.job.entity.TDxRecordInvoiceJobEntity;
import com.dxhy.core.job.entity.TDxSaleRecordInvoiceJobEntity;

import java.io.IOException;
import java.util.List;

/**
 * @author user
 */

public interface InvoiceDownService {
    /**
     * 发送请求
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param taxno
     * @param aceId
     * @param aceKey
     * @return void
     */
    void sendRequest(String taxno, String dbName, String aceId, String aceKey, String invoiceTypes, String company,
        String dataType);

    List<String> getNoParse();

    void parse(String taxno, String db) throws IOException;
}
