package com.dxhy.core.job.thread;

import com.dxhy.common.utils.SpringContextUtils;
import com.dxhy.core.job.service.CustomsInterfaceService;

/**
 * @author user
 */
@SuppressWarnings("FieldCanBeLocal")
public class CustomsStateHandle extends Thread {

    private final String taxno;
    private final String dbName;
    private final String aceId;
    private final String aceKey;

    private CustomsInterfaceService customsInterfaceService;

    public CustomsStateHandle(String taxno, String dbName, String aceId, String aceKey) {
        this.taxno = taxno;
        this.dbName = dbName;
        this.aceId = aceId;
        this.aceKey = aceKey;
    }

    @Override
    public void run() {
        customsInterfaceService = (CustomsInterfaceService)SpringContextUtils.getBean("customsInterfaceService");
        customsInterfaceService.getCustomsState(taxno, dbName, aceId, aceKey);
    }
}
