package com.dxhy.core.model;

import java.util.List;

import lombok.Data;

/**
 * @author user
 * @date 2019-05-20 导出基本vo，用在存放公众信息
 */
@SuppressWarnings({"AlibabaPojoMustUsePrimitiveField", "AlibabaPojoNoDefaultValue"})
@Data
public class BaseExportVO {

    /**
     * 分页查询需要，页面传入的当前查询第几页
     */
    private int curr = 1;
    /**
     * 分页查询需要，页面传入的每页显示多少条数据
     */
    private int size = 100;

    /**
     * 当前导出用户，全部可以操作的购方税号
     */
    private List<String> allTaxNo;
}
