package com.dxhy.core.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 发票认证明细查询的返回对象
 *
 * @author kangzq
 */
@Data
public class BbfpzhmxcxRespVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * UUID
     */
    private String uuid;
    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票
     */
    private String invoiceType;

    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 购方税号
     */
    private String gfsh;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 购方地址电话
     */
    private String gfdzdh;

    /**
     * 销方开户行及账号
     */
    private String gfkhhzh;

    /**
     * 销方税号
     */
    private String xfsh;

    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 销方地址电话
     */
    private String xfdzdh;

    /**
     * 销方开户行及账号
     */
    private String xfkhhzh;

    /**
     * 金额
     */
    private String invoiceAmount;

    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 价税合计
     */
    private String jshj;
    /**
     * 货物或应税劳务名称
     */
    private String hlmc;
    /**
     * 规格型号
     */
    private String ggxh;
    /**
     * 单位
     */
    private String dw;
    /**
     * 数量
     */
    private String num;
    /**
     * 单价
     */
    private String dj;
    /**
     * 金额
     */
    private String je;
    /**
     * 税额
     */
    private String se;
    /**
     * 税率
     */
    private String sl;
    /**
     * 备注
     */
    private String bz;

    private String inAccountStatus;

    private String skssq;
    private String cph;
    private String lx;
    private String txrqq;
    private String txrqz;

    public BbfpzhmxcxRespVO() {}

}
