package com.dxhy.core.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 报表逾期发票查询的返回对象
 *
 * @author kangzq
 */
@Data
public class BbycfpcxRespVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;

    private String invoiceType;

    /**
     * 开票日期
     */
    private String kprq;

    /**
     * 购方税号
     */
    private String gfsh;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 销方税号
     */
    private String xfsh;

    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 金额
     */
    private String je;

    /**
     * 税额
     */
    private String se;
    /**
     * 异常状态
     */
    private String yczt;
    /**
     * 异常时间
     */
    private String ycsj;
    /**
     * 签收状态
     */
    private String qszt;
    /**
     * 签收日期
     */
    private String qsrq;
    /**
     * 签收人
     */
    private String qsr;

    private String rzsj;
    private String rzzt;
    private String rzclzt;
    private String rzlx;
    private String skssq;
    private String businessName;

    /**
     * 合计数量
     */

    public BbycfpcxRespVO() {}

}
