package com.dxhy.core.model;

import org.hibernate.validator.constraints.Range;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author user
 * @date 2019-05-07
 */
@SuppressWarnings({"AlibabaPojoMustUsePrimitiveField", "AlibabaPojoNoDefaultValue"})
@EqualsAndHashCode(callSuper = true)
@Data
public class CautionExpirationReqVO extends BaseExportVO {
    /**
     * 购方税号
     */
    private String gfsh;
    /**
     * 月数
     */
    @Range(min = 1, max = 6, message = "请传入提前预警月数")
    private int month = 1;
}
