package com.dxhy.core.model;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

/**
 * @author user
 * @date 2019-05-09 电子发票查询导出条件vo
 */
@Data
public class ElecQueryReqVO {

    /**
     * 购方名称
     */
    private String gfsh;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 签收开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date qsStartDate;

    /**
     * 签收结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date qsEndDate;

    /**
     * 业务单元参数
     */
    private String businessCode;
    /**
     * 用于判断是否为全部购方税号
     */
    private String gfshFlag;
    /**
     * 集团编码
     */
    private String company;
    /**
     * 菜单
     *
     * @author 陈刚扬
     * @date 2020/11/17
     * @param null
     * @return
     */
    private String menuId;
}
