package com.dxhy.core.model;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * 发票采集汇总列表响应对象
 * 
 * @author user
 */
@Data
public class FpcjCjhzRespVO implements Serializable {

    private static final long serialVersionUID = -5401864068690131643L;

    /**
     * ID
     */
    @ExcelIgnore
    private String id;

    /**
     * 序号
     */
    @ExcelProperty("序号")
    private String xh;

    /**
     * 购方税号
     */
    @ExcelProperty("购方税号")
    private String gfsh;
    /**
     * 购方名称
     */
    @ExcelProperty("购方名称")
    private String gfmc;
    /**
     * 采集数量
     */
    @ExcelProperty("采集数量合计")
    private String sl;
    /**
     * 采集日期
     */
    @ExcelProperty("采集日期")
    private String cjrq;
    /**
     * 金额
     */
    @ExcelProperty("金额")
    private String je;
    /**
     * 税额
     */
    @ExcelProperty("税额")
    private String se;

}
