package com.dxhy.core.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 发票认证月报响应对象
 * 
 * @author user
 */
@Data
public class FprzybRespVO implements Serializable {

    private static final long serialVersionUID = 5715326297713811372L;

    /**
     * 序号
     */
    private String xh;

    /**
     * 税款所属期
     */
    private String skssq;

    /**
     * 发票数量
     */
    private String fpsl;

    /**
     * 合计金额
     */
    private String hjje;

    /**
     * 合计税额
     */
    private String hjse;

    /**
     * 合计抵扣税额
     */
    private String dkse;

    private String sfyq;

    private String rzDate;

    public int compareTo(FprzybRespVO anotherVo) {
        return Integer.parseInt(this.getRzDate()) - Integer.parseInt((anotherVo).getRzDate());
    }
}
