package com.dxhy.core.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 税务信息汇总列表响应对象
 *
 * @author aa @date(创建日期)：2019年5月6日
 */
@Data
public class QyswxxRespVO implements Serializable {

    private static final long serialVersionUID = -7313148042038811492L;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 当前税号
     */
    private String gfsh;

    /**
     * 旧税号
     */
    private String jsh;

    /**
     * 企业名称
     */
    private String gfmc;

    /**
     * 当前税款所属期
     */
    private String skssq;

    /**
     * 勾选开始日期
     */
    private String gxksrq;

    /**
     * 勾选结束日期
     */
    private String gxjsrq;

    /**
     * 所属期结束日期
     */
    private String ssqjsrq;

    /**
     * 信用等级
     */
    private String xydj;

    /**
     * 申报周期
     */
    private String sbzq;
    /**
     * 锁定状态
     */
    private String sdzt;
    /**
     * 企业类型
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String companyType;
    /**
     * 油类企业类型
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String oilType;
    /**
     * 纳税人资格
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String taxpayerType;
    /**
     * 档案同步时间
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String syncTime;
    private String indexInfo;
    /**
     * 所属期-申报状态
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String periodIndexInfo;
    /**
     * 自然月-申报状态
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String monthIndexInfo;
    /**
     * 业务密码
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String newBussiPwd;
}
