package com.dxhy.core.service.export;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.model.JkszhcxRespVO;

import java.util.Map;

/**
 * 海关缴款书综合查询
 *
 * @author user
 */
public interface CustomsService extends MpBaseService<JkszhcxRespVO> {

    /**
     * 根据查询条件查询符合条件发票
     *
     * @param pramsMap
     *            查询条件
     * @param curr
     *            分页
     * @param size
     *            条数
     * @return 返回
     */
    JSONObject selectByPramsMap(Map<String, Object> pramsMap, int curr, int size);

}
