package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.model.FprzybRespVO;

/**
 * 发票认证月报接口
 *
 * @author user
 */

public interface IFprzybService extends MpBaseService<FprzybRespVO> {

    /**
     * 根据查询条件查询发票认证月报信息
     *
     * @param pramsMap
     *            请求参数集合
     * @return @
     *
     */
    JSONObject selectByGfshAndRznf(Map<String, Object> pramsMap);

    /**
     * 根据查询条件查询发票认证汇总信息
     *
     * @param pramsMap
     *            请求参数集合
     * @return @
     *
     */
    JSONObject selectRzfphzByRznf(Map<String, Object> pramsMap);

}
