package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.model.QstjbRespVO;

/**
 * 发票签收统计接口
 *
 * @author aa
 */

public interface IQstjbService extends MpBaseService<QstjbRespVO> {
    /**
     * 根据查询条件查询发票签收统计
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param size
     * @return com.alibaba.fastjson.JSONObject @
     */
    JSONObject selectQstjbByCxtj(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 根据查询条件查询已签收未认证信息
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param size
     * @return com.alibaba.fastjson.JSONObject @
     */
    JSONObject selectYqswrzByCxtj(Map<String, Object> pramsMap, int curr, int size);

}
