package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.entity.TDxCheckInvoiceDetail;

/**
 * 查验历史明细查询接口
 *
 * @author user
 */
public interface InvoiceCheckDetailService extends MpBaseService<TDxCheckInvoiceDetail> {

    /**
     * 查询查验历史记录
     *
     * @param pramsMap
     *            查询条件
     * @param size
     *            条数
     * @param curr
     *            分页
     * @return 导出
     *
     */
    JSONObject getCheckHistoryDetail(Map<String, Object> pramsMap, int curr, int size);

}
