package com.dxhy.core.service.export;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.model.TdxLqDkFpycxx;

import java.util.Map;

/**
 * 乐企发票异常信息查询
 *
 * @author user
 */

public interface LqFpycxxService extends MpBaseService<TdxLqDkFpycxx> {

    /**
     * 查询  发票异常  信息数据
     *
     * @param pramsMap
     * @param curr
     * @param size
     * @return @
     */
    JSONObject selectByPramsMap(Map<String, Object> pramsMap, int curr, int size);
    /**
     * 查询  海关缴款书异常  信息数据
     *
     * @param pramsMap
     * @param curr
     * @param size
     * @return @
     */
    JSONObject selectCustomYcxxByPramsMap(Map<String, Object> pramsMap, int curr, int size);
}
