package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.entity.TDxRecordInvoice;

/**
 * 每日优鲜发票签收业务处理接口
 *
 * @author user
 */
public interface MryxFpqsService extends MpBaseService<TDxRecordInvoice> {

    /**
     * 查询发票签收记录
     *
     * @param pramsMap
     *            查询条件
     * @param curr
     *            分页
     * @param size
     *            条数
     * @return 返回
     */
    JSONObject selectQsfpList(Map<String, Object> pramsMap, int curr, int size);

}
