package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.model.BbrzrbcxRespVO;

/**
 * 报表认证日报查询service
 *
 * @author user
 */
public interface RzrbcxService extends MpBaseService<BbrzrbcxRespVO> {

    /**
     * 根据查询条件查询符合条件的日报
     *
     * @param pramsMap
     *            查询条件
     * @param curr
     *            分页
     * @param size
     *            条数
     * @return 返回
     */
    JSONObject selectByPramsMap(Map<String, Object> pramsMap, int curr, int size);

}
