package com.dxhy.core.service.export;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.core.model.InvoiceMainBodyVO;

/**
 * @author futianhao
 * @date 2020-08-28 企业票池首页
 */

public interface TicketService {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param paramsMap
     * @param curr
     * @param size
     * @return java.lang.String @
     */
    String queryList(Map<String, Object> paramsMap, int curr, int size);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param size
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject selectByPramsMap(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param selectId
     * @param dbName
     * @return java.util.List<com.dxhy.core.model.InvoiceMainBodyVO>
     */
    List<InvoiceMainBodyVO> selectPassengerTheme(String selectId, String dbName);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param invoiceNo
     * @param invoiceCode
     * @param dbName
     * @return java.util.List<com.dxhy.core.model.InvoiceMainBodyVO>
     */
    List<InvoiceMainBodyVO> selectInvoiceMainBody(String invoiceNo, String invoiceCode, String dbName);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param entity
     * @return java.lang.Object
     */
    Object exchangePlane(InvoiceMainBodyVO entity);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param entity
     * @return java.lang.Object
     */
    Object exchangeTrain(InvoiceMainBodyVO entity);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param gfsh
     * @return java.lang.String
     */
    String getGfName(String gfsh);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param s
     * @return java.lang.String
     */
    String getblocName(String s);
}
