package com.dxhy.core.service.singletable;

import java.util.List;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.job.entity.TDxRecordInvoiceDetail;
import com.dxhy.core.job.entity.TDxVehicleSaleInvoice;

/**
 * 底账明细表的业务操作接口
 *
 * @author user
 */
public interface IInvoiceDetail extends MpBaseService<TDxRecordInvoiceDetail> {
    /**
     * 获取销项发票明细
     *
     * @param dbName
     *            数据库名
     * @param uuid
     *            主键id
     * @return 返回
     */
    List<TDxRecordInvoiceDetail> getSalesInvoiceDetail(String dbName, String uuid);

    /**
     * 获取机动车销项明细数据
     * 
     * @param dbName
     *            数据库名
     * 
     * @param uuid
     *            主键id
     * @return 返回
     */
    TDxVehicleSaleInvoice getVehicleDetailSales(String dbName, String uuid);

}
