package com.dxhy.customs.constants;

/**
 * @author dxhy
 */
public interface DicProp {
    String[] CUSTOMS_RECORD_SG_TITLE =
        {"序号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "税款金额", "抵扣税款金额", "来源", "签收状态", "签收日期", "签收方式", "签收人"};
    String[] CUSTOMS_RECORD_SG_PROP = {"xh", "customsCode", "fillInDate", "gfTaxNo", "gfName", "taxAmount",
        "yxTaxAmount", "dataSources", "qsStatus", "qsDate", "qsType", "qsUser"};
    String[] CUSTOMS_RECORD_SG_TITLE_YWDY =
        {"序号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "税款金额", "抵扣税款金额", "来源", "签收状态", "签收日期", "签收方式", "签收人", "业务单元"};
    String[] CUSTOMS_RECORD_SG_PROP_YWDY = {"xh", "customsCode", "fillInDate", "gfTaxNo", "gfName", "taxAmount",
        "yxTaxAmount", "dataSources", "qsStatus", "qsDate", "qsType", "qsUser", "businessName"};

    String[] CUSTOMS_COLLECT_QUERY_TITLE = {"序号", "采集日期", "缴款单位税号", "缴款单位名称", "采集数量合计", "税额合计"};
    String[] CUSTOMS_COLLECT_QUERY_PROP = {"index", "collectDate", "gfTaxNo", "gfName", "number", "taxSum"};

    String[] CUSTOMS_COLLECT_DETAIL_TITLE = {"序号", "缴款书号码", "填发日期", "税款金额"};
    String[] CUSTOMS_COLLECT_DETAIL_PROP = {"index", "customsCode", "fillInDate", "taxAmount"};
    String[] CUSTOMS_EXCEPTION_QUERY_TITLE = {"序号", "缴款书号码", "填发日期", "税款金额", "稽核结果", "核对结果", "管理状态", "异常日期"};
    String[] CUSTOMS_EXCEPTION_QUERY_PORP =
        {"xh", "customsCode", "fillInDate", "taxAmount", "auditStatus", "checkStatus", "glzt", "statusUpdateDate"};

    String[] CUSTOMS_RECORD_BDK_TITLE = {"序号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "税款金额", "抵扣税款金额", "来源", "不抵扣处理状态",
        "撤销不抵扣处理状态", "签收状态", "签收日期", "签收方式", "签收人"};
    String[] CUSTOMS_RECORD_BDK_PROP = {"xh", "customsCode", "fillInDate", "gfTaxNo", "gfName", "taxAmount",
        "yxTaxAmount", "dataSources", "authStatus", "cxbdkStatus", "qsStatus", "qsDate", "qsType", "qsUser"};
    String[] CUSTOMS_RECORD_BDK_TITLE_YWDY = {"序号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "税款金额", "抵扣税款金额", "来源",
        "不抵扣处理状态", "撤销不抵扣处理状态", "签收状态", "签收日期", "签收方式", "签收人", "业务单元"};
    String[] CUSTOMS_RECORD_BDK_PROP_YWDY =
        {"xh", "customsCode", "fillInDate", "gfTaxNo", "gfName", "taxAmount", "yxTaxAmount", "dataSources",
            "authStatus", "cxbdkStatus", "qsStatus", "qsDate", "qsType", "qsUser", "businessName"};

    String[] CUSTOMS_INSERT_QUERY_TITLE =
        {"序号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "录入日期", "税款金额", "采集信息上传状态", "稽核结果", "是否申请核对", "核对结果", "采集方式"};
    String[] CUSTOMS_INSERT_QUERY_PROP = {"index", "customsCode", "fillInDate", "gfTaxNo", "gfName", "entryDate",
        "taxAmount", "collectUploadStatus", "auditStatus", "applyCheck", "checkStatus", "dataSources"};

    String[] CUSTOMS_RECORD_RZCX_TITLE = {"序号", "缴款书号码", "填发日期", "缴款单位名称", "缴款单位税号", "税款金额", "抵扣税款金额", "管理状态", "来源",
        "签收状态", "签收日期", "签收方式", "签收人", "认证时间", "认证状态", "认证处理状态", "认证类型", "认证人", "税款所属期", "撤销认证处理状态"};
    String[] CUSTOMS_RECORD_RZCX_PROP = {"xh", "customsCode", "fillInDate", "gfName", "gfTaxNo", "taxAmount",
        "yxTaxAmount", "glzt", "dataSources", "qsStatus", "qsDate", "qsType", "qsUser", "rzhDate", "rzhYesorno",
        "authStatus", "bdkStatus", "confirmUser", "rzhBelongDate", "cxrzStatus"};
    String[] CUSTOMS_RECORD_RZCX_TITLE_YWDY = {"序号", "缴款书号码", "填发日期", "缴款单位名称", "缴款单位税号", "税款金额", "抵扣税款金额", "管理状态",
        "来源", "签收状态", "签收日期", "签收方式", "签收人", "认证时间", "认证状态", "认证处理状态", "认证类型", "认证人", "税款所属期", "撤销认证处理状态", "业务单元"};
    String[] CUSTOMS_RECORD_RZCX_PROP_YWDY = {"xh", "customsCode", "fillInDate", "gfName", "gfTaxNo", "taxAmount",
        "yxTaxAmount", "glzt", "dataSources", "qsStatus", "qsDate", "qsType", "qsUser", "rzhDate", "rzhYesorno",
        "authStatus", "bdkStatus", "confirmUser", "rzhBelongDate", "cxrzStatus", "businessName"};
    String[] CUSTOMS_EXCETIPON_QUERY_TITLE = {"序号", "缴款书号码", "填发日期", "税款金额", "稽核结果", "核对结果", "管理状态", "异常日期"};
    String[] CUSTOMS_EXCETIPON_QUERY_PROP =
        {"xh", "customsCode", "fillInDate", "taxAmount", "auditStatus", "checkStatus", "glzt", "statusUpdateDate"};

    String[] CUSTOMS_SIGN_QUERY_TITLE =
        {"序号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "税款金额", "来源", "管理状态", "稽核结果", "是否申请核对", "核对结果", "是否录入不符项"};
    String[] CUSTOMS_SIGN_QUERY_PROP = {"index", "customsCode", "fillInDate", "gfTaxNo", "gfName", "taxAmount",
        "dataSources", "glzt", "auditStatus", "applyCheck", "checkStatus", "entryDiscrepancy"};

    String[] CUSTOMS_SIGN_IMPORT_TITLE = {"序号", "签收描述", "签收日期", "签收状态", "签收人", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称",
        "税款金额", "来源", "管理状态", "稽核结果", "是否申请核对", "核对结果", "是否录入不符项"};
    String[] CUSTOMS_SIGN_IMPORT_PROP =
        {"index", "notes", "qsDate", "qsStatus", "qsUser", "customsCode", "fillInDate", "gfTaxNo", "gfName",
            "taxAmount", "dataSources", "glzt", "auditStatus", "applyCheck", "checkStatus", "entryDiscrepancy"};

    String[] CUSTOMS_SIGN_IMPORT_BUSI_TITLE = {"序号", "签收描述", "签收日期", "签收状态", "签收人", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称",
        "税款金额", "来源", "管理状态", "稽核结果", "是否申请核对", "核对结果", "是否录入不符项", "业务单元"};
    String[] CUSTOMS_SIGN_IMPORT_BUSI_PROP = {"index", "notes", "qsDate", "qsStatus", "qsUser", "customsCode",
        "fillInDate", "gfTaxNo", "gfName", "taxAmount", "dataSources", "glzt", "auditStatus", "applyCheck",
        "checkStatus", "entryDiscrepancy", "deptName"};

    String[] CUSTOMS_SIGN_TITLE = {"序号", "签收描述", "签收日期", "签收状态", "签收人", "签收方式", "来源", "管理状态", "缴款书号码", "填发日期", "缴款单位税号",
        "缴款单位名称", "税款金额", "稽核结果", "是否申请核对", "核对结果", "备注"};
    String[] CUSTOMS_SIGN_PROP =
        {"index", "notes", "qsDate", "qsStatus", "userName", "qsType", "dataSources", "glzt", "customsCode",
            "fillInDate", "gfTaxNo", "gfName", "taxAmount", "auditStatus", "applyCheck", "checkStatus", "remark"};

    String[] CUSTOMS_SIGN_BUSI_TITLE = {"序号", "签收描述", "签收日期", "签收状态", "签收人", "签收方式", "来源", "管理状态", "缴款书号码", "填发日期",
        "缴款单位税号", "缴款单位名称", "税款金额", "稽核结果", "是否申请核对", "核对结果", "备注", "业务单元"};
    String[] CUSTOMS_SIGN_BUSI_PROP = {"index", "notes", "qsDate", "qsStatus", "userName", "qsType", "dataSources",
        "glzt", "customsCode", "fillInDate", "gfTaxNo", "gfName", "taxAmount", "auditStatus", "applyCheck",
        "checkStatus", "remark", "deptName"};

}
