package com.dxhy.customs.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.customs.model.JkszhcxRespVO;

/**
 * 海关缴款书综合查询
 * 
 * @author dxhy
 */
@Mapper
public interface CustomsJkszhcxDao extends BaseMapper<JkszhcxRespVO> {

    /**
     * 根据页面条件查询海关缴款书
     * 
     * @param pramsMap
     *            查询参数
     * @return 返回
     */
    List<JkszhcxRespVO> selectByPramsMap(Map<String, Object> pramsMap);

    /**
     * 获取数量和金额
     * 
     * @param pramsMap
     *            参数
     * @return 返回
     */
    Map<String, Object> selectHjxx(Map<String, Object> pramsMap);
}
