package com.dxhy.customs.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
@TableName("t_dx_lq_dk_custom_fpycxx")
public class TdxLqDkCustomFpycxx implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;
	
	

	//columns START
    /**
     * id  
     */ 	
	private Long id;
    /**
     * 纳税人识别号  
     */ 	
	private String nsrsbh;
    /**
     * 当前税款所属期  
     */ 	
	private String dqskssq;
    /**
     * 缴款书号码  
     */ 	
	private String jkshm;
    /**
     * 填发日期YYYYMMDD  
     */ 	
	private String tfrq;
    /**
     * 出口转内销证明编号  
     */ 	
	private String ckznxzmbh;
    /**
     * 税款所属期  
     */ 	
	private String skssq;
    /**
     * 勾选时间YYYYMMDD  
     */ 	
	private String gxsj;
    /**
     * 异常状态代码：01-对方重号,对方申请核对，02-核查后允许该企业使用，03-核查后不允许该企业使用  
     */ 	
	private String ycztdm;
    /**
     * createTime  
     */ 	
	private Date createTime;
	//columns END


}

