package com.dxhy.customs.model;

import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class SysCustomsLogEntityView {
    private Long id;
    /**
     * 缴款书号码
     */
    private String customsCode;
    /**
     * 类型 1--采集 2--认证 3--签收 4--取消签收 5--设置不认证
     */
    private String type;
    /**
     * 操作时间
     */
    private String createDate;
    /**
     * 操作人
     */
    private String inputName;
    /**
     * 操作状态 操作状态 0--采集成功 1--签收成功 2--签收失败 3--认证成功 4--认证失败 5--取消签收成功 6--取消签收失败 7--设置不认证申请8--设置不认证成功 9--设置不认证失败10--取消不认证申请
     * 11--取消不认证成功12--取消不认证失败 13--勾选成功 14--确认成功 15--撤销认证申请16--撤销认证成功 17--撤销认证失败18--撤销勾选19--发票状态变更
     */
    private String inputStatus;
    /**
     * 签收方式 0--扫码签收 1--扫描仪签收 2--app签收 3-- 导入签收 4-- 手工签收 5-- pdf上传签收
     */
    private String qsType;
    /**
     * 认证方式 1-- 勾选认证 2--扫描认证
     */
    private String rzType;

    private String xh;

}