package com.dxhy.customs.service;

import java.util.Map;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.customs.model.JkszhcxRespVO;

/**
 * 海关缴款书综合查询service
 *
 * @author dxhy
 */
public interface CustomsJkszhcxService extends MpBaseService<JkszhcxRespVO> {

    /**
     * 根据查询条件查询符合条件发票
     *
     * @param pramsMap
     * @param curr
     * @param size
     * @return @
     */
    String selectByPramsMap(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 待填
     *
     * @param pramsMap
     * @return @
     */
    String getCustomsInfo(Map<String, String> pramsMap);

}
