package com.dxhy.erp.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.erp.entity.TdxCheckInvoiceDetail;
import com.dxhy.erp.entity.TdxCheckRecordInvoice;
import com.dxhy.erp.entity.TdxCheckVehicleSale;

/**
 * 发票查验表dao
 *
 * @date 2019年4月25日 @author dxhy
 */
@Mapper
public interface TdxCheckRecordInvoiceDao extends BaseMapper<TdxCheckRecordInvoice> {

    /**
     * 待填
     *
     * @param map
     * @return
     */
    Integer selectAllCount(@Param("pramsMap") Map<String, Object> map);

    /**
     * 待填
     *
     * @param uuid
     * @return
     */
    List<TdxCheckInvoiceDetail> selectDetailInfo(@Param("uuid") String uuid);

    /**
     * 待填
     *
     * @param uuid
     * @return
     */
    List<TdxCheckVehicleSale> selectVehicle(@Param("uuid") String uuid);

    /**
     * 查询符合条件的查验发票
     *
     * @param map
     * @return
     */
    List<TdxCheckRecordInvoice> selectCheckInvoice(@Param("pramsMap") Map<String, Object> map);
}
