package com.dxhy.erp.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.erp.entity.TdxDkCount;
import com.dxhy.erp.entity.TdxDkCountDetail;
import com.dxhy.erp.entity.TdxStateRecord;

/**
 * @author dxhy
 */
@Mapper
public interface TdxDkCountDao extends BaseMapper<TdxDkCount> {

    /**
     * 待填
     *
     * @param taxNo
     * @return
     */
    TdxDkCount selectCountByTaxNo(@Param("taxno") String taxNo);

    /**
     * 待填
     *
     * @param dkCount
     */
    void updateDkCount(@Param("dkCount") TdxDkCount dkCount);

    /**
     * 待填
     *
     * @param batchNo
     * @return
     */
    TdxStateRecord selectStateRecord(@Param("batchNo") String batchNo);

    /**
     * 待填
     *
     * @param taxno
     * @param skssq
     * @return
     */
    TdxDkCount selectStateResult(@Param("taxno") String taxno, @Param("skssq") String skssq);

    /**
     * 待填
     *
     * @param taxno
     * @param skssq
     * @return
     */
    List<TdxDkCountDetail> selectCountDetail(@Param("taxno") String taxno, @Param("skssq") String skssq);
}
