package com.dxhy.erp.entity;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName: SignedInvoiceVo :
 * @author yuanlz
 * @date 2016年11月29日 下午7:11:01
 *
 */
@Getter
@Setter
public class SignedInvoiceVo extends BasePojo {

    private static final long serialVersionUID = 1L;
    /** id */
    private Long id;
    /** 扫描流水号 */
    private String invoiceSerialNo;
    /** 扫描备注 */
    private String notes;
    /** 扫描时间 */
    private String scandate;
    /** 扫描状态 */
    private String qsStatus;
    /** 发票代码 */
    private String dyInvoiceCode;
    /** 发票号码 */
    private String dyInvoiceNo;
    /** 发票代码 */
    private String invoiceCode;
    /** 发票号码 */
    private String invoiceNo;
    /** 发票类型 */
    private String invoiceType;
    /** 购方税号 */
    private String gfTaxNo;
    /** 购方名称 */
    private String gfName;
    /** 销方税号 */
    private String xfTaxNo;
    /** 开票日期 */
    private String invoiceDate;
    /** 金额 */
    private String invoiceAmount;
    /** 税额 */
    private String taxAmount;
    /** 价税合计 */
    private String totalAmount;
    /** 扫描路径id */
    private String scanPath;
    /** 操作员 */
    private String userName;
    /** 操作人账户 */
    private String userAccount;
    /** 操作 */
    private String operate;
    /** uuid */
    private String uuid;
    /** 签收时间 */
    private Date qsDate;
    /** 是否需要核对底账 */
    private Integer insideOutside;
    /** 修改前uuid */
    private String scpz;
    /** 记录普票扫描成功数量 */
    private int successNum;
    /** 记录普票扫描失败数量 */
    private int failNum;
    /** 用于判断是否是修改操作 */
    private int type;
    /** 扫描唯一识别码 */
    private String scanId;
    /** 普票校验码 */
    private String checkCode;
    /** 签收失败数量 */
    private int qsFailNum;

    private String xfName;

}
