package com.dxhy.erp.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * 扫描图片表
 *
 * @author jiaohongyang
 * @date 2019年3月26日 下午6:02:48建日期) 2019年4月25日
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
public class TDxInvoiceImg implements Serializable {

    private static final long serialVersionUID = -7827276491690673454L;

    /**
     * id
     */
    private Long id;

    /**
     * 图片内容
     */
    private String image;

    /**
     * 图片路径
     */
    private String imagePath;

    /**
     * 唯一索引[发票代码+号码]
     */
    private String uuid;

    /**
     * 是否有效
     */
    private String valid;

    /**
     * 唯一识别码
     */
    private String scanId;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 更新时间
     */
    private Date updateDate;

}
