package com.dxhy.erp.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 底账明细表
 *
 * @author jiaohongyang
 * @date 2019年3月26日 下午6:02:48
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_record_invoice_detail")
public class TDxRecordInvoiceDetail implements Serializable {

    private static final long serialVersionUID = -6703830991573450761L;

    /**
     * id
     */
    private Long id;

    /**
     * 唯一标识(发票代码+发票号码)
     */
    private String uuid;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 明细序号
     */
    private String detailNo;

    /**
     * 货物或应税劳务名称
     */
    private String goodsName;

    /**
     * 规格型号
     */
    private String model;

    /**
     * 单位
     */
    private String unit;

    /**
     * 数量
     */
    private String num;

    /**
     * 单价
     */
    private String unitPrice;

    /**
     * 金额
     */
    private String detailAmount;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 税码
     */
    private String taxCode;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 车牌号
     */
    private String cph;

    /**
     * 类型
     */
    private String lx;

    /**
     * 通行日期起
     */
    private String txrqq;

    /**
     * 通行日期止
     */
    private String txrqz;

    /**
     * 商品编码
     */
    private String goodsNum;

}
