package com.dxhy.erp.entity;

import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class UserdCarEntity extends BasePojo {
    private static final long serialVersionUID = -6721685467254429845L;

    private String invoiceType;
    private String invoiceCode;
    private String invoiceNo;
    private String invoiceDate;
    private String currentTaxPeriod;
    private String legalizeEndDate;
    private String legalizeInvoiceDateBegin;
    private String legalizeInvoiceDateEnd;
    private String buyerIdNum;
    private String buyerTaxNo;
    private String buyerName;
    private String buyerAddress;
    private String buyerPhone;
    private String sellerIdNum;
    private String sellerName;
    private String sellerAddress;
    private String sellerPhone;
    /** 车牌照号 */
    private String plateNo;
    /** 登记证号 */
    private String certificateNo;
    /** 车辆类型 */
    private String vehicleType;
    /** 车架号/车辆识别代码 */
    private String vehicleNo;
    /** 厂牌型号 */
    private String factoryModel;
    /** 转入地车辆管理所名称 */
    private String vehicleAdminOffice;
    /** 车价合计 */
    private String totalAmount;
    /** 经营、拍卖单位 */
    private String auctionUnit;
    /** 经营、拍卖单位地址 */
    private String auctionAddress;
    /** 经营、拍卖单位税号 */
    private String auctionTaxno;
    /** 经营、拍卖单位开户银行、账号 */
    private String auctionBank;
    /** 经营、拍卖单位电话 */
    private String auctionPhone;
    /** 二手车市场 */
    private String carMarket;
    /** 二手车市场税号 */
    private String carMarketTaxno;
    /** 二手车市场地址 */
    private String carMarketAddress;
    /** 二手车市场开户银行、账号 */
    private String carMarketBank;
    /** 二手车市场电话 */
    private String carMarketPhone;
    private String remark;
    private String invoiceStatus;
    /** 开票人 */
    private String invoicer;
    private String imageUrl;
}
