package com.dxhy.erp.entity.V5;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 标准版本SDK方式接口请求参数
 *
 * @author ZSC-DXHY
 * @date 创建时间: 2021-12-13 11:06
 */
@Getter
@Setter
public class DxhyInterfaceRequest implements Serializable {
    
    /**
     * 标识用户身份的SecretId
     */
    private String secretId;
    /**
     * 数据交换流水号
     */
    private String dataExchangeId;
    
    /**
     * 加密标识 0:不加密,1:加密
     */
    private String encryptCode;
    /**
     * 压缩标识 0:不压缩,1:压缩
     */
    private String zipCode;
    /**
     * 业务请求报文
     */
    private String content;
    
    /**
     * 请求签名
     */
    private String signature;
    
}
