package com.dxhy.erp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author wangzhikun
 * @Date 2023/3/23 2023/3/23
 */
@Data
@TableName("voucher_record")
public class VoucherRecord {
    @TableId(type= IdType.AUTO)
    private String id;
    @JsonProperty(value = "BUKRS")
    //公司代码
    private String bukrs;
    //公司代码名称
    @JsonProperty(value = "BUTXT")
    private String butxt;
    //会计凭证号码
    @JsonProperty(value = "BELNR")
    private String belnr;
    @JsonProperty(value = "GJAHR")
    private String gjahr;
    @JsonProperty(value = "MONAT")
    private String monat;
    @JsonProperty(value = "BLART")
    private String blart;
    @JsonProperty(value = "BUDAT")
    private String budat;
    @JsonProperty(value = "USNAM")
    private String usnam;
    @JsonProperty(value = "WAERS")
    private String waers;
    @JsonProperty(value = "KURSF")
    private String kursf;
    @JsonProperty(value = "BKTXT")
    private String bktxt;
    @JsonProperty(value = "XBLNR")
    private String xblnr;
    @JsonProperty(value = "ZBZDH")
    private String zbzdh;
    @JsonProperty(value = "ZJSDH")
    private String zjsdh;
    @JsonProperty(value = "XREVERSAL")
    private String xreversal;
    @JsonProperty(value = "STBLG")
    private String stblg;
    @JsonProperty(value = "STJAH")
    private String stjah;
    @JsonProperty(value = "AWKEY")
    private String awkey;
    @JsonProperty(value = "ZYWLX")
    private String zywlx;
    @JsonProperty(value = "ZLXMC")
    private String zlxmc;
    @JsonProperty(value = "ZBZCG")
    private String zbzcg;
    @JsonProperty(value = "ZBZCGT")
    private String zbzcgt;
    @JsonProperty(value = "ZBZXS")
    private String zbzxs;
    @JsonProperty(value = "ZBZXST")
    private String zbzxst;
    @JsonProperty(value = "ZBZDZT")
    private String zbzdzt;
    @JsonProperty(value = "ZCXDH")
    private String zcxdh;
    @JsonProperty(value = "BCXDH")
    private String bcxdh;
    @JsonProperty(value = "ZFLDH1")
    private String zfldh1;
    @JsonProperty(value = "ZFLDH2")
    private String zfldh2;
    @JsonProperty(value = "ZFLDH3")
    private String zfldh3;
    @JsonProperty(value = "ZFLDH4")
    private String zfldh4;
    @JsonProperty(value = "ZFLDH5")
    private String zfldh5;

    private String relationId;
    @JsonProperty(value = "ZITEM")
    @TableField(exist = false)
    private List<VoucherRecordItem> ZITEM;


}
