package com.dxhy.erp.entity.sdny.area;

import lombok.Data;

import java.util.List;

/**
 * 区域实体类
 *
 * @author shanQing
 */
@Data
public class Area {

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 父级ID
     */
    private Long pid;

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 区域等级
     */
    private Integer level;

    /**
     * 是否为直辖市、自治区(Y:是;N:否)
     */
    private String isMunicipality;

    /**
     * 区块链发票是否可以查验
     */
    private String isCheckBlockChain;

    /**
     * 省下的市集合数据
     */
    private List<Area> cityList;
}
