package com.dxhy.erp.model;

import lombok.Data;

/**
 * 二手车返回信息
 */
@Data
public class ESCVehicleSaleInvoiceInfos {
    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 买方单位代码/身份证号
     */
    private String buyerIdNum;
    /**
     * 买方单位/个人
     */
    private String buyerName;
    /**
     * 买方单位 /个人住址
     */
    private String buyerAddress;
    /**
     * 买方电话
     */
    private String buyerPhone;
    /**
     * 卖方单位代码 /身份证号
     */
    private String sellerIdNum;
    /**
     * 卖方单位 /个人
     */
    private String sellerName;
    /**
     * 卖方单位 /个人住址
     */
    private String sellerAddress;
    /**
     * 卖方电话
     */
    private String sellerPhone;
    /**
     * 车牌照号
     */
    private String plateNo;
    /**
     * 合格证书
     */
    private String certificateNo;
    /**
     * 车辆类型
     */
    private String vehicleType;
    /**
     * 车架号码 车辆识别码
     */
    private String vehicleNo;
    /**
     * 厂牌型号
     */
    private String factoryModel;
    /**
     * 转入地车辆管理所名称
     */
    private String vehicleAdminOffice;
    /**
     * 价税合计
     */
    private String totalAmount;
    /**
     * 经营拍卖单位
     */
    private String auctionUnit;
    /**
     * 经营拍卖单位地址
     */
    private String auctionAddress;
    /**
     * 经营、拍卖单位税号
     */
    private String auctionTaxno;
    /**
     * 经营、拍卖单位开户银行、账号
     */
    private String auctionBank;
    /**
     * 经营、拍卖单位电话
     */
    private String auctionPhone;
    /**
     * 二手车市场
     */
    private String carMarket;
    /**
     * 二手车市场税号
     */
    private String carMarketTaxno;
    /**
     * 二手车市场地址
     */
    private String carMarketAddress;
    /**
     * 二手车市场开户行、账号
     */
    private String carMarketBank;
    /**
     * 二手车市场电话
     */
    private String carMarketPhone;
    /**
     * 备注
     */
    private String remark;
    /**
     * 发票状态
     */
    private String invoiceStatus;
    /**
     * 代开税号
     */
    private String dkTaxno;
    /**
     * 代开名称
     */
    private String dkTaxname;
    private String checkStatus;
    private String legalizeState;
    private String legalizeDate;
    private String taxPeriod;
    private String legalizeType;
    private String sfdbts;
    private String rzlx;
    private String managementStatus;
    private String informationSources;
    private String taxCredit;
    private String overdueCheckMark;
    private String exceptionType;
    private String qsStatus;
    private String qsDate;
    private String qsUser;
}
