package com.dxhy.erp.model;

import lombok.Data;

import java.util.List;

/**
 * @author Yangmy
 */
@Data
public class ReportStatisticsModel {
    //购方税号
    private String buyerTaxNo;
    //税款所属期
    private String belongDate;
    //统计类型  1-认证抵扣类  2-实名客票计算抵扣类 3-代扣代缴计算抵扣类 4-桥闸计算抵扣类 5-海关进口增值税专用缴款书
    private String statisticsType;
    //返回发票实体类
    private List<ReportInvoiceStatisticsModel> invoices;
}

