package com.dxhy.erp.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @author dxhy
 */
@Data
@TableName("t_dx_vehicle_sale_invoice_sales")
public class VehicleSaleInvoices {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 代码+号码
     */
    private String uuid;
    /**
     * 购方身份证号码 组织 机构代码
     */
    private String buyerIdNum;
    /**
     * 车辆类型
     */
    private String vehicleType;
    /**
     * 厂牌型号
     */
    private String factoryModel;
    /**
     * 产地
     */
    private String productPlace;
    /**
     * 合格证书
     */
    private String certificate;
    /**
     * 进口证明书号
     */
    private String certificateImport;
    /**
     * 商检单号
     */
    private String inspectionNum;
    /**
     * 发动机号
     */
    private String engineNo;
    /**
     * 车架号码 车辆识别码
     */
    private String vehicleNo;
    /**
     * 电话
     */
    private String phone;
    /**
     * 购方电话
     */
    private String gfPhone;
    /**
     * 开户银行
     */
    private String buyerBank;
    /**
     * 税率
     */
    private String taxRate;
    /**
     * 主管税务机关名称
     */
    private String taxBureauName;
    /**
     * 主管税务机关代码
     */
    private String taxBureauCode;
    /**
     * 完税凭证号码
     */
    private String taxRecords;
    /**
     * 限乘人数
     */
    private String limitPeople;
    /**
     * 是否已勾选 0-未勾选 1-已勾选
     */
    private String checkStatus;
    /**
     * 吨位
     */
    private String tonnage;
    /** 车牌照号 */
    private String plateNo;
    /** 登记证号 */
    private String registrationNo;
    /** 转入地车辆管理所名称 */
    private String vehicleAdminOffice;
    /** 经营、拍卖单位 */
    private String auctionUnit;
    /** 经营、拍卖单位地址 */
    private String auctionAddress;
    /** 经营、拍卖单位税号 */
    private String auctionTaxNo;
    /** 经营、拍卖单位开户银行、账号 */
    private String auctionBank;
    /** 经营、拍卖单位电话 */
    private String auctionPhone;
    /** 二手车市场 */
    private String carMarket;
    /** 二手车市场税号 */
    private String carMarketTaxNo;
    /** 二手车市场地址 */
    private String carMarketAddress;
    /** 二手车市场开户银行、账号 */
    private String carMarketBank;
    /** 二手车市场电话 */
    private String carMarketPhone;

    private String incentiveFlag;

    private String zeroTaxrateFlag;

    private String addedTaxSpecial;
    /**
     * 买方单位 /个人
     */
    private String buyerUnit;
    /**
     * 买方单位 /个人住址
     */
    private String buyerUnitAddress;
    /**
     * 买方电话
     */
    private String buyerPhone;
    /**
     * 卖方单位 /个人
     */
    private String sellerUnit;
    /**
     * 卖方单位代码 /身份证号
     */
    private String sellerUnitCode;
    /**
     * 卖方单位 /个人住址
     */
    private String sellerUnitAddress;
    /**
     * 卖方电话
     */
    private String sellerPhone;

}
