package com.dxhy.erp.service;


import com.dxhy.erp.entity.BaseTDxRecordInvoice;
import com.dxhy.erp.model.BaseReceiptOutCancelEditReqVO;

import java.util.List;

/**
 * @author peipei.li
 * @date 2019-04-23 进项税模块，底账表单表相关操作
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseIReceiptInvoiceService {


    List<BaseTDxRecordInvoice> selectByUuids(String[] uuids);
    /**
     * 进项税转出，批量 update 抵账表数据
     *
     * @param condEntity
     *            请求参数
     */
    void updateBatch(List<BaseTDxRecordInvoice> condEntity);


    /**
     * 取消已转出进项税，请求确认
     *
     * @param reqVO
     *            请求参数
     * @return 返回结果
     */
    String cancelOut(BaseReceiptOutCancelEditReqVO reqVO);

}
