package com.dxhy.erp.service;

import com.dxhy.common.util.pojo.Authorize;
import com.dxhy.common.util.pojo.GlobalInfo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * @author yangmy
 */
public interface DeclareService {
    /**
     * 申报进项转出统计
     *
     * @param globalInfo 请求信息
     * @param map        请求信息
     * @param request    请求信息
     * @param response   请求信息
     * @param authorize  请求信息
     * @return 返回结果
     */
    String getTransferStatistics(GlobalInfo globalInfo, Map<String, String> map, HttpServletRequest request,
                                 HttpServletResponse response, Authorize authorize);

    /**
     * 申报统计接口
     *
     * @param globalInfo 请求信息
     * @param map        请求信息
     * @param request    请求信息
     * @param response   请求信息
     * @param authorize  请求信息
     * @return 返回结果
     */
    String getReportStatistics(GlobalInfo globalInfo, Map<String, String> map, HttpServletRequest request,
                               HttpServletResponse response, Authorize authorize);
}
