package com.dxhy.erp.service;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.common.util.pojo.Authorize;
import com.dxhy.common.util.pojo.GlobalInfo;
import com.dxhy.erp.entity.TdxCustomsRecord;
import com.dxhy.erp.model.RiskStatisticsModel;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * @author dxhy
 */
public interface RiskStatisticsService extends MpBaseService<RiskStatisticsModel> {

    /**
     * 风控统计接口
     *
     * @param globalInfo
     *            请求信息
     * @param map
     *            请求信息
     * @param request
     *            请求信息
     * @param response
     *            请求信息
     * @param authorize
     *            请求信息
     * @return 返回结果
     */
    String getRiskStatistics(GlobalInfo globalInfo, Map<String, String> map, HttpServletRequest request,
        HttpServletResponse response, Authorize authorize);

}
