package com.dxhy.erp.service;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.erp.entity.TdxCheckInvoiceDetail;
import java.util.List;

/**
 *
 * 查验明细业务处理接口
 *
 * @author peipei.li
 * @date 2019-05-09
 */
public interface SignCheckRecordInvoiceDetailService extends MpBaseService<TdxCheckInvoiceDetail> {

    /**
     * 根据uuid查询发票明细
     *
     * @param uuid
     *            发票唯一标识
     * @return 返回结果
     * @since 1.0
     */
    List<TdxCheckInvoiceDetail> getInvoiceDetailListByUuid(String uuid);

}
