package com.dxhy.erp.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.common.vo.UserInfo;
import com.dxhy.erp.entity.QsExcelEntity;
import com.dxhy.erp.entity.TdxRecordInvoiceStatistics;
import com.dxhy.erp.entity.TdxRecordInvoice;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 *
 * 发票签收业务处理接口
 *
 * @author peipei.li
 * @date 2019-05-09
 */
public interface SignFpqsService extends MpBaseService<TdxRecordInvoice> {

    /**
     * 税率统计信息
     *
     * @param queryInvoiceResult
     *            发票信息
     * @return 税率统计信息
     */
    List<TdxRecordInvoiceStatistics> buildRecordInvoiceStatisticsList(JSONObject queryInvoiceResult);
}
