package com.dxhy.erp.service;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.erp.entity.TDxVehicleSaleInvoice;

/**
 *
 * 机动车明细表业务处理接口 * @author peipei.li * @date 2019-05-09
 */
public interface SignJdcService extends MpBaseService<TDxVehicleSaleInvoice> {
    /**
     * 删除机动车发票
     *
     * @param uuid
     *            uuid
     * @param dbName
     *            数据源
     * @return 返回结果
     */
    boolean deleteVehicleSaleInvoice(String uuid, String dbName);

    /**
     * 保存机动车发票
     *
     * @param tDxVehicleSaleInvoice
     *            请求参数
     * @param dbName
     *            数据源
     */
    void saveVehicleSaleInvoice(TDxVehicleSaleInvoice tDxVehicleSaleInvoice, String dbName);
}
