package com.dxhy.erp.service.impl;

import org.springframework.stereotype.Service;

import com.dxhy.common.constant.DbConstant;
import com.dxhy.common.datasource.config.DynamicContextHolder;
import com.dxhy.common.service.impl.MpBaseServiceImpl;
import com.dxhy.erp.dao.TdxOrderLogDao;
import com.dxhy.erp.entity.TdxOrderLog;
import com.dxhy.erp.service.OrderLogService;

/**
 * @author dxhy
 */
@Service("orderLogService")
public class OrderLogServiceImpl extends MpBaseServiceImpl<TdxOrderLogDao, TdxOrderLog> implements OrderLogService {

    @Override
    public void saveLog(TdxOrderLog log, String dbName) {
        DynamicContextHolder.push(dbName + DbConstant.BUSINESS_WRITE);
        super.save(log);
    }

}
