package com.dxhy.erp.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.dxhy.common.service.impl.MpBaseServiceImpl;
import com.dxhy.erp.dao.SignCheckVehicleSaleDao;
import com.dxhy.erp.entity.TdxCheckVehicleSale;
import com.dxhy.erp.service.SignCheckVehicleSaleInvoiceService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 *
 *
 * 查验机动车明细业务处理实现类
 *
 * @author ld
 *
 *
 */
@Service("signCheckVehicleSaleInvoiceService")
@Slf4j

public class SignCheckVehicleSaleInvoiceServiceImpl extends
    MpBaseServiceImpl<SignCheckVehicleSaleDao, TdxCheckVehicleSale> implements SignCheckVehicleSaleInvoiceService {

    @Override
    public TdxCheckVehicleSale getCheckInvoiceByUuid(String uuid) {
        QueryWrapper<TdxCheckVehicleSale> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("uuid", uuid);
        return super.getOne(queryWrapper);
    }

}
