package com.dxhy.domestic.dao;

import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dxhy.domestic.entity.TdxCustomsRecord;
import com.dxhy.domestic.model.vo.BaseCustomsVO;

/**
 * @author dxhy
 */
@Mapper
public interface DomesticCustomsRecordDao extends BaseMapper<TdxCustomsRecord> {

    /**
     * 待填
     * 
     * @param id
     * @return
     */
    int deleteByPrimaryKey(Long id);

    /**
     * 待填
     * 
     * @param id
     * @return
     */
    TdxCustomsRecord selectByPrimaryKey(Long id);

    /**
     * 待填
     * 
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(TdxCustomsRecord record);

    /**
     * 待填
     * 
     * @param page
     * @param entity
     * @return
     */
    Page<Map> queryManualConfirmList(@Param("page") Page page, @Param("queryParams") BaseCustomsVO entity);

    /**
     * 待填
     * 
     * @param dto
     * @return
     */
    Map<String, Object> queryManualConfirmSum(@Param("queryParams") BaseCustomsVO dto);

    /**
     * 待填
     * 
     * @param page
     * @param entity
     * @return
     */
    Page<Map> queryCustomsRefundConfirmList(@Param("page") Page page, @Param("queryParams") BaseCustomsVO entity);

    /**
     * 待填
     * 
     * @param dto
     * @return
     */
    Map queryCustomsRefundConfirmSum(@Param("queryParams") BaseCustomsVO dto);

    /**
     * 待填
     * 
     * @param page
     * @param entity
     * @return
     */
    Page<Map> queryRefundCountPage(@Param("page") Page page, @Param("queryParams") BaseCustomsVO entity);

    /**
     * 待填
     * 
     * @param page
     * @param entity
     * @return
     */
    Page<Map> queryRefundCountDetailPage(@Param("page") Page page, @Param("queryParams") BaseCustomsVO entity);
}
