package com.dxhy.domestic.model.bo;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class TdxRecordInvoiceConditionBo {

    @ApiModelProperty("购方税号列表")
    private List<String> buyerTaxNoList;

    @ApiModelProperty("业务部门，登录信息中获取部门Id")
    private String deptId;

    @ApiModelProperty("销方名称")
    private String sellerName;

    @ApiModelProperty("开票日期-开始")
    private String invoiceStartTime;

    @ApiModelProperty("开票日期-结束")
    private String invoiceEndTime;

    @ApiModelProperty("发票号码")
    private String invoiceNo;

    @ApiModelProperty("发票类型")
    private String invoiceType;

    @ApiModelProperty("发票状态")
    private String invoiceStatus;

    @ApiModelProperty("签收状态")
    private String signInStatus;

    @ApiModelProperty("签收方式")
    private String signInType;

    @ApiModelProperty("签收人")
    private String signInPerson;

    @ApiModelProperty("签收日期-开始")
    private String signInStartTime;

    @ApiModelProperty("签收日期-结束")
    private String signInEndTime;

}
