
package com.dxhy.domestic.service.ckzrz;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.common.vo.UserInfo;
import com.dxhy.domestic.entity.TdxExportCustoms;
import com.dxhy.domestic.model.dto.TdxExportCustomsModelDTO;

/**
 * 业务单元
 *
 * @author
 */
public interface DomesticExportCustomsCkService extends IService<TdxExportCustoms> {

    /**
     * 待填
     *
     * @param page
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String querySgByPage(Page page, TdxExportCustomsModelDTO dto, UserInfo userInfo) throws Exception;

    /**
     * 待填
     *
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String approveSg(TdxExportCustomsModelDTO dto, UserInfo userInfo);

    /**
     * 待填
     *
     * @param page
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String queryBdkByPage(Page page, TdxExportCustomsModelDTO dto, UserInfo userInfo) throws Exception;

    /**
     * 待填
     *
     * @param page
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String queryRzcxByPage(Page page, TdxExportCustomsModelDTO dto, UserInfo userInfo) throws Exception;

    /**
     * 待填
     *
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String approveCxrz(TdxExportCustomsModelDTO dto, UserInfo userInfo);
}
