package com.dxhy.extend.constants;

/**
 * @author Bobby
 * @date 2018/4/16
 */
public final class ExtWebUriMappingConstant {
    private static final String MODULES_ROOT = "/modules/";
    /**
     * 首页-今日发票采集情况
     */
    public static final String URI_INDEX_INVOICE_COLLECTION = MODULES_ROOT + "index/invoice/collection";

    /**
     * 首页-今日发票采集情况详情
     */
    public static final String URI_INDEX_INVOICE_COLLECTION_DETAIL = MODULES_ROOT + "index/invoice/collection/list";

    /**
     * 首页-今日发票采集情况
     */
    public static final String URI_INDEX_INVOICE_SCANNING = MODULES_ROOT + "index/invoice/scanning";

    /**
     * 首页-今日发票采集详情
     */
    public static final String URI_INDEX_INVOICE_SCANNING_DETAIL = MODULES_ROOT + "index/invoice/scanning/list";

    /**
     * 首页-今日发票认证情况
     */
    public static final String URI_INDEX_INVOICE_AUTHENTICATION = MODULES_ROOT + "index/invoice/authentication";
    /**
     * 首页-今日退税认证情况
     */
    public static final String URI_INDEX_INVOICE_DRAWBACK = MODULES_ROOT + "index/invoice/drawback";

    /**
     * 首页-今日发票认证详情
     */
    public static final String URI_INDEX_INVOICE_AUTHENTICATION_DETAIL =
        MODULES_ROOT + "index/invoice/authentication/list";

    /**
     * 本月新增发票信息（新增、认证、发票金额（未税）、发票税额）
     */
    public static final String URI_INDEX_INVOICE_INFORMATION_OF_MONTH =
        MODULES_ROOT + "index/invoice/informationOfMonth";
    /**
     * 首页-任务提醒
     */
    public static final String URI_INDEX_TASK_REMINDING = MODULES_ROOT + "index/invoice/taskReminding";
    /**
     * 首页-本月新增、认证(成功、失败 )图表统计
     */
    public static final String URI_INDEX_CHART_STATISTICS = MODULES_ROOT + "index/invoice/chartStatistics";

    /**
     * 首页-本月新增、认证(成功、失败 )图表统计
     */
    public static final String URI_INDEX_CHART_STATISTICS_YEAR = MODULES_ROOT + "index/invoice/chartMonthStatistics";

    /**
     * 本月已认证发票列表
     */
    public static final String URI_INDEX_CURRENT_MONTH_AUTH = MODULES_ROOT + "index/invoice/currentAuthList";

    /**
     * 认证后异常发票列表
     */
    public static final String URI_INDEX_RZHYC = MODULES_ROOT + "index/invoice/rzhycList";

    /**
     * 签收后异常发票列表
     */
    public static final String URI_INDEX_QSHYC = MODULES_ROOT + "index/invoice/qshycList";

}
