package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.dxhy.extend.entity.ExtRecordInvoiceEntity;

/**
 *
 * 异常发票预警 Created by alfred.zong on 2018/04/13.
 * 
 * @author dxhy
 */
@Mapper
public interface ExtAbnormalInvoiceCopDao {

    /**
     * 根据多条件查询异常发票进行预警
     * 
     * @param pramsMap
     *            查询条件 gfTaxNo 购方税号 firstDate 异常日期起 lastDate 异常日期止 invoiceNo 发票号码 invoiceStatus 异常状态码
     * @return 异常发票集合信息
     */
    List<ExtRecordInvoiceEntity> queryAbnormalInvoice(Map<String, Object> pramsMap);

}
