package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.model.ExtBbfpzhcxRespVO;

/**
 *
 *
 * 认证发票查询
 *
 * @author kangzq @date 2019年4月25日
 *
 */
@Mapper
public interface ExtBbfpzhDao extends BaseMapper<ExtBbfpzhcxRespVO> {

    /**
     * 根据页面条件查询认证发票
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtBbfpzhcxRespVO> selectByPramsMap(Map<String, Object> pramsMap);

    /**
     * 统计按照页面条件查询发票的合计数量，合计金额，合计税额
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtBbfpzhcxRespVO> selectBbfpzhHj(Map<String, Object> pramsMap);

}
