package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.model.ExtJxsemxbbRespVO;

/**
 * 进项税额明细报表
 *
 * @author kangzq
 * @date 2019年5月20日
 * @version 1.0
 */
@Mapper
public interface ExtJxsemxbbDao extends BaseMapper<ExtJxsemxbbRespVO> {

    /**
     * 取金额税额
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtJxsemxbbRespVO> selectzp(Map<String, Object> pramsMap);

    /**
     * 取名称
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtJxsemxbbRespVO> selectname(Map<String, Object> pramsMap);

}
