package com.dxhy.extend.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.entity.ExtSysMessagecontrol;
import com.dxhy.extend.model.ExtSysMessagecontrolVo;

/**
 * @author Administrator
 *
 */
@Mapper
public interface ExtMessageControlDao extends BaseMapper<ExtSysMessagecontrolVo> {

    /**
     * 查看消息信息
     *
     * @param userName
     *            用户名
     * @param operationStatus
     *            导出状态
     * @return 返回
     */
    List<ExtSysMessagecontrolVo> queryMessageContol(@Param("userName") String userName,
        @Param("operationStatus") String operationStatus);

    /**
     * 统计消息数量
     *
     * @param userName
     *            用户名
     * @return 返回
     */
    int queryCount(String userName);

    /**
     * 修改状态
     *
     * @param vo
     *            查询条件
     * @return 返回
     */
    int updateOperationStatusById(ExtSysMessagecontrol vo);

    /**
     * 修改状态
     *
     * @param vo
     *            查询条件
     * @return 返回
     */
    int updateOperationStatusAll(ExtSysMessagecontrol vo);
}
