package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.model.ExtQssbRespVO;
import com.dxhy.extend.model.ExtTjbbHjxxVO;

/**
 *
 *
 * 发票签收失败报表查询
 *
 * @author zhanghong @date 2019年5月15日
 *
 */
@Mapper
public interface ExtQssbDao extends BaseMapper<ExtQssbRespVO> {
    /**
     *
     * 根据查询条件查询签收失败发票信息
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtQssbRespVO> selectQssbBySmb(Map<String, Object> pramsMap);

    /**
     *
     * 签收失败合计信息
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtTjbbHjxxVO> qssbHjxxByCxtj(Map<String, Object> pramsMap);
}
