package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.dxhy.extend.entity.ExtRecordInvoiceEntity;

/**
 * 逾期预警DAO层 Created by alfred.zong on 2018/04/12.
 * 
 * @author dxhy
 */
@Mapper
public interface ExtRecordInvoiceDao {

    /**
     * 根据条件筛选未认证的发票进行预警
     * 
     * @param pramsMap
     *            查询条件 gfTaxNo 购方税号 numDate 距离逾期的天数
     * @return 快逾期未认证发票的集合信息
     */
    List<ExtRecordInvoiceEntity> queryInvoice(Map<String, Object> pramsMap);

}
