package com.dxhy.extend.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.model.ExtReportStatisticsModel;
import com.dxhy.extend.model.ExtTtRzhzRespVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;

/**
 * @author ld
 */
@Mapper
public interface InvoiceCertificationReportDao extends BaseMapper<ExtTtRzhzRespVo> {

    /**
     * 头条发票认证汇总
     *
     * @param params
     *            请求参数
     * @return 返回结果
     */
    List<ExtTtRzhzRespVo> queryInvoiceList(Map<String, Object> params);

    /**
     * 头条发票认证汇总合计
     *
     * @param params
     *            请求参数
     * @return 返回结果
     */
    ExtReportStatisticsModel queryInvoiceListCount(Map<String, Object> params);
}
