package com.dxhy.extend.entity;

import lombok.Data;

import java.util.Date;

/**
 * 海关缴款书票池返回信息
 * @author 梁鑫
 */
@Data
public class CustomRecordResult {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private String id;
    /**
     * 序号
     */
    private String xh;

    /**
     * 缴款书号码
     */
    private String customsCode;

    /**
     * 购方税号
     */
    private String gfTaxNo;

    /**
     * 购方名称
     */
    private String gfName;

    /**
     * 填发日期
     */
    private String fillInDate;

    /**
     * 税款金额
     */
    private String taxAmount;

    /**
     * 有效税款金额
     */
    private String yxTaxAmount;

    /**
     * 稽核结果
     */
    private String auditStatus;

    /**
     * 是否申请核对 0-否 1-是
     */
    private String applyCheck;

    /**
     * 核查结果 0允许抵扣/退税 1不允许抵扣/退税
     */
    private String checkStatus;

    /**
     * 签收状态 0未签收1已签收
     */
    private String qsStatus;

    /**
     * 签收日期
     */
    private String qsDate;

    /**
     * 签收方式
     *
     * （0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）
     */
    private String qsType;

    /**
     * 签收人
     */
    private String qsUser;

    /**
     * 认证时间
     */
    private String rzhDate;

    /**
     * 认证状态
     */
    private String rzhYesorno;

    /**
     * 认证处理状态
     */
    private String authStatus;

    /**
     * 认证类型
     */
    private String bdkStatus;

    /**
     * 认证方式
     */
    private String rzhType;

    /**
     * 采集时间
     */
    private String createDate;

    /**
     * 认证类型
     */
    private String rzlx;

    /**
     *  认证人
     */
    private String confirmUser;

    /**
     *  入账状态
     */
    private String inAccountStatus;

    /**
     *  凭证号
     */
    private String voucherNumber;

    /**
     *  业务单元
     */
    private String documentNumber;
}
