package com.dxhy.extend.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 发票查验表
 *
 *
 * @date 2019年4月24日
 *
 * @author dxhy
 */
@Data
@TableName("t_dx_check_record_invoice")
public class ExtTdxCheckRecordInvoice implements Serializable {

    private static final long serialVersionUID = 4424122568445152259L;

    /**
     * id
     */
    private Long id;

    /**
     * pdfmd5
     */
    private Long pdfMd5;

    /**
     * 查验结果
     */
    private String cyjgCode;

    /**
     * 查询结果的信息
     */
    private String cyjgTip;

    /**
     * 发票种类
     */
    private String fpzl;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;

    /**
     * 查验次数
     */
    private String cycs;

    /**
     * 销方税号
     */
    private String xfsh;

    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 销方地址、电话
     */
    private String xfdzdh;

    /**
     * 销方开户行及账号
     */
    private String xfyhzh;

    /**
     * 购买方税号
     */
    private String gfsh;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 购方地址、电话
     */
    private String gfdzdh;

    /**
     * 购方开户行及账号
     */
    private String gfyhzh;

    /**
     * 开票日期 格式 yyyymmdd
     */
    private String kprq;

    /**
     * 金额合计
     */
    private String je;

    /**
     * 税额合计
     */
    private String se;

    /**
     * 价税合计
     */
    private String jshj;

    /**
     * 备注
     */
    private String bz;

    /**
     * 机器编号
     */
    private String jqbh;

    /**
     * 开票人
     */
    private String kpr;

    /**
     * 收款人
     */
    private String skr;

    /**
     * 复核人
     */
    private String fhr;

    /**
     * 蓝字发票代码
     */
    private String lzfpdm;

    /**
     * 蓝字发票号码
     */
    private String lzfphm;

    /**
     * 作废标志
     */
    private String zfbz;

    /**
     * 唯一索引
     */
    private String uuid;

    /**
     * 是否有效
     */
    private String valid;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 修改时间
     */
    private Date updateDate;

    /**
     * 承运人名称
     */
    private String cyrmc;

    /**
     * 承运人纳税人识别号
     */
    private String cyrsbh;

    /**
     * 受票方名称
     */
    private String spfmc;

    /**
     * 受票方纳税人识别号
     */
    private String spfsbh;

    /**
     * 收货人名称
     */
    private String shrmc;

    /**
     * 收货人纳税人识别号
     */
    private String shrsbh;

    /**
     * 发货人名称
     */
    private String fhrmc;

    /**
     * 发货人纳税人识别号
     */
    private String fhrsbh;

    /**
     * 起运地、经由、到达地
     */
    private String qyd;

    /**
     * 运输货物信息
     */
    private String yshwxx;

    /**
     * 车中车号
     */
    private String czch;

    /**
     * 车船吨位
     */
    private String ccdw;

    /**
     * 购买方身份证号码
     */
    private String sfzhm;

    /**
     * 车辆类型
     */
    private String cllx;

    /**
     * 厂牌型号
     */
    private String cpxh;

    /**
     * 产地
     */
    private String cd;

    /**
     * 合格证书
     */
    private String hgzs;

    /**
     * 进口证明书号
     */
    private String jkzmsh;

    /**
     * 商检单号
     */
    private String sjdh;

    /**
     * 发动机号码
     */
    private String fdjhm;

    /**
     * 车辆识别号
     */
    private String cjhm;

    /**
     * 主管税务机关代码
     */
    private String swjgdm;

    /**
     * 主管税务机关名称货运发票返回该信息
     */
    private String swjgmc;

    /**
     * 完税凭证号码
     */
    private String wspzh;

    /**
     * 吨位
     */
    private String dw;

    /**
     * 限乘人数
     */
    private String xcrs;

    /**
     * 税率
     */
    private String sl;

    /**
     * 校验码
     */
    private String jym;

    /**
     * 通行费标志 通行费发票返回信息 y-可抵扣通行费 n-不可抵扣通行费
     */
    private String txfbz;

    /**
     * 零税率标志 通行费发票返回信息 空:非零税率， 1:税率栏位显示“免税”， 2:税率栏位显示“不征收”， 3:零税率
     */
    private String lslbz;

    /**
     * 查验账号
     */
    private String checkUser;

    private String scanId;

    private String company;

}
