package com.dxhy.extend.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 
 * 
 * 税率统计表
 *
 *
 * @author dxhy
 */
@Data
@TableName("t_dx_record_invoice_statistics")
public class ExtTdxRecordInvoiceStatistics implements Serializable {

    private static final long serialVersionUID = -2981617161484979507L;

    /**
     * id
     */
    private Long id;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 金额
     */
    private String detailAmount;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 价税合计
     */
    private String totalAmount;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 门部
     */
    private String depart;

    /**
     * 无有折扣
     */
    private String ywzk;

    /**
     * 扣折比率
     */
    private BigDecimal zkbl;

    /**
     * 折扣金额
     */
    private BigDecimal zkje;

    /**
     * 易交类型
     */
    private String jylx;
}
