package com.dxhy.extend.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 机动车明细表
 *
 *
 * @date 2019年4月25日 @author dxhy
 */
@Data
@TableName("t_dx_vehicle_sale_invoice")
public class ExtTdxVehicleSaleInvoice implements Serializable {

    private static final long serialVersionUID = -8976275814832604786L;

    /**
     * id
     */
    private Long id;

    /**
     * uuid
     */
    private String uuid;

    /**
     * 购方身份证号码 组织 机构代码
     */
    private String buyerIdNum;

    /**
     * 车辆类型
     */
    private String vehicleType;

    /**
     * 厂牌型号
     */
    private String factoryModel;

    /**
     * 产地
     */
    private String productPlace;

    /**
     * 合格证书
     */
    private String certificate;

    /**
     * 进口证明书号
     */
    private String certificateImport;

    /**
     * 商检单号
     */
    private String inspectionNum;

    /**
     * 发动机号
     */
    private String engineNo;

    /**
     * 车架号码 车辆识别码
     */
    private String vehicleNo;

    /**
     * 电话
     */
    private String phone;

    /**
     * 开户银行
     */
    private String buyerBank;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 主管税务机关名称
     */
    private String taxBureauName;

    /**
     * 主管税务机关代码
     */
    private String taxBureauCode;

    /**
     * 完税凭证号码
     */
    private String taxRecords;

    /**
     * 限乘人数
     */
    private String limitPeople;

    /**
     * 是否已勾选 0-未勾选 1-已勾选
     */
    private String checkStatus;

    /**
     * 吨位
     */
    private String tonnage;

    /**
     * 创建时间
     */
    private Date createDate;

}
