package com.dxhy.extend.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 报表逾期发票查询的返回对象
 * 
 * @author kangzq
 */
@Data
public class ExtBbycfpcxRespVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;

    /**
     * 开票日期
     */
    private String kprq;

    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 购方税号
     */
    private String gfsh;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 销方税号
     */
    private String xfsh;

    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 金额
     */
    private String je;

    /**
     * 税额
     */
    private String se;
    /**
     * 异常状态
     */
    private String yczt;
    /**
     * 异常时间
     */
    private String ycsj;
    /**
     * 签收状态
     */
    private String qszt;
    /**
     * 签收日期
     */
    private String qsrq;
    /**
     * 签收人
     */
    private String qsr;

    /** 认证类型 */
    private String rzsj;

    /** 认证状态 */
    private String rzzt;

    /** 认证处理状态 */
    private String rzclzt;

    /** 认证类型 */
    private String rzlx;

    /** 税款所属期 */
    private String skssq;

    private String businessName;

    public ExtBbycfpcxRespVO() {}

}
