package com.dxhy.extend.model;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author peipei.li
 * @date 2019-04-28 发票异常预警页面 请求condition
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ExtCautionAbnormalReqVO extends ExtBaseReqVO {
    /**
     * 购方税号
     */
    private String gfsh;
    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票状态
     */
    private String invoiceStatus;

    /**
     * 异常时间 开始
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date ycStartDate;

    /**
     * 异常时间 结束
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date ycEndDate;
}
