package com.dxhy.extend.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 *
 * 查验统计页面显示对象
 *
 *
 * @date 2019年5月14日 @author dxhy
 */
@Data
public class ExtCheckStatisticsVO implements Serializable {

    private static final long serialVersionUID = 6421610602915892465L;

    /**
     * 记录唯一标识
     */
    private String id;

    /**
     * 页面显示序号
     */
    private String xh;

    /**
     * 查验月份
     */
    private String checkMonth;

    /**
     * 查验张数
     */
    private String checkCount;

    /**
     * 成功张数
     */
    private String checkSucc;

    /**
     * 失败张数
     */
    private String checkFail;
}
