package com.dxhy.extend.model;

import lombok.Data;

/**
 * 发票认证日报或月报实体
 * 
 * @author dxhy
 */
@Data
public class ExtDailyReportVo {

    /** 认证日期(或税款所属期),进项税额报表中为转出原因类别 */
    private String rzhDate;
    /** 发票数量 */
    private Integer count;
    /** 合计金额 */
    private Double amount;
    /** 合计税额 */
    private Double tax;
    /** 价税合计 */
    private Double totalAmount;
    /** 购方税号 */
    private String gfTaxNo;
    /** 购方名称 */
    private String gfName;
    /** 税款所属期 */
    private String rzhBelongDate;

    public ExtDailyReportVo() {}

    public ExtDailyReportVo(String rzhDate) {
        this.rzhDate = rzhDate;
        this.count = 0;
        this.amount = 0.00;
        this.tax = 0.00;
    }
}
