package com.dxhy.extend.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 *
 * 发票认证月报响应对象
 *
 * @author zhanghong @date 2019年5月13日
 *
 */
@Data
public class ExtFprzybRespVO implements Serializable, Comparable<ExtFprzybRespVO> {

    private static final long serialVersionUID = 5715326297713811372L;
    private Long id;
    /**
     * 税款所属期
     */
    private String skssq;

    /**
     * 发票数量
     */
    private String fpsl;

    /**
     * 合计金额
     */
    private String hjje;

    /**
     * 合计税额
     */
    private String hjse;

    /**
     * 合计抵扣税额
     */
    private String dkse;

    private String sfyq;

    private String rzDate;

    @Override
    public int compareTo(ExtFprzybRespVO anotherVo) {
        return Integer.parseInt(this.getRzDate()) - Integer.parseInt((anotherVo).getRzDate());
    }
}
