package com.dxhy.extend.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 发票认证查询的返回对象
 *
 * @author kangzq
 */
@Data
public class ExtJxsemxbbRespVO implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    /**
     * 名称
     */
    private String gfmc;
    /**
     * 进项总金额
     */
    private String amount17;
    /**
     * 进项总税额
     */
    private String totalAmount;
    /**
     * 17%或16%税率的进项金额
     */
    private String totalTax;
    /**
     * 17%或16%税率的进项税额
     */
    private String tax17;
    /**
     * 13%税率的进项金额
     */
    private String amount13;
    /**
     * 13%税率的进项税额
     */
    private String tax13;
    /**
     * 11%或10%税率的进项金额
     */
    private String amount10;
    /**
     * 11%或10%税率的进项税额
     */
    private String tax10;
    /**
     * 6%税率的进项金额
     */
    private String amount6;
    /**
     * 6%税率的进项税额
     */
    private String tax6;
    /**
     * 5%税率的进项金额
     */
    private String amount5;
    /**
     * 5%税率的进项税额
     */
    private String tax5;
    /**
     * 3%税率的进项金额
     */
    private String amount3;
    /**
     * 3%税率的进项税额
     */
    private String tax3;

    public ExtJxsemxbbRespVO() {}

}
