package com.dxhy.extend.service.bb;

import java.util.Map;

/**
 * 异常发票预警Service接口 Created by alfred.zong on 2018/04/13.
 *
 * @author dxhy
 */
public interface ExtAbnormalInvoiceCopService {

    /**
     * 根据多条件查询异常发票进行预警
     *
     * @param pramsMap
     *            查询条件 gfTaxNo 购方税号 firstDate 异常日期起 lastDate 异常日期止 invoiceNo 发票号码 invoiceStatus 异常状态码
     * @param curr
     *            分页
     * @param size
     *            条数
     * @return 异常发票集合信息 @
     */
    String queryAbnormalInvoice(Map<String, Object> pramsMap, int curr, int size);

}
