package com.dxhy.extend.service.bb;

import java.util.Map;

/**
 * 普票跨年度预警Service接口 Created by alfred.zong on 2018/04/16.
 *
 * @author dxhy
 */
public interface ExtDefinitiveStrideYearCopService {

    /**
     * 根据多条件查询普票跨年度发票进行预警
     *
     * @param pramsMap
     *            查询条件 gfTaxNo 购方税号 signForDate1 签收日期起 signForDate2 签收日期止 billingDate1 开票日期起 billingDate2 开票日期止
     *            invoiceNo 发票号码
     * @param curr
     *            分页
     * @param size
     *            条数
     * @return 普票跨年度预警发票的集合 @
     */
    String queryDefinitiveList(Map<String, Object> pramsMap, int curr, int size);

}
