package com.dxhy.extend.service.bb;

import java.util.Map;

/**
 * 逾期预警Service层 Created by alfred.zong on 2018/04/12.
 *
 * @author dxhy
 */
public interface ExtRecordInvoiceService {

    /**
     * 根据条件筛选未认证的发票进行数量查询
     *
     * @param pramsMap
     *            查询条件 gfTaxNo 购方税号 numDate 距离逾期的天数
     * @param curr
     *            分页
     * @param size
     *            条数
     * @ @return 快逾期未认证发票的数量
     */
    String queryInvoice(Map<String, Object> pramsMap, int curr, int size);

}
