package com.dxhy.extend.service.companypool;

import java.text.ParseException;
import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.extend.model.CompanyPoolIndexVO;

/**
 * @author futianhao
 * @date 2020-08-28 企业票池首页
 */
public interface CompanyIndexService extends MpBaseService<CompanyPoolIndexVO> {

    /**
     * 票池首页
     *
     * @param paramsMap
     *            查询条件
     * @return 返回
     * @throws ParseException
     *             异常
     */
    JSONObject getTotal(Map<String, Object> paramsMap) throws ParseException;

    JSONObject queryRiskList(Map<String, Object> paramsMap);

    JSONObject queryAccountList(Map<String, Object> paramsMap);
}
