package com.dxhy.extend.service.tjbb;

import java.util.Map;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.extend.model.ExtQssbRespVO;

/**
 *
 *
 * 签收失败报表查询接口
 *
 * @author 张宏 @date 2019年5月15日
 *
 */
public interface IExtQssbService extends MpBaseService<ExtQssbRespVO> {

    /**
     * 根据查询条件查询签收失败的发票信息
     *
     * @param pramsMap
     *            请求参数集合
     * @param curr
     *            分页
     * @param size
     *            条数
     *
     * @return 返回
     *
     * 
     */
    String selectQssbBySmb(Map<String, Object> pramsMap, int curr, int size);

}
