package com.dxhy.manage.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.manage.entity.HttpLogEntity;
import com.dxhy.manage.model.TaxManageModel;

/**
 * 部门管理
 *
 * @author jiaohongyang
 */
@Mapper
public interface HttpLogDao extends BaseMapper<HttpLogEntity> {

    /**
     * 获取日志信息
     *
     * @param taxno
     *            税号
     * @return 日志信息
     */
    List<TaxManageModel> getLogList(String taxno);
}
