package com.dxhy.manage.model;

import lombok.Data;

/**
 * @author jiaohongyang
 */
@Data
public class TaxInfoModel {
    /**
     * 功能编号 01-发票下载 异步采集
     */
    private String functionNo;
    /**
     * 当前周期采集标识 0-未完成 1-已完成
     */
    private String curOverFlag;
    /**
     * 开票日期起 functionNo为01时返回此字段
     */
    private String invDateStart;
    /**
     * 开票日期止 functionNo为01时返回此字段
     */
    private String invDateEnd;
    /**
     * 税号状态 1：新增 2：局端无权限 3：正常 4:初始化 5：暂停 6:token超时 说明：用户状态为1、4时不允许接口操作
     */
    private String taxnoStatus;
    /**
     * 最后一次采集时间
     */
    private String lastOverDate;
    private String taxno;
    private String optMessage;
    private String optResult;
    private String tokenStatusMsg;
    /**
     * 地区编码
     */
    private String zoneCode;
}
