package com.dxhy.passengerticket.service;

import java.util.List;
import java.util.Map;

import com.dxhy.passengerticket.vo.InvoiceTableVo;

/**
 * @author dxhy
 */
public interface PassengerInvoiceStatisticsService {
    /**
     * 查询认证发票统计数据（卡片）
     * 
     * @param selectMonthMap
     * @param selectYearMap
     * @param dbName
     * @return
     */
    Map<String, Object> selectLegalizedInvoiceCard(Map<String, Object> selectMonthMap,
        Map<String, Object> selectYearMap, String dbName);

    /**
     * 查询客票发票统计数据（卡片）
     * 
     * @param selectMonthMap
     * @param selectYearMap
     * @param dbName
     * @return
     */
    Map<String, Object> selectpassengerTicketCar(Map<String, Object> selectMonthMap, Map<String, Object> selectYearMap,
        String dbName);

    /**
     * 查询其他发票统计数据（卡片）
     * 
     * @param selectMonthMap
     * @param selectYearMap
     * @param dbName
     * @return
     */
    Map<String, Object> selectOtherInvoiceCar(Map<String, Object> selectMonthMap, Map<String, Object> selectYearMap,
        String dbName);

    /**
     * 查询统计数据表格
     * 
     * @param selectMonthMap
     * @param dbName
     * @return
     */
    List<InvoiceTableVo> selectTable(Map<String, Object> selectMonthMap, String dbName);
}
