package com.dxhy.portrait.business.entity;

import java.util.List;

import lombok.Data;
import lombok.ToString;

/**
 * @ClassName business
 *
 * @Author wyh
 * @Date 2019/11/5 19:17
 * @Version 1.0
 **/
@Data
@ToString
public class Business {

    /**
     * 业务类型代码
     */
    private String code;

    /**
     * 业务类型名称
     */
    private String name;

    /**
     * 是否支持选择公司
     */
    private String isSelectCompany;

    /**
     * 是否选择单证类型
     */
    private String isSelectBillType;

    /**
     * 是否需要识别发票 N/Y
     */
    private String needOcr;

    /**
     * 是否追加业务类型
     *
     */
    private String pathAddBiztype;

    /**
     * 图片保存具体路径
     */
    private String imagePath;

    /**
     * 关联单证集合
     */
    private List<String> documentTypeCodes;

}
