package com.dxhy.portrait.business.entity;

import lombok.Data;

/**
 * @ClassName documentType 单据类型
 * @Author wyh
 * @Date 2019/11/5 18:46
 * @Version 1.0
 **/
@Data
public class DocumentType {

    /**
     * 单证类型代码
     */
    private String code;

    /**
     * 单证名称
     */
    private String name;

    /**
     * 识别类型
     */
    private String ocrType;

    /**
     * 识别位置 0-全文 1-左上角 2-右上角 3-左下角 4-右下角
     */
    private String ocrArea;

    /**
     * 是否封面 0-否 1-是
     */
    private String isCover;

}
