package com.dxhy.portrait.business.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import lombok.Data;

/**
 *
 * **************************************************************************** 扫描仪签收结果列表
 *
 * @author xuyongyun @date 2019年5月7日
 ******************************************************************************
 */
@Data
public class SmyqsWqsfpVO implements Serializable {

    private static final long serialVersionUID = -6462489281960584945L;

    private String id;

    private String xh;

    private String notes;

    /**
     * 签收结果（0-未签收 1-已签收）
     */
    private String qsStatus;

    /**
     * 签收日期
     */
    private String qsDate;

    /**
     * 签收人
     */
    private String userName;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 购方税号
     */
    private String gfTaxNo;

    /**
     * 购方名称
     */
    private String gfName;

    /**
     * 销方名称
     */
    private String xfName;

    /**
     * 金额
     */
    private String invoiceAmount;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 扫描id
     */
    private String scanId;

    private String businessCode;

    private String businessName;

    private String xfTaxNo;

    /**
     * 编辑标志
     */
    private Boolean editState;

    /**
     * 删除标志
     */
    private Boolean delState;

    private String ticketNumber;
    private String passenger;
    private String totalAmount;
    private String invoiceStatus;
    private String dqskssq;
    private String sourceSystem;
    private String invoiceName;
    private String departureCity;
    private String reachingCity;
    private String relatedBusinessDocuments;
    private String businessDocumentMaker;
    private String businessDocumentNumber;
    private String reimbursementTime;
    private String reimbursementStatus;
    private String trainNumber;
    private Date ticketDepartureTime;
    private Date ticketArrivalTime;
    private String passengerSfzh;
    private String uuid;
    private String invoiceString;
    private String gfAddressAndPhone;
    private String gfBankAndNo;
    private String xfAddressAndPhone;
    private String xfBankAndNo;
    private String taxRate;
    private String createDate;
    private String rzhYesorno;
    private String tag;
    private String isDeduction;
    private String isDomestic;
    private String selectId;
    private String qsType;
    private String qsName;
    private String fileType;
    private String qzStatus;
    private String ewm;
    private String orientation;
    private String region;
    private String remark;
    private String fuelSurcharge;
    private String doubleStatus;
    private String caacDevelopmentFund;

    /**
     * 飞机票上的票价
     */
    private BigDecimal fare;
    private String ocrStatus;
    private String fileTypeName;
    private String invoiceTypeName;
    private String qzStatusName;
    private String qsStatusName;
    private String isHunsao;
}
