package com.dxhy.portrait.business.entity;

import java.util.Date;

import lombok.Data;

/**
 * @author dxhy
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
public class TDxScanRecord {

    private Long id;

    /**
     * 唯一标识（本次单据名称+服务端下发批次号）
     */
    private String scanRecordId;

    /**
     * 扫描单据名称
     */
    private String billsName;

    /**
     * 本次扫描流水号
     */
    private String serialNumber;

    /**
     * 服务端下发批次号
     */
    private String batchNo;

    private String userName;

    private String userCode;

    private String deptCode;

    /**
     * 用途状态 11-正常 32- 补扫
     */
    private String useStatus;

    /**
     * 业务类型编码
     */
    private String businessCode;

    /**
     * 业务类型
     */
    private String businessType;

    private String dataSource;

    /**
     * 二维码
     */
    private String ewm;

    /**
     * 识别状态 0- 未识别 1-已识别
     */
    private Integer identifyStatus;

    private String scanDate;

    private Integer invoiceCount;

    private Date createData;

    private Date updateDate;

    private String invoiceText;

    private String ocrArea;

    private String isCover;

    private String needOcr;

}
