package com.dxhy.portrait.business.fegin;

import java.util.List;
import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.dxhy.portrait.business.entity.ocr.OpenServiceOcr;

/**
 * @author Gy Chen
 * @date 2021/1/28
 */
@FeignClient(value = "dxhy-core")
public interface OcrInterfaceClient {
    @PostMapping(value = "/openService/getInvoiceOcrResult")
    List<OpenServiceOcr> getInvoiceOcrResult(@RequestBody Map<String, String> params);
}
