package com.dxhy.sign.config;


import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
public class BaseServiceConfig {

    /**
     * 客户自定义邮件配置-发件人邮箱地址
     */
    @Value("${email.customer.sendAddress:}")
    private String sendAddress;
    /**
     * 客户自定义邮件配置-第三方支持授权码(126和163以及qq邮箱都需要授权码登录，没有授权码的直接登录网页版邮箱设置里设置)
     * 如果是其他企业邮箱，直接使用邮箱登录密码
     */
    @Value("${email.customer.authPassword:}")
    private String authPassword;
    /**
     * 客户自定义邮件配置-发件人名称
     */
    @Value("${email.customer.sendName:}")
    private String sendName;
    /**
     * 客户自定义邮件配置-邮件服务器
     */
    @Value("${email.customer.smtpServer:}")
    private String smtpServer;

    /**
     * 客户自定义邮件配置-邮件服务器端口
     */
    @Value("${email.customer.sslPort:}")
    private String sslPort;




}
