package com.dxhy.sign.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author peipei.li
 * @date 2019-05-09 电子发票查询条件vo
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ElecQueryReqVO extends BaseReqVO {

    /**
     * 购方名称
     */
    private String gfsh;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 签收开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date qsStartDate;

    /**
     * 签收结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date qsEndDate;
    /**
     * //业务单元
     */
    private String businessCode;
    private String company;
}
