package com.dxhy.sign.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author peipei.li
 * @date 2019-04-29 电票查询返回list
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ElecQueryRespVO extends BaseRespVO {

    /**
     * 签收日期
     */
    private String qsDate;
    /**
     * 签收状态
     */
    private String qsStatusName;
    /**
     * 签收方式
     */
    private String qsTypeName;
    /**
     * 签收人
     */
    private String qsUserName;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 金额
     */
    private String amount;
    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票
     */
    private String invoiceType;
    /**
     * 购方税号
     */
    private String gfsh;
    /**
     * 销方税号
     */
    private String xfsh;
    /**
     * 校验码
     */
    private String checkCode;
    /**
     * 图片地址
     */
    private String imgPath;

    /**
     * uuid
     */
    private String uuid;

    /**
     * 扫描备注
     */
    private String notes;

    private String gfName;
    private String xfName;

    private String scanId;

    private String businessCode;

    private String businessName;

    private Boolean imgState;
    private Boolean editState;
    private Boolean delState;
}
