package com.dxhy.sign.model;

import lombok.Data;

import java.io.Serializable;

/**
 *
 * 签收结果查询列表对象
 *
 * @author peipei.li
 * @date 2019-04-29
 */
@Data
public class QsjgQueryVO implements Serializable {

    private static final long serialVersionUID = 6845253794198798238L;

    private String id;

    private String xh;

    private String notes;

    private String qsDate;

    private String qsStatus;

    private String userName;

    private String qsType;

    private String invoiceCode;

    private String invoiceNo;

    /**
     * 全电号码
     **/
    private String eleInvoiceNo;

    private String invoiceDate;

    private String invoiceAmount;

    private String taxAmount;

    private String businessName;

    private String businessCode;

    private String scanId;

    private String gfName;

    private String gfTaxNo;

    private String xfName;

    private String xfTaxNo;
    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 签收状态，作参数用
     *
     */
    private String qsStatus2;

    /**
     * 图片按钮显示标志
     */
    private Boolean imgState;
    /**
     * 删除标志
     */
    private Boolean delState;
    /**
     * 编辑标志
     */
    private Boolean editState;

    /**
     * 签收标志
     */
    private Boolean signingState;

    /**
     *
     * 备注
     */
    private String remark;

    private String createDate;

    /**
     * 价税合计
     */
    private String totalAmount;

    private String uuid;
    /**
     * 结算单号
     */
    private String settlementNo;

    /**
     * 是否结算（0未结算，1已结算）
     */
    private String settlementStatus;

    /**
     * 结算单来源
     */
    private String settleSource;

    private String authStatus;

    private Boolean gxState;

    private String voucherNumber;
}
