package com.dxhy.sign.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 * 扫码签收签收结果列表
 *
 * @author peipei.li
 * @date 2019-04-29
 */
@Data
public class SmqsWqsfpVO implements Serializable {

    private static final long serialVersionUID = -1761600777932068559L;

    private String id;

    private String notes;

    /**
     * 签收结果（0-未签收 1-已签收）
     */
    private String qsStatus;

    /**
     * 签收结果（0-未签收 1-已签收）
     */
    private String qsDate;

    /**
     * 签收人
     */
    private String userName;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 金额
     */
    private String invoiceAmount;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 发票类型
     */
    private String invoiceType;

    private String scanId;

    private String gfTaxNo;

    private String gfName;

    private String xfTaxNo;

    private String xfName;

    private String businessCode;

    private String businessName;

    private Boolean delState;
    /**
     * //编辑标志
     */
    private Boolean editState;

    /**
     * 金额
     */
    private String totalAmount;
}
