package com.dxhy.sign.model;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;

/**
 *
 * 扫描仪签收结果列表
 *
 * @author peipei.li
 * @date 2019-04-29
 */
@Data
public class SmyqsWqsfpVO implements Serializable {

    private static final long serialVersionUID = -6462489281960584945L;

    private String id;

    private String xh;

    private String notes;

    /**
     * 签收结果（0-未签收 1-已签收）
     */
    private String qsStatus;

    /**
     * 签收日期
     */
    private String qsDate;

    /**
     * 签收人
     */
    private String userName;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 购方税号
     */
    private String gfTaxNo;

    /**
     * 购方名称
     */
    private String gfName;

    /**
     * 销方名称
     */
    private String xfName;

    /**
     * 金额
     */
    private String invoiceAmount;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 扫描id
     */
    private String scanId;

    private String businessCode;

    private String businessName;

    private String xfTaxNo;
    /**
     * //编辑标志
     */
    private Boolean editState;

    /**
     * //删除标志
     */
    private Boolean delState;

    private String uuid;

    private String settlementNo;
    /**
     * 价税合计
     */
    private String totalAmount;

}
