package com.dxhy.sign.service.elec;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.dxhy.sign.entity.TDxInvoiceImg;

import java.util.List;

/**
 * @author peipei.li
 * @date 2019-05-31
 *
 */
public interface SignInvoiceImgService {
    /**
     * 获取图片
     *
     * @param imgQueryWrapper
     *            请求参数
     * @return 返回结果
     */
    List<TDxInvoiceImg> list(LambdaQueryWrapper<TDxInvoiceImg> imgQueryWrapper);

    /**
     * 根据uuid查询
     *
     * @param uuid
     *            请求参数
     * @return 返回结果
     */
    TDxInvoiceImg selectByUuid(String uuid);

    /**
     * 新增或更新
     *
     * @param invoiceImg
     *            请求参数
     */
    void insertOrUpdate(TDxInvoiceImg invoiceImg);
}
