package com.dxhy.sign.service.singletable;

import java.util.List;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.sign.entity.TDxCheckInvoiceDetail;

/**
 *
 * 查验明细业务处理接口
 *
 * @author peipei.li
 * @date 2019-05-09
 */
public interface SignCheckRecordInvoiceDetailService extends MpBaseService<TDxCheckInvoiceDetail> {

    /**
     * 根据uuid查询发票明细
     *
     * @param uuid
     *            发票唯一标识
     * @return 返回结果
     * @since 1.0
     */
    List<TDxCheckInvoiceDetail> getInvoiceDetailListByUuid(String uuid);

}
