package com.dxhy.sign.service.singletable;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.sign.entity.TDxCheckVehicleSale;

/**
 *
 * 查验机动车明细业务处理接口 * @author peipei.li * @date 2019-05-09
 */
public interface SignCheckVehicleSaleInvoiceService extends MpBaseService<TDxCheckVehicleSale> {

    /**
     * 根据uuid查询机动车明细
     * 
     * @param uuid
     *            发票唯一标识
     * @return 返回结果
     * @since 1.0
     */
    TDxCheckVehicleSale getCheckInvoiceByUuid(String uuid);

}
