package com.dxhy.admin.sys.controller;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.dxhy.admin.sys.service.SysCityService;

import lombok.extern.slf4j.Slf4j;

/**
 * @author jiaohongyanng
 */
@RequestMapping("city")
@RestController
@Slf4j
public class SysCityController {
    @Resource
    private SysCityService sysCityService;

    @RequestMapping(value = "selectCityList", method = RequestMethod.GET)
    public List<String> selectCityList() {
        return sysCityService.selectCityList();
    }
}
