package com.dxhy.admin.sys.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.admin.sys.entity.SysTabulateEntity;
import com.dxhy.admin.sys.model.TabulateMenuModel;

/**
 * @author jiaohongyang（焦红阳）
 * @date 2020-09-22
 */
@Mapper
public interface SysTabulateDao extends BaseMapper<SysTabulateEntity> {
    /**
     * 修改显示列表菜单ID
     * 
     * @param menuIdModels
     *            菜单ID model
     */
    void updateTabulateMenuIdTran(List<TabulateMenuModel> menuIdModels);

    /**
     * 修改显示列表权限菜单ID
     *
     * @param menuIdModels
     *            菜单ID model
     */
    void updateTabulateDeptMenuIdTran(List<TabulateMenuModel> menuIdModels);
}
