package com.dxhy.admin.sys.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * @author jiaohongyang 日志表
 */
@TableName("sys_log")
@Data
public class SysLogEntity {
    @TableId
    private Long id;
    /**
     * 用户名
     */
    private String username;
    /**
     * 用户操作
     */
    private String operation;
    /**
     * 请求方法
     */
    private String method;
    /**
     * 请求参数
     */
    private String params;
    /**
     * 执行时长(毫秒)
     */
    private Long time;
    /**
     * IP地址
     */
    private String ip;
    /**
     * 创建时间
     */
    private String createDate;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 请求地址
     */
    private String url;
}