package com.dxhy.admin.sys.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 签收规则与机构对应关系
 * 
 * @author jiaohongyang
 */
@Data
@TableName("sys_rules_dept")
public class SysRulesDeptEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId
    private Long id;

    /**
     * 规则ID
     */
    private Long ruleId;

    /**
     * 机构ID
     */
    private Long deptId;

    /**
     * 公司编码
     */
    private String company;
}
