package com.dxhy.admin.sys.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * @author jiaohongyang（焦红阳）
 * @date 2020-09-23
 */
@Data
@TableName("sys_tabulate_dept")
public class SysTabulateDeptEntity {
    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 菜单id
     */
    private Long menuId;
    /**
     * 菜单显示列编码
     */
    private String tabulateCode;
    /**
     * 菜单显示名
     */
    private String tabulateName;
    /**
     * 显示列表id
     */
    private Long tabulateId;
    /**
     * 集团编码
     */
    private String company;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改时间
     */
    private Date updateDate;

    /**
     * 排序
     */
    private int orderNum;

    /**
     * 是否显示
     */
    private boolean showStatus;
    /**
     * 是否显示名
     */
    @TableField(exist = false)
    private String showStatusName;
}
