package com.dxhy.admin.sys.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 用户和业务单元
 * 
 * @author jiaohongyang
 */
@Data
@TableName("sys_user_business")
public class SysUserBusinessEntity {
    @TableId
    private Long id;
    private Long userId;
    private Long businessId;
    private String businessCode;
    private String businessName;
    @TableField(exist = false)
    private String deptId;
    @TableField(exist = false)
    private String company;
    @TableField(exist = false)
    private Date createTime;
}
