package com.dxhy.admin.sys.model;

import lombok.Data;

/**
 * @author jiaohongyang（焦红阳）
 * @date 2021-03-09
 */
@Data
public class AdminSsoConfigModel {
    /**
     * 集团编码
     */
    public String company;
    /**
     * 接口鉴权key
     */
    public String aceKey;
    /**
     * 接口鉴权id
     */
    public String aceId;
    /**
     * 签收状态 0 -- 不签收直接认证 1--签收后才可以认证
     */
    public String qsStatus;
    /**
     * 是否升级企业 0--未升级 1--已升级
     */
    public String upgradeStatus;
    /**
     * 是否查验 0--不 查验 1--查验
     */
    public String checkStatus;
    /**
     * 是否采集状态 0 -- 不采集 1--采集
     */
    public String cjStatus;
    /**
     * 获取角色地址
     */
    public String queryRoleUrl;
    /**
     * 获取用户地址
     */
    public String queryUserUrl;
    /**
     * 部门id
     */
    public Long deptId;
    /**
     * 角色id
     */
    public Long roleId;
    /**
     * 上级部门id
     */
    public Long parentId;
    /**
     * 退出登录地址
     */
    public String loginOutUrl;

}
