package com.dxhy.admin.sys.model;

import lombok.Data;

/**
 * @author jiaohongyang（焦红阳）
 * @date 2020-09-30
 */
@Data
public class ButtonVo {
    /**
     * 按钮编码
     */
    private String buttonCode;
    /**
     * 按钮名称
     */
    private String buttonName;
    /**
     * 按钮请求地址
     */
    private String buttonUrl;

    /**
     * 构造方法
     * 
     * @param buttonCode
     *            按钮编码
     * @param buttonName
     *            按钮名称
     * @param buttonUrl
     *            按钮请求地址
     */
    public ButtonVo(String buttonCode, String buttonName, String buttonUrl) {
        this.buttonCode = buttonCode;
        this.buttonName = buttonName;
        this.buttonUrl = buttonUrl;
    }
}
