package com.dxhy.admin.sys.model;

import java.util.List;

import lombok.Data;

/**
 * 路由显示信息
 * 
 * @author jiaohongyang
 */
@Data
public class MetaVo {
    /**
     * 设置该路由在侧边栏和面包屑中展示的名字
     */
    private String title;

    /**
     * 设置该路由的图标
     */
    private String icon;

    private List<ButtonVo> buttonVo;

    private List<QueryVo> queryVo;

    private boolean noCache;

    public MetaVo(String title, String icon, List<ButtonVo> buttonVo, boolean noCache, List<QueryVo> queryVo) {
        this.title = title;
        this.icon = icon;
        this.buttonVo = buttonVo;
        this.noCache = noCache;
        this.queryVo = queryVo;
    }

}
