package com.dxhy.auth.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.auth.entity.ClientEntity;

/**
 * @author jiaohongyang
 */
@Mapper
public interface ClientDao extends BaseMapper<ClientEntity> {
    /**
     * 查询鉴权信息
     * 
     * @param serviceId
     *            服务端id
     * @return 鉴权信息
     */
    List<String> selectAllowedClient(String serviceId);

    /**
     * 查询鉴权信息
     * 
     * @param clientId
     *            客户端id
     * @return 鉴权信息
     */
    List<ClientEntity> selectAuthorityServiceInfo(Long clientId);
}