package com.dxhy.base.dao;

import java.util.List;
import java.util.Map;

import com.dxhy.base.entity.BaseTDxRecordInvoice;
import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 *
 * 发票不认证列表dao
 *
 * @author zhanghong
 * @date 2019年5月11日
 */
@Mapper
public interface BaseFpbrzDao extends BaseMapper<BaseTDxRecordInvoice> {
    /**
     * 发票不认证查询
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<BaseTDxRecordInvoice> selectByFpbrz(Map<String, Object> pramsMap);

    /**
     * 发票不认证查询合计信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    BaseTDxRecordInvoice selectHjByFpbrz(Map<String, Object> pramsMap);

    /**
     * 发票不认证设置
     *
     * @param pramsMap
     *            请求参数
     *
     * @since 1.0
     */
    void updateByUuid(Map<String, Object> pramsMap);

    /**
     * 取消发票不认证设置
     *
     * @param pramsMap
     *            请求参数
     *
     * @since 1.0
     */
    void updateByUuidQxrz(Map<String, Object> pramsMap);
}
