package com.dxhy.base.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.base.model.BaseFpcjCjhzRespVO;

/**
 *
 *
 * 发票采集汇总列表dao
 *
 * @author zhanghong
 * @date 2019年5月11日
 */
@Mapper
public interface BaseFpcjhzLbDao extends BaseMapper<BaseFpcjCjhzRespVO> {

    /**
     *
     * 根据购方税号和采集日期查询汇总列表数据
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<BaseFpcjCjhzRespVO> selectByGfshAndCjrq(Map<String, Object> pramsMap);

    /**
     *
     * 根据购方税号和采集日期查询合计信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<BaseFpcjCjhzRespVO> selectHjxxByGfshAndCjrq(Map<String, Object> pramsMap);

}
