package com.dxhy.base.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.base.model.BaseReceiptInvoiceView;

/**
 * @author peipei.li
 * @date 2019-04-25
 */
@Mapper
public interface BaseInvoiceOutDao extends BaseMapper<BaseReceiptInvoiceView> {
    /**
     * 根据条件查询发票抵账表部分信息
     *
     * @param filter
     *            请求参数
     * @return 返回结果
     */
    List<BaseReceiptInvoiceView> listPageByInvoice(Map<String, Object> filter);

    /**
     * 合计金额跟合计税额查询
     *
     * @param filter
     *            请求参数
     * @return 返回结果
     */
    BaseReceiptInvoiceView querySumForInvoice(Map<String, Object> filter);
}
