package com.dxhy.base.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.base.model.BaseYqrzRespVO;

/**
 *
 *
 * 逾期发票认证查询
 *
 *
 * @author peipei.li
 * @date 2019-04-23
 */

@Mapper
public interface BaseYqfpxxDao extends BaseMapper<BaseYqrzRespVO> {

    /**
     *
     * 根据查询条件查询逾期发票信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<BaseYqrzRespVO> selectByYqcxtj(Map<String, Object> pramsMap);

    /**
     * 根据查询条件查询逾期发票信息合计信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    BaseYqrzRespVO selectHjByYqcxtj(Map<String, Object> pramsMap);

}
