package com.dxhy.base.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 电票pdf路径表
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_electron_log")
public class BaseTDxElectronLog implements Serializable {

    private static final long serialVersionUID = 2465935589176468226L;

    /**
     * id
     */
    private Long id;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 文件路径
     */
    private String filePath;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * file_name
     */
    private String fileName;

}
