package com.dxhy.base.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 扫描图片表
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_invoice_img")
public class BaseTDxInvoiceImg implements Serializable {

    private static final long serialVersionUID = -7827276491690673454L;

    /**
     * id
     */
    private Long id;

    /**
     * 图片内容
     */
    private String image;

    /**
     * 图片路径
     */
    private String imagePath;

    /**
     * 唯一索引[发票代码+号码]
     */
    private String uuid;

    /**
     * 是否有效
     */
    private String valid;

    /**
     * 唯一识别码
     */
    private String scanId;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 更新时间
     */
    private Date updateDate;

}
