package com.dxhy.base.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 税率统计表
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_record_invoice_statistics")
public class BaseTDxRecordInvoiceStatistics implements Serializable {

    private static final long serialVersionUID = -456269591985127244L;

    /**
     * id
     */
    private Long id;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 金额
     */
    private BigDecimal detailAmount;

    /**
     * 税率
     */
    private BigDecimal taxRate;

    /**
     * 税额
     */
    private BigDecimal taxAmount;

    /**
     * 价税合计
     */
    private BigDecimal totalAmount;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 门部
     */
    private String depart;

    /**
     * 无有折扣
     */
    private String ywzk;

    /**
     * 扣折比率
     */
    private BigDecimal zkbl;

    /**
     * 折扣金额
     */
    private BigDecimal zkje;

    /**
     * 易交类型
     */
    private String jylx;

}
