package com.dxhy.base.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 税款所时期操作记录表
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_tax_handlelog")
public class BaseTDxTaxHandlelog implements Serializable {

    private static final long serialVersionUID = 7013331616350171084L;

    /**
     * id
     */
    private Long id;

    /**
     * 操作名称：1锁定；0释放
     */
    private String handleType;

    /**
     * 操作账户
     */
    private String userAccount;

    /**
     * 操作人
     */
    private String userName;

    /**
     * 操作时间
     */
    private Date handleTime;

    /**
     * 税款所属期
     */
    private String period;

    /**
     * 税号
     */
    private String taxno;
}
