package com.dxhy.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("t_dx_lq_dk_fpycxx")
public class TdxLqDkFpycxx implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;
	
	//columns START
    /**
     * id  
     */ 	
	private Long id;
    /**
     * 纳税人识别号  
     */ 	
	private String nsrsbh;
    /**
     * 当前税款所属期  
     */ 	
	private String dqskssq;
    /**
     * 发票代码  
     */ 	
	private String fpdm;
    /**
     * 发票号码  
     */ 	
	private String fphm;
    /**
     * uuid  
     */ 	
	private String uuid;
    /**
     * 开票日期YYYYYMMDD  
     */ 	
	private String kprq;
    /**
     * 税款所属期  
     */ 	
	private String skssq;
    /**
     * 出口转内销证明编号  
     */ 	
	private String ckznxzmbh;
    /**
     * 勾选时间YYYYYMMDD  
     */ 	
	private String gxsj;
    /**
     * 发票状态：0正常 1失控 2作废 3已红冲 7部分冲红 8全额红冲  
     */ 	
	private String fpzt;
    /**
     * 是否异常凭证：01正常 02异常凭证 03疑似异常凭证  
     */ 	
	private String sfycpz;
    /**
     * 锁定状态：01-未锁定，02-已锁定  
     */ 	
	private String sdzt;
    /**
     * createTime  
     */ 	
	private Date createTime;
	//columns END


}

