package com.dxhy.base.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 *
 * 发票不认证列表响应对象
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@Data
public class BaseFpbrzRespVO implements Serializable {

    private static final long serialVersionUID = 7115866212296588692L;

    /**
     * id
     */
    private String id;

    /**
     * uuid
     */
    private String uuid;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;

    /**
     * 开票日期
     */
    private String kprq;

    /**
     * 购方名称
     */
    private String gfmc;
    /**
     * 购方税号
     */
    private String gfsh;

    /**
     * 销方名称
     */
    private String xfsh;
    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 金额
     */
    private String je;

    /**
     * 税额
     */
    private String se;

    /**
     * 抵扣税额
     */
    private String dkse;

    /**
     * 是否设置不认证
     */
    private String sfbrz;

    /**
     * 签收状态
     */
    private String qszt;

    /**
     * 签收日期
     */
    private String qsrq;

    /**
     * 签收方式
     */
    private String qsfs;
    /**
     * 签收人
     */
    private String qsr;

    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 不抵扣处理状态
     */
    private String bdkStatus;
    /**
     * 撤销不抵扣处理状态
     */
    private String cxbdkStatus;
    /**
     * 返回前端是否可勾选
     */
    private Boolean select;
    /**
     * 业务单元
     */
    private String businessName;
    /**
     * 实际认证归属期 yyyymm
     */
    private String rzhBelongDate;
    /**
     * 全电号码
     */
    private String eleInvoiceNo;
    private String lqTdyslxdm;
    /**
     * bdk_message是5时，保存具体原因
     */
    private String bdkYy;
    /**
     *不抵扣原因 1-用于非应税项目2-用于免税项目3-用于集体福利或者个人消费4-遭受非正常损失5-其他
     */
    private String bdkMessage;
}
