package com.dxhy.base.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 *
 * 发票采集汇总列表响应对象
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@Data
public class BaseFpsmrzRespVO implements Serializable {

    private static final long serialVersionUID = 648337539921276498L;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;

    /**
     * 开票日期
     */
    private String kprq;

    /**
     * 金额
     */
    private String je;

    private String se;

    /**
     * 抵扣税额
     */
    private String dkse;

    /**
     * 签收日期
     */
    private String qsrq;

    /**
     * 签收状态
     */
    private String qszt;

    /**
     * 签收人
     */
    private String qsr;

    /**
     * 校验码
     */
    private String jym;

    /**
     * 不可认证提示
     */
    private String bkrzts;

    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 是否升级地区0不是，1是
     */
    private String upgradeStatus;
    /**
     * 返回前端是否可勾选标志
     */
    private Boolean select;
    /**
     * 当前税款所属期
     */
    private String dqskssq;
    /**
     * 全电发票号码
     */
    private String eleInvoiceNo;

}
