package com.dxhy.base.model;

import lombok.Data;

/**
 * @author peipei.li
 * @date 2019-04-25 进项税转出确认，条件vo
 */
@Data
public class BaseInvoiceEditCondVO {

    /**
     * 主键，多个以英文逗号分隔，结尾不加逗号
     */
    private String primaryKey;
    /**
     * 转出选项，1=全部转出， 2=部分转出
     */
    private String outStatus;

    /**
     * 转出金额
     */
    private String outAmount;

    /**
     * 转出税额
     */
    private String outTax;
    /**
     * 转出原因
     */
    private String outReason;

    /**
     * 备注
     */
    private String outRemark;

}
