package com.dxhy.base.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 * 到勾选查询返回对象
 *
 * @author kangzq
 */
@Data
public class BaseInvoiceImportCheckRespVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 金额
     */
    private String invoiceAmount;
    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 抵扣税额
     */
    private String dkTaxAmount;

    /**
     * 签收时间
     */
    private String qsDate;

    /**
     * 签收人
     */
    private String qsName;

    /**
     * 签收结果（0-未签收 1-已签收）
     */
    private String qsStatus;
    /**
     * 签收方式
     */
    private String qsType;
    /**
     * 不可勾选提示
     */
    private String bkgxts;
    /**
     * 返回前端是否可以勾选
     */
    private Boolean select;

    /**
     * 当前税款所属期
     */
    private String dqskssq;

    /**
     * 结算单号
     */
    private String settlementNo;

    /**
     * 结算单来源
     */
    private String settleSource;

    /**
     * 全电发票号码
     */
    private String eleInvoiceNo;

    public BaseInvoiceImportCheckRespVO() {}

}
