package com.dxhy.base.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import lombok.Data;

/**
 * 扫描勾选查询返回对象
 *
 * @author kangzq
 */
@Data
public class BaseInvoiceScanCheckRespVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 开票日期
     */
    private Date invoiceDate;

    /**
     * 金额
     */
    private BigDecimal invoiceAmount;

    /**
     * 签收时间
     */
    private Date qsDate;

    /**
     * 签收人
     */
    private String qsName;

    /**
     * 签收结果（0-未签收 1-已签收）
     */
    private String qsStatus;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 不可勾选提示
     */
    private String bkgxts;

    public BaseInvoiceScanCheckRespVO() {}

}
