package com.dxhy.base.model;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

/**
 * @author peipei.li
 * @date 2019-04-24 已转出进项税列表页查询条件
 */
@Data
public class BaseReceiptOutReqVO extends BaseBaseReqVO {
    /**
     * 购方税号，唯一
     */
    private String gfsh;

    /**
     * 销方名称
     */
    private String sellerName;

    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 转出原因
     */
    private String reasonId;

    /**
     * 发票状态
     */
    private String invoiceStatus;

    /**
     * 转出开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date outStartDate;

    /**
     * 转出结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date outEndDate;

}
