package com.dxhy.base.model;

import lombok.Data;

/**
 * 抵扣统计明细返回对象
 *
 * @author kangzq
 * @date 2019年5月13日
 * @version 1.0
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
public class BaseTDxDkCountDetailRespVO {

    /**
     * id
     */
    private Long id;

    /**
     * 税号
     */
    private String taxno;

    /**
     * 名称
     */
    private String taxName;

    /**
     * 统计月份
     */
    private String tjMonth;

    /**
     * 统计时间
     */
    private String tjDate;

    /**
     * 发票类型(01增值税专用发票、03机动车销售统一发票、14通行费发票、99总计)
     */
    private String invoiceType;

    /**
     * 抵扣发票份数
     */
    private String dkInvoiceCount;

    /**
     * 抵扣总金额
     */
    private String dkAmountCount;

    /**
     * 抵扣总有效税额
     */
    private String dkTaxAmountCount;

    /**
     * 不抵扣发票份数
     */
    private String bdkInvoiceCount;

    /**
     * 不抵扣总金额
     */
    private String bdkAmountCount;

    /**
     * 不抵扣总有效税额
     */
    private String bdkTaxAmountCount;
}
