package com.dxhy.base.model;

import java.io.Serializable;

import lombok.Data;

/**
 * @author kangzq 以勾选发票确认返回对象
 *
 *
 */
@Data
public class BaseYgxfpqrRespVO implements Serializable {

    private static final long serialVersionUID = -5401864068690113643L;

    /**
     * ID
     */
    private String id;
    /**
     * UUID
     */
    private String uuid;

    /**
     * 序号
     */
    private String xh;

    /**
     * 有效抵扣税额
     */
    private String yxdkse;
    /**
     * 签收日期
     */
    private String qsrq;
    /**
     * 签收状态
     */
    private String qszt;
    /**
     * 签收人
     */
    private String qsr;
    /**
     * 签收方式
     */
    private String qsfs;
    /**
     * 勾选日期
     */
    private String gxrq;
    /**
     * 发票代码
     */
    private String fpdm;
    /**
     * 发票号码
     */
    private String fphm;
    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 开票日期
     */
    private String kprq;
    /**
     * 购方名称
     */
    private String gfmc;
    /**
     * 购方税号
     */
    private String gfsh;
    /**
     * 销方名称
     */
    private String xfmc;
    /**
     * 金额
     */
    private String je;
    /**
     * 税额
     */
    private String se;
    /**
     * 数量
     */
    private String sl;

    /**
     * 部门id
     */
    private String deptId;
    /**
     * 业务单元名称
     */
    private String businessName;

    private Boolean select;

    private String dqskssq;
    /**
     * 付款状态
     */
    private String paymentStatus;

    /**
     * 付款日期
     */
    private String paymentDate;

    private String gxUserName;

    /**
     * 凭证号
     */
    private String voucherNumber;
    /**
     * 全电发票号码
     */
    private String eleInvoiceNo;

}
