package com.dxhy.base.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 *
 * 逾期认证查询响应类
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@Data
public class BaseYqrzRespVO implements Serializable {

    private static final long serialVersionUID = -3145169699435377952L;

    /**
     * 序号
     */
    private String xh;

    /**
     * id
     */
    private String id;

    /**
     * uuid
     */
    private String uuid;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;
    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 开票日期
     */
    private String kprq;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 购方税号
     */
    private String gfsh;

    /**
     * 销方税号
     */
    private String xfsh;

    /**
     * 金额
     */
    private String je;

    /**
     * 税额
     */
    private String se;

    /**
     * 抵扣税额
     */
    private String dkse;

    /**
     * 是否认证
     */
    private String sfrz;

    /**
     * 认证时间
     */
    private String rzsj;
    /**
     * 认证处理状态
     */
    private String authStatus;
    /**
     * 返回前端是否可勾选标志
     */
    private Boolean select;
    /**
     * 是否升级地区
     */
    private String upgradeStatus;

}
