package com.dxhy.base.service.fpcj;

import java.util.Map;

import com.dxhy.base.model.BaseFpcjCjhzRespVO;
import com.dxhy.common.service.MpBaseService;

/**
 *
 *
 * 发票采集业务处理接口
 *
 * @author ld
 * @date 2019年4月25日
 *
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseIFpcjService extends MpBaseService<BaseFpcjCjhzRespVO> {

    /**
     * 根据购方税号和采集日期查询统计信息
     *
     * @param pramsMap
     *            请求参数
     * @param curr
     *            页码
     * @param size
     *            大小
     * @return 返回结果
     * 
     */
    String selectByGfshAndCjrq(Map<String, Object> pramsMap, int curr, int size);

}
