package com.dxhy.base.service.invoicecheck;

import java.text.ParseException;
import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MtBaseService;

/**
 * 申请抵扣统计service
 *
 * @author kangzq
 * @date 2019年5月11日
 * @version 1.0
 */
public interface BaseBeforeGxService extends MtBaseService {

    /**
     * 根据税号和税款所属期查询符合条件的发票生成统计数据
     *
     * @param pramsMap
     *            请求参数
     * @param ids
     *            id
     * @return 返回结果
     * @throws ParseException
     *             异常
     */
    JSONObject selectByIds(String[] ids, Map<String, Object> pramsMap) throws ParseException;

}
