package com.dxhy.base.service.invoicecheck;

import java.util.Map;

import com.dxhy.base.entity.BaseTDxRecordInvoice;
import com.dxhy.common.service.MpBaseService;

/**
 * 扫码勾选查询service
 *
 * @author kangzq
 * @date 2019年5月11日
 * @version 1.0
 */
public interface BaseInvoiceScanCheckService extends MpBaseService<BaseTDxRecordInvoice> {

    /**
     * 根据传入条件查询发票
     *
     * @param pramsMap
     *            入参
     * @return 返回
     */
    String selectByInvoiceScanCheck(Map<String, Object> pramsMap);

}
