package com.dxhy.base.service.sqdktj;

import java.util.Map;

import com.dxhy.base.entity.BaseTDxDkCount;
import com.dxhy.common.service.MpBaseService;

/**
 * 撤销抵扣统计service
 *
 * @author kangzq
 * @date 2019年5月11日
 * @version 1.0
 */
public interface BaseCancelApplicationService extends MpBaseService<BaseTDxDkCount> {

    /**
     * 根据税号税款所属期撤销抵扣统计
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     *
     */
    String deleteByGfshAndSkssq(Map<String, Object> pramsMap);

    /**
     * 删除
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     *
     */
    String deleteQsByGfshAndSkssq(Map<String, Object> pramsMap);

}
