package com.dxhy.base.service.sqdktj;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.base.entity.BaseTDxDkCountDetail;
import com.dxhy.common.service.MpBaseService;

/**
 * 抵扣统计明细service
 *
 * @author kangzq
 * @date 2019年5月11日
 * @version 1.0
 */
public interface BaseDktjService extends MpBaseService<BaseTDxDkCountDetail> {

    /**
     * 根据税号和税款所属期查询抵扣统计明细
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    String selectByGfsbhAndSkssq(Map<String, Object> pramsMap);

    /**
     * 撤销统计返回合计信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    JSONObject selectCxtjHjxx(Map<String, Object> pramsMap);

}
