package com.dxhy.base.service.tdxrecordinvoice;

import java.util.Map;

/**
 *
 * 发票不认证查询接口
 *
 * @author zhanghong
 * @date 2019年5月11日
 *
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseIFpbrzService {
    /**
     * 发票不认证查询
     *
     * @param size
     *            分页查询需要，页面传入的每页显示多少条数据
     * @param curr
     *            分页查询需要，页面传入的当前查询第几页
     * @param pramsMap
     *            请求参数集合 @ 异常
     * @return 返回结果
     *
     * 
     */
    String selectByFpbrz(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 发票不认证设置
     *
     * @param pramsMap
     *            请求参数 @ 异常
     * @return 返回结果
     *
     * 
     */
    String updateByFpbrz(Map<String, Object> pramsMap);

    /**
     * 取消发票不认证设置
     *
     * @param pramsMap
     *            请求参数 @ 异常
     * @return 返回结果
     *
     * 
     */
    String updateByQxFpbrz(Map<String, Object> pramsMap);
}
