package com.dxhy.base.service.tdxrecordinvoice;

import java.util.Map;

import com.dxhy.base.model.BaseFpsmrzRespVO;
import com.dxhy.common.service.MpBaseService;

/**
 *
 *
 * 发票扫码认证查询接口
 *
 * @author zhanghong
 *
 *
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseIFpsmrzService extends MpBaseService<BaseFpsmrzRespVO> {
    /**
     * 根据发票代码和发票号码查询发票信息
     *
     * @param pramsMap
     *            请求参数集合
     * @return 返回结果
     *
     * 
     */
    String selectBySmrzCxtj(Map<String, Object> pramsMap);
}
