package com.dxhy.base.service.tdxtaxcurrent;

import java.util.Map;

import com.dxhy.base.entity.BaseTDxTaxHandlelog;
import com.dxhy.common.service.MpBaseService;

/**
 *
 *
 * 企业税务信息历史操作查询接口
 *
 * @author zhanghong
 * @date 2019年5月22日
 *
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseITDxTaxHandlelogService extends MpBaseService<BaseTDxTaxHandlelog> {

    /**
     * 根据购方税号查询企业税务信息操作历史
     *
     * @param count
     *            分页查询需要，页面传入的记录总数
     * @param size
     *            分页查询需要，页面传入的每页显示多少条数据
     * @param curr
     *            分页查询需要，页面传入的当前查询第几页
     * @param pramsMap
     *            请求参数集合
     * @return 返回结果 @ 异常
     *
     * 
     */
    String selectHandlelogByGfsh(Map<String, Object> pramsMap, int curr, int size, int count);
}
