package com.dxhy.common.constant;

/**
 * @author jiaohongyang
 */
public class RedisConstant {
    /**
     * 保存用户信息到redis 中key 需加上用户名
     */
    public static String KEY_USER = "permission:user:";
    /**
     * 保存菜单信息到redis 中key
     */
    public static final String KEY_MENU = "permission:menu";
    /**
     * 保存用户关联菜单到redis 中key 需加上用户名
     */
    public static final String KEY_USER_MENU = "permission:user:menu:";

    /**
     * 保存数据字典到redis 中key 需加上用户名
     */
    public static final String KEY_DICT = "permission:dict:";

    /**
     * 保存部门信息到redis
     */
    public static String KEY_DEPT = "permission:dept";
    /**
     * 保存用户userInfo
     */
    public static final String KEY_USER_TOKEN = "permission:user:token:";
    /**
     * 用户登录token
     */
    public static final String KEY_TOKEN = "token:";
    /**
     * 扫描流水号
     */
    public static final String SCAN_ID_NUM = "scanid:scanid_serialnum";

    /**
     * 扫描流水号
     */
    public static final String INVOICE_NUM = "scan:invoice_serialnum";
    /**
     * 匹配单号
     */
    public static final String MATCH_NO_NUM = "match_no:matchno_serialnum";
    /**
     * 菜单，显示列表权限,集团控制
     */
    public static final String MENU_TABULATE_COMPANY = "permission:menu:tabulate_company:";
    /**
     * 菜单，显示列表权限，集团控制，导出
     */
    public static final String MENU_TABULATE_EXCEL = "permission:menu:tabulate_excel:";

    public static final String MENU_TABULATE = "permission:menu:tabulate:";

    /**
     * 保存用户关联菜单到redis 中key 需加上用户名
     */
    public static final String DICT = "permission:dict";
}
