package com.dxhy.common.datasource.properties;

import javax.annotation.Resource;

import com.dxhy.common.config.DataConfig;

import lombok.Getter;
import lombok.Setter;

/**
 * 多数据源属性
 * 
 * @author jiaohongyang
 */
@Getter
@Setter
public class DataSourceProperties {

    private String driverClassName;
    private String url;
    private String username;
    private String password;

    @Resource
    private DataConfig dataConfig;
}