package com.dxhy.common.service;

import com.alibaba.fastjson.JSONObject;

/**
 * @author jiaohongyang（焦红阳）
 * @date 2020-10-07
 */
public interface TabulateRedisService {
    /**
     * 根据集团编码和菜单ID 获取 显示列表信息
     * 
     * @param company
     *            集团编码
     * @param menuId
     *            菜单ID
     * @return 显示列表信息
     */
    JSONObject getTabulateMenu(String company, String menuId);

    /**
     * 根据集团编码和菜单ID 获取 导出显示列表信息
     *
     * @param company
     *            集团编码
     * @param menuId
     *            菜单ID
     * @return 显示列表信息
     */
    JSONObject getTabulateExcel(String company, String menuId);
}
