package com.dxhy.common.vo;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * 系统日志
 *
 * @author jiaohongyang
 */
@Data
public class SysLogVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long id;
    /**
     * 用户名
     */
    private String username;
    /**
     * 用户操作
     */

    private String operation;
    /**
     * 请求方法
     */
    private String method;
    /**
     * 请求参数
     */
    private String params;
    /**
     * 执行时长(毫秒)
     */
    private Long time;
    /**
     * IP地址
     */
    private String ip;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * token
     */
    private String token;
    /**
     * 请求路径
     */
    private String url;

    /**
     * 用户id
     *
     */
    private String userId;

    private String deptId;

}
