package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.BbrzrbcxRespVO;

/**
 * 报表异常发票报表查询
 *
 * @author user
 */
@Mapper
public interface BbrzrbcxDao extends BaseMapper<BbrzrbcxRespVO> {

    /**
     * 按照税号，名称，发票状态发票分组查询的合计数量，合计金额，合计税额
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<BbrzrbcxRespVO> selectBbycfpbbHj(Map<String, Object> pramsMap);

    /**
     * 统计按照页面条件查询发票的合计数量，合计金额，合计税额,购方名称，购方税号
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<BbrzrbcxRespVO> selectHjxx(Map<String, Object> pramsMap);

}
