package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.BbycfpcxRespVO;

/**
 * 报表异常发票查询dao
 *
 * @author user
 */
@Mapper
public interface BbycfpcxDao extends BaseMapper<BbycfpcxRespVO> {

    /**
     * 根据页面条件查询异常发票
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<BbycfpcxRespVO> selectByPramsMap(Map<String, Object> pramsMap);

    /**
     * 统计按照页面条件查询发票的合计数量，合计金额，合计税额
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<BbycfpcxRespVO> selectBbfpzhHj(Map<String, Object> pramsMap);

}
