package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.BbyqfpRespVO;

/**
 * 报表逾期发票查询dao
 *
 * @author user
 */

@Mapper
public interface BbyqfpDao extends BaseMapper<BbyqfpRespVO> {

    /**
     * 根据页面条件查询认证发票
     *
     * @param pramsMap
     * @return
     */
    List<BbyqfpRespVO> selectByPramsMap(Map<String, Object> pramsMap);

    /**
     * 统计按照页面条件查询发票的合计数量，合计金额，合计税额
     *
     * @param pramsMap
     * @return
     */
    List<BbyqfpRespVO> selectBbyqfpHj(Map<String, Object> pramsMap);

}
