package com.dxhy.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.JkszhcxRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 海关缴款书综合查询
 *
 * @author user
 */
@Mapper
public interface CustomsDao extends BaseMapper<JkszhcxRespVO> {

    /**
     * 根据页面条件查询海关缴款书
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<JkszhcxRespVO> selectByPramsMap(Map<String, Object> pramsMap);
}
