package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.entity.TDxInvoiceReimburse;
import com.dxhy.core.model.SmyqsWqsfpVO;

/**
 * @author user
 */
@Mapper
public interface MixedSignatureDao extends BaseMapper<TDxInvoiceReimburse> {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     *            查询条件
     * @return java.util.List<com.dxhy.core.model.SmyqsWqsfpVO>
     */
    List<SmyqsWqsfpVO> selectQsfpList(@Param("param") Map<String, Object> pramsMap);

}
