package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.QssbRespVO;

/**
 * 发票签收失败报表查询
 *
 * @author user
 */
@Mapper
public interface QssbDao extends BaseMapper<QssbRespVO> {
    /**
     * 根据查询条件查询签收失败发票信息
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<QssbRespVO> selectQssbBySmb(Map<String, Object> pramsMap);

}
