package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.QyswxxRespVO;

/**
 * 企业税务信息汇总列表dao
 *
 * @author user
 */
@Mapper
public interface QyswxxDao extends BaseMapper<QyswxxRespVO> {
    /**
     * 根据购方税号、信用等级和申报周期查询汇总列表数据
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<QyswxxRespVO> selectByGfshAndXydj(Map<String, Object> pramsMap);
}
