package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.RzjgqdRespVO;

/**
 * 认证发票月报查询
 *
 * @author user
 */

@Mapper
public interface RzjgqdDao extends BaseMapper<RzjgqdRespVO> {
    /**
     * 根据购方税号和认证年份查询统计数据
     *
     * @param pramsMap
     * @return
     *
     */
    List<RzjgqdRespVO> rzjgByGfshAndSkssq(Map<String, Object> pramsMap);

}
