package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.entity.TDxExportInvoice;
import com.dxhy.core.model.ExportInvoiceRzcxVO;

/**
 * TDxExportInvoiceDao继承基类
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxExportInvoiceDao extends BaseMapper<TDxExportInvoice> {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.ExportInvoiceRzcxVO>
     */
    List<ExportInvoiceRzcxVO> queryVatRzcx(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String, Object> queryRzcxSum(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.ExportInvoiceRzcxVO>
     */
    List<ExportInvoiceRzcxVO> queryExportInvoiceList(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String, Object> queryExportInvoiceSum(@Param("queryParams") Map<String, Object> pramsMap);

}
