package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.entity.TDxInvoice;

/**
 * 发票扫描表dao
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxInvoiceDao extends BaseMapper<TDxInvoice> {

    /**
     * 签收发票记录查询接口
     *
     * @param pramsMap
     * @return
     *
     */
    List<TDxInvoice> selectQsfpList(Map<String, Object> pramsMap);

    /**
     * 今日头条签收发票记录查询接口
     *
     * @param pramsMap
     * @return
     *
     */
    List<TDxInvoice> selectQsfpListJrtt(Map<String, Object> pramsMap);

    /**
     * 签收发票记录查询接口-每日优鲜
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.entity.TDxInvoice>
     */
    List<TDxInvoice> selectQsfpListMryx(Map<String, Object> pramsMap);

    /**
     * 签收发票记录查询接口
     *
     * @param pramsMap
     * @return
     *
     */
    List<TDxInvoice> selectElecInvoice(Map<String, Object> pramsMap);
}
