package com.dxhy.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.TtFprzhzRespVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ld
 */
@Mapper
public interface TtFprzhzDao extends BaseMapper<TtFprzhzRespVo> {

    /**
     * 头条发票认证汇总
     *
     * @param params
     *            请求参数
     * @return 返回结果
     */
    List<TtFprzhzRespVo> queryInvoiceList(@Param("query") Map<String, Object> params);

}
