package com.dxhy.core.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

/**
 * excel导出申请记录表
 *
 * @author aa
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
public class TDxExcelExportlog implements Serializable {

    private static final long serialVersionUID = -3556378890319299825L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 操作账户
     */
    private String userAccount;

    /**
     * 操作人
     */
    private String userName;
    /**
     * 登录人
     */
    @TableField(exist = false)
    private String loginName;

    /**
     * 购方税号
     */
    private String gfTaxNo;

    /**
     * 数据源名称
     */
    private String dbName;

    /**
     * 导出条件
     */
    private String conditions;

    /**
     * 申请时间
     */
    private Date createDate;

    /**
     * 业务唯一标识，用于适配执行的业务类
     */
    private Integer serviceType;

    /**
     * 文件的导出存储路径
     */
    private String filepath;

    /**
     * 导出状态（0未导出，1正在导出，2已导出，3导出出错）
     */
    private String exportStatus;

    /**
     * 导出开始时间
     */
    private Date startDate;

    /**
     * 导出结束时间
     */
    private Date endDate;

    /**
     * 导出错误信息，导出任务出错时填写
     */
    private String errmsg;

}
