package com.dxhy.core.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author Jiao Hong Yang（焦红阳）
 * @date 2021/6/15
 */
@FeignClient("dxhy-api")
public interface GylAuthFeign {

    /**
     * 定时任务 邮件发送
     */
    @RequestMapping(value = "/task/sendMail")
    void sendMail();

    /**
     * 定时任务 下载PDF文件
     */
    @RequestMapping(value = "/task/getInvoicePdf")
    void getInvoicePdf();

}
