package com.dxhy.core.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author Jiao Hong Yang（焦红阳）
 * @date 2021/6/15
 */
@FeignClient("dxhy-erp")
public interface JxxtAuthFeign {
    /**
     * 定时任务 艺龙电票签收定时任务
     */
    @RequestMapping(value = "/task/qsCheckTask")
    void qsCheckTask();

}
