package com.dxhy.core.job.controller;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.dxhy.common.controller.AbstractController;
import com.dxhy.core.job.service.CompanyPoolService;

import lombok.extern.slf4j.Slf4j;

/**
 * @author user
 */
@RestController
@RequestMapping("fileDownService")
@Slf4j

public class FileDownController extends AbstractController {

    @Resource
    private CompanyPoolService companyPoolService;

    @RequestMapping("/getFilePath")
    public void getFilePath(HttpServletRequest request, HttpServletResponse response) throws Exception {
        log.info("文件下载路径获取开始-");
        companyPoolService.getFilePath(request, response);
        log.info("文件下载路径获取结束-");

    }
}
