package com.dxhy.core.job.dao;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.job.entity.TDxInvoiceLogJobEntity;

/**
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxInvoiceLogJobDao extends BaseMapper<TDxInvoiceLogJobEntity> {
    /**
     * 发票日志入库
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param invoiceLog
     * @return int
     */
    int insertInvoiceLog(TDxInvoiceLogJobEntity invoiceLog);

}
