package com.dxhy.core.job.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 接口日志表
 *
 * @author panyan
 */
@TableName("t_dx_data_platform_invoice_log")
@Data
public class DataPlatformInvoiceLog implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId
    private Long id;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 系统来源
     */
    private String systemSource;
    /**
     * 信息
     */
    private String message;

}