package com.dxhy.core.job.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 接口日志表
 *
 * @author panyan
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@TableName("t_dx_dk_count_detail")
@Data
public class TDxDkCountDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    private Long id;

    /**
     * 税号
     */
    private String taxno;
    /**
     * 统计月份
     */
    private String tjMonth;
    /**
     * 统计时间
     */
    private String tjDate;
    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 抵扣发票数量
     */
    private String dkInvoiceCount;
    /**
     * 抵扣发票总额
     */
    private String dkAmountCount;
    /**
     * 抵扣总有效税额
     */
    private String dkTaxAmountCount;
    /**
     * 不抵扣发票数量
     */
    private String bdkInvoiceCount;
    /**
     * 不抵扣发票总额
     */
    private String bdkAmountCount;
    /**
     * 不抵扣总有效税额
     */
    private String bdkTaxAmountCount;

}
