package com.dxhy.core.job.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 税率统计表
 *
 * @author panyan
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")

@TableName("t_dx_record_invoice_statistics")
@Data
public class TDxRecordInvoiceStatisticsJobEntity implements Serializable {

    @TableId
    private Long id;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 金额
     */
    private BigDecimal detailAmount;
    /**
     * 税率
     */
    private BigDecimal taxRate;
    /**
     * 税额
     */
    private BigDecimal taxAmount;
    /**
     * 价税合计
     */
    private BigDecimal totalAmount;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 部门
     */
    private String depart;
    /**
     * 无有折扣
     */
    private String ywzk;
    /**
     * 扣折比率
     */
    private BigDecimal zkbl;
    /**
     * 折扣金额
     */
    private BigDecimal zkje;
    /**
     * 易交类型
     */
    private String jylx;
}
