package com.dxhy.core.job.pojo;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/***
 * 统计发票各个税率的税额、金额实体
 *
 * @author Colin.hu
 * @date 4/18/2018
 */
@Getter
@Setter
@ToString
public class RecordInvoiceStatistics {

    private static final long serialVersionUID = -541980853663321623L;
    /**
     * 税额
     */
    private Double taxAmount;
    /**
     * 扣折比率
     */
    private Double zkbl;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 易交类型
     */
    private String jylx;
    /**
     * 税率
     */
    private Double taxRate;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 金额
     */
    private Double detailAmount;
    /**
     * 价税合计
     */
    private Double totalAmount;
    /**
     * 折扣金额
     */
    private Double zkje;
    /**
     * 无有折扣
     */
    private String ywzk;
    /**
     * 创建时间
     */
    private java.util.Date createDate;
    /**
     * 门部
     */
    private String depart;

}
