package com.dxhy.core.job.pojo.down;

import lombok.Data;

import java.util.List;

/**
 * 海关缴款书
 * 
 * @author jiaohongyang
 */
@Data
public class CustomsModel {
    /**
     * 下载税号
     */
    private String gfTaxNo;
    /**
     * 缴款书号码
     */
    private String customsCode;
    /**
     * 调取标志 0--未调取 1--已调取
     */
    private String transferStatus;
    /**
     * 缴款单位一税号
     */
    private String payerOneTaxno;
    /**
     * 缴款单位一名称
     */
    private String payerOneName;
    /**
     * 缴款单位二税号
     */
    private String payerTwoTaxno;
    /**
     * 缴款单位二名称
     */
    private String payerTwoName;
    /**
     * 填发日期
     */
    private String fillInDate;
    /**
     * 税款金额
     */
    private String taxAmount;
    /**
     * 进口口岸代码
     */
    private String importPortCode;
    /**
     * 收入机关
     */
    private String incomeOffice;
    /**
     * 申请单位编号
     */
    private String applicantCode;
    /**
     * 报关单编号
     */
    private String billCode;
    /**
     * 贸易方式
     */
    private String modeType;
    /**
     * 预算科目代码
     */
    private String budgetCode;
    /**
     * 收款国库代码
     */
    private String treasuryCode;
    /**
     * 合同号
     */
    private String contractCode;
    /**
     * 运输工具
     */
    private String meansTransport;
    /**
     * 缴款期限
     */
    private String paymentPeriod;
    /**
     * 提运单号
     */
    private String deliveryCode;
    /**
     * 数据来源
     */
    private String dataSources;
    /**
     * 明细
     */
    private List<CustomsDetailModel> detailList;

}
