package com.dxhy.core.job.service;

import java.util.List;

import com.dxhy.core.job.pojo.CheckNoDetailInvoice;

/**
 * 查验接口
 *
 * @author futianhao
 */

public interface CheckTaskService {
    /**
     * 查询没有明细发票
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return
     */
    List<CheckNoDetailInvoice> getNoDetailInvoice();

    /**
     * 查询没有明细发票
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @return
     */
    List<CheckNoDetailInvoice> getNoDetailInvoiceOld();

    /**
     * 查验
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param checkNoDetailInvoice
     * @param db
     * @return void
     */
    void checkOne(CheckNoDetailInvoice checkNoDetailInvoice, String db);

}
