package com.dxhy.core.job.service;

import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.common.utils.PageUtils;
import com.dxhy.core.job.entity.ScheduleJobLogEntity;

/**
 * 定时任务日志
 *
 * @author user
 */

public interface ScheduleJobLogService extends IService<ScheduleJobLogEntity> {
    /**
     * 翻页查询
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param params
     * @return com.dxhy.common.utils.PageUtils
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 根据id查询
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param id
     * @return com.dxhy.core.job.entity.ScheduleJobLogEntity
     */
    ScheduleJobLogEntity queryById(Long id);

    /**
     * 日志入库
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param log
     * @return void
     */
    void insertLog(ScheduleJobLogEntity log);
}
