package com.dxhy.core.model;

import lombok.Data;

/**
 * 发票明细查询的返回对象
 *
 * @author kangzq
 */
@Data
public class BbfpmxcxRespVO {
    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;
    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 购方税号
     */
    private String gfTaxNo;

    /**
     * 购方名称
     */
    private String gfName;

    /**
     * 购方地址电话
     */
    private String gfAddressAndPhone;

    /**
     * 购方开户行及账号
     */
    private String gfBankAndNo;

    /**
     * 销方税号
     */
    private String xfTaxNo;

    /**
     * 销方名称
     */
    private String xfName;

    /**
     * 销方地址电话
     */
    private String xfAddressAndPhone;

    /**
     * 销方开户行及账号
     */
    private String xfBankAndNo;

    /**
     * 备注
     */
    private String remark;

    /**
     * 行次
     */
    private String detailNo;
    /**
     * 单位
     */
    private String unit;

    /**
     * 货物或应税劳务名称
     */
    private String goodsName;

    /**
     * 规格型号
     */
    private String model;

    /**
     * 数量
     */
    private String num;

    /**
     * 单价
     */
    private String unitPrice;


    /**
     * 金额
     */
    private String detailAmount;
    /**
     * 税率
     */
    private String taxRate;
    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 含税金额
     */
    private String totalAmount;

    /**
     * 车牌号
     */
    private String cph;

    /**
     * 类型
     */
    private String lx;

    /**
     * 通行日期起
     */
    private String txrqq;
    /**
     * 通行日期止
     */
    private String txrqz;
    /**
     * 发票类型
     */
    private String invoiceType;



}
