package com.dxhy.core.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 发票认证查询的返回对象
 *
 * @author kangzq
 */
@Data
public class JxsebbRespVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    private String gfmc;
    /**
     * 金额
     */
    private String totalAmount;

    /**
     * 数量
     */
    private String totalCount;

    /**
     * 税额
     */
    private String totalTax;

    /**
     * 转出总税额
     */
    private String totalOutTax;

    /**
     * 集体福利、个人消费
     */
    private String outTax1;

    /**
     *  非正常损失
     */
    private String outTax2;

    /**
     * 简易计税方法征税项目用
     */
    private String outTax3;

    /**
     * 免抵退税办法不得抵扣的进项税额
     */
    private String outTax4;

    /**
     * 纳税检查调减进项税额
     */
    private String outTax5;

    /**
     * 上期留抵税额抵减欠税
     */
    private String outTax6;

    /**
     * 上期留抵税额退税
     */
    private String outTax7;

    /**
     * 其他应作进项税额转出的情形
     */
    private String outTax8;

    private String outTax9;

    private String outTax0;

    private String customsCount;

    private String customsTax;

    public JxsebbRespVO() {}

}
