package com.dxhy.core.model.openservice;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author user
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class OpenServiceSingleInvoiceCheckRequest implements Serializable {

    /**
     * 校验码
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String jym;

    /**
     * 发票金额
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String fpje;

    /**
     * 发票代码
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String fpdm;

    /**
     * 开票日期
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String kprq;

    /**
     * 功能描述
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String fphm;

    /**
     * 发票类型
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String fpzl;

}
