package com.dxhy.core.service;

import com.dxhy.core.entity.ExtSysMessagecontrol;

/**
 *
 * @ClassName: ExtMessageControlService :
 * @author: xiexuedi
 * @date: 2019年4月22日 下午13:32:43
 *
 */
public interface ExtMessageControlService {

    /**
     * 保存消息信息
     *
     * @param vo
     *            查询条件
     */
    void insertMessage(ExtSysMessagecontrol vo);

    /**
     * 查询消息信息
     *
     * @param userName
     *            用户信息
     * @param curr
     *            分页
     * @param size
     *            条数
     * @param operationStatus
     *            状态
     * @return 返回
     */
    Object queryMessageContol(String userName, Integer curr, Integer size, String operationStatus);

    /**
     * 统计消息数量
     *
     * @param userName
     *            用户信息
     * @return 返回
     */
    int queryCount(String userName);

    /**
     * 修改状态
     *
     * @param vo
     *            查询条件
     * @return 返回
     */
    int updateOperationStatusById(ExtSysMessagecontrol vo);

    /**
     * 修改状态
     *
     * @param vo
     *            查询条件
     * @return 返回
     */
    int updateOperationStatusAll(ExtSysMessagecontrol vo);

}
