package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.model.FpRzRespVO;

/**
 * 勾选发票确认查询
 *
 * @author user
 */
public interface GxfpqrService extends MpBaseService<FpRzRespVO> {

    /**
     * 根据发票代码、发票号码使用mybatis-plus分页查询发票信息
     *
     * @param size
     *            分页查询需要，页面传入的每页显示多少条数据
     * @param curr
     *            分页查询需要，页面传入的当前查询第几页
     * @return 返回
     * @param pramsMap
     *            查询条件
     *
     */
    JSONObject selectByPramsMap(Map<String, Object> pramsMap, int curr, int size);

}
