package com.dxhy.core.service.export;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.entity.TDxInvoice;
import com.dxhy.core.model.ElecQueryReqVO;

/**
 * 电子发票导出相关service
 *
 * @author user
 */

public interface IExportElecService extends MpBaseService<TDxInvoice> {

    /**
     * 电票列表导出
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param reqVO
     * @param allTaxNo
     * @param userName
     * @param curr
     * @param size
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject listElecInvoice(ElecQueryReqVO reqVO, List<String> allTaxNo, String userName, int curr, int size);
}
