package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.model.FpcjCjhzRespVO;

/**
 * 发票采集业务处理接口
 *
 * @author user
 */

public interface IFpcjService extends MpBaseService<FpcjCjhzRespVO> {

    /**
     * 根据购方税号和采集日期查询统计信息
     *
     * @param pramsMap
     *            查询参数
     * @param curr
     *            查询第几页数据
     * @param size
     *            每页数据量
     * @return @
     *
     */
    JSONObject selectByGfshAndCjrq(Map<String, Object> pramsMap, int curr, int size);

}
