package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.entity.TDxCheckLog;

/**
 * 查验业务处理接口
 *
 * @author user
 */

public interface IInvoiceQueryService extends MpBaseService<TDxCheckLog> {

    /**
     * 查询查验历史记录
     *
     * @param pramsMap
     * @param size
     * @param curr
     * @return
     */
    JSONObject getCheckHistory(Map<String, Object> pramsMap, int curr, int size);

}
