package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.model.QssbRespVO;

/**
 * 签收失败报表查询接口
 *
 * @author user
 */
public interface IQssbService extends MpBaseService<QssbRespVO> {

    /**
     * 根据查询条件查询签收失败的发票信息
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     *            查询条件
     * @param curr
     *            分页
     * @param size
     *            条数
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject selectQssbBySmb(Map<String, Object> pramsMap, int curr, int size);

}
