package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;

/**
 * 税务信息业务处理接口
 *
 * @author user
 */
public interface IQyswxxService {

    /**
     * 根据购方税号、信用等级和申报周期查询统计信息
     *
     * @param pramsMap
     *            查询参数
     * @param curr
     *            查询第几页数据
     * @param size
     *            每页数据量
     * @return @
     *
     */
    JSONObject selectByGfshAndXydj(Map<String, Object> pramsMap, int curr, int size);
}
