package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.model.RzjgqdRespVO;

/**
 * 认证结果清单接口
 *
 * @author user
 */
public interface IRzjgqdService extends MpBaseService<RzjgqdRespVO> {
    /**
     * 根据查询条件查询认证结果清单
     *
     * @param size
     *            分页查询需要，页面传入的每页显示多少条数据
     * @param curr
     *            分页查询需要，页面传入的当前查询第几页
     * @param pramsMap
     *            请求参数集合
     * @return 返回
     */
    JSONObject rzjgByGfshAndSkssq(Map<String, Object> pramsMap, int curr, int size);
}
