package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.entity.TDxCheckInvoiceDetail;

/**
 * 查验历史明细查询接口
 *
 * @author user
 */

public interface InvoiceCheckListService extends MpBaseService<TDxCheckInvoiceDetail> {

    /**
     * 查询查验历史记录
     *
     * @param pramsMap
     * @param size
     * @param curr
     * @return @
     *
     */
    JSONObject getCheckHistoryDetail(Map<String, Object> pramsMap, int curr, int size);

}
