package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.model.JxsemxbbRespVO;

/**
 * 进项税额明细查询service
 *
 * @author user
 */
public interface JxsemxbbcxService extends MpBaseService<JxsemxbbRespVO> {

    /**
     * 根据查询条件查询符合条件发票
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     *            查询条件
     * @return com.alibaba.fastjson.JSONObject @
     */
    JSONObject selectByPramsMap(Map<String, Object> pramsMap);

}
