package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.entity.InvoicePaperEntity;

/**
 * @author user
 */

public interface PoolPaperService extends MpBaseService<InvoicePaperEntity> {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject listPaperInvoice(Map<String, Object> pramsMap, int curr, int defaultSize);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param size
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject listOtherInvoice(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param size
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject listAddTaxInvoice(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param size
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject listSaleInvoice(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param gfsh
     * @return java.lang.String
     */
    String getGfName(String gfsh);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param size
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject listAddTaxInvoiceDetail(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param s
     * @return java.lang.String
     */
    String getblocName(String s);

    /**
     * 销项票池导出
     * 
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return
     */
    JSONObject listSaleInvoiceDetail(Map<String, Object> pramsMap, int curr, int defaultSize);
}
