package com.dxhy.core.service.invoicedetail;

import java.util.List;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.entity.InvoiceMainBody;
import com.dxhy.core.entity.TDxRecordInvoice;

/**
 * @author user
 */
public interface OtherInvoiceDetailService extends MpBaseService<TDxRecordInvoice> {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param selectId
     *            selectId
     * @param dbName
     *            数据库名
     * @return java.util.List<com.dxhy.core.entity.InvoiceMainBody>
     */
    List<InvoiceMainBody> selectPassengerTheme(String selectId, String dbName);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param invoiceNo
     *            发票号码
     * @param invoiceCode
     *            发票代码
     * @param dbName
     *            数据库名
     * @return java.util.List<com.dxhy.core.entity.InvoiceMainBody>
     */
    List<InvoiceMainBody> selectInvoiceMainBody(String invoiceNo, String invoiceCode, String dbName);

    List<InvoiceMainBody> returnInvoiceList(List<InvoiceMainBody> list);
}
