package com.dxhy.core.service.openservice.model.ocr;


import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
public class OcrDataListEntity {

    @JsonProperty("image_angle")
    private int imageAngle;
    @JsonProperty("rotated_image_width")
    private int rotatedImageWidth;
    @JsonProperty("rotated_image_height")
    private int rotatedImageHeight;
    private String type;
    @JsonProperty("type_description")
    private String typeDescription;
    //头信息
    @JsonProperty("item_list")
    private List<OcrItemListEntity> itemList;
    //发票明细数据
    @JsonProperty("product_list")
    private List<List<OcrProductListEntity>> productList;

    //特殊字符无法作为常量key
    private String CLASS;
    private String kind;
    @JsonProperty("kind_description")
    private String kindDescription;
    private List<Integer> position;

    private String image;
}
