package com.dxhy.core.service.singletable;

import java.util.List;
import java.util.Map;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.entity.TDxInvoice;

/**
 * 发票扫描表业务处理接口
 *
 * @author user @date(创建日期)：2019年5月6日
 */

public interface CoreInvoiceService extends MpBaseService<TDxInvoice> {

    /**
     * 查询签收记录列表
     *
     * @param pramsMap
     * @return
     *
     */
    List<TDxInvoice> selectQsfpList(Map<String, Object> pramsMap);

    /**
     * 每日优鲜 查询签收记录列表
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.entity.TDxInvoice>
     */
    List<TDxInvoice> selectQsfpListMryx(Map<String, Object> pramsMap);

}
