package com.dxhy.core.service.singletable;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.entity.TDxRecordInvoice;

/**
 * 保存发票查验结果明细业务处理接口
 *
 * @author user @date(创建日期)：2019年5月8日
 */
public interface CoreSaveInvoiceInfoService extends MpBaseService<TDxRecordInvoice> {

    /**
     * 保存查验返回的发票明细到底账表明细表
     *
     * @param queryInvoiceResult
     *            查验结果
     * @param dbName
     *            数据库名称
     *
     */
    void saveQueryInvoiceResult(JSONObject queryInvoiceResult, String dbName);

}
