package com.dxhy.core.service.singletable.impl;

import org.springframework.stereotype.Service;

import com.dxhy.common.service.impl.MpBaseServiceImpl;
import com.dxhy.core.dao.TDxRecordInvoiceStatisticsDao;
import com.dxhy.core.job.entity.TDxRecordInvoiceStatistics;
import com.dxhy.core.service.singletable.CoreInvoiceStatisticsService;

import lombok.extern.slf4j.Slf4j;

/**
 * 税率统计表业务处理实现类
 *
 * @author user
 */
@Service("coreInvoiceStatisticsService")
@Slf4j
public class CoreInvoiceStatisticsServiceImpl
    extends MpBaseServiceImpl<TDxRecordInvoiceStatisticsDao, TDxRecordInvoiceStatistics>
    implements CoreInvoiceStatisticsService {

}
