package com.dxhy.customs.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * t_dx_dk_count
 * 
 * @author jiaohongyang
 */
@TableName("t_dx_dk_count")
@Data
public class TdxDkCount implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private Long id;
    /**
     * 税号
     */
    private String taxno;
    /**
     * 名称
     */
    private String taxname;
    /**
     * 所属期
     */
    private String skssq;
    /**
     * 是否申请0未发送，1已发送
     */
    private String applyStatus;
    /**
     * 申请结果(1-申请成功 2-已申请确认 3-已确认统计4-申请确认月份不符5-税号不存在6-未申请统计7-统计结果不符8-其他异常)
     */
    private String applyMsg;
    /**
     * 是否签名(0--未申请 1--申请中 2--申请成功 3--申请失败)
     */
    private String signStatus;
    /**
     * 统计时间
     */
    private String createDate;
    /**
     * 统计状态(0--未申请 1--申请中 2--申请成功 3--申请失败)
     */
    private String tjStatus;
    /**
     * 确认状态(0--未申请 1--申请中 2--申请成功 3--申请失败)
     */
    private String qsStatus;
    /**
     * 是否当前所属期
     */
    private String sfdqskssq;
    /**
     * 申请统计类型 0--申请 1--撤销
     */
    private String applyType;
    /**
     * 统计时间
     */
    private String tjDate;
    /**
     * 集团编码
     */
    private String company;
    /**
     * 撤销统计(0--未申请 1--申请中 2--申请成功 3--申请失败)
     */
    private String cxtjStatus;
    /**
     * 撤销确认(0--未申请 1--申请中 2--申请成功 3--申请失败)
     */
    private String cxqsStatus;

}