package com.dxhy.customs.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 海关缴款书综合查询返回对象
 *
 * @author dxhy
 */
@Data
public class JkszhcxRespVO implements Serializable {

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 缴款书号码
     */
    private String customsCode;

    /**
     * 填发日期
     */
    private String fillInDate;

    /**
     * 缴款单位税号
     */
    private String gfTaxNo;

    /**
     * 缴款单位名称
     */
    private String gfName;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 有效税额
     */
    private String yxTaxAmount;

    /**
     * 稽核结果
     */
    private String auditStatus;

    /**
     * 是否申请核对
     */
    private String applyCheck;

    /**
     * 核查结果
     */
    private String checkStatus;

    /**
     * 签收状态
     */
    private String qsStatus;

    /**
     * 签收日期
     */
    private String qsDate;

    /**
     * 签收方式
     */
    private String qsType;

    /**
     * 签收人
     */
    private String qsUser;

    /**
     * 认证时间
     */
    private String rzhDate;

    /**
     * 认证状态
     */
    private String rzhYesorno;

    /**
     * 认证处理状态
     */
    private String authStatus;

    /**
     * 认证类型
     */
    private String bdkStatus;

    /**
     * 认证人
     */
    private String confirmUser;
    /**
     * 税款所属期
     */
    private String rzhBelongDate;

    /**
     * 管理状态
     */
    private String glzt;

    /**
     * 缴款书对应图片，附件标识
     */
    private String customsScanId;

    private String payerOneTaxno;
    private String payerOneName;
    private String payerTwoTaxno;
    private String payerTwoName;
    private String importPortCode;
    private String incomeOffice;
    private String applicantCode;
    private String billCode;
    private String modeType;
    private String budgetCode;
    private String treasuryCode;
    private String contractCode;
    private String meansTransport;
    private String paymentPeriod;
    private String deliveryCode;
    private String dataSources;
    private String createDate;
    private String updateDate;
    private String dataType;
    private String collectUploadStatus;
    private String confirmDate;
    private String rzhType;
    private String rzhBackMsg;
    private String dqskssq;
    private String gxjzr;
    private String gxfwq;
    private String gxfwz;
    private String detailYesorno;
    private String sendDate;
    private String rzlx;
    private String deptId;
    private String deptName;
    private String xxly;
    private String cxrzStatus;
    private String cxrzDate;
    private String cxrzCurrentPeriod;
    private String cxbdkStatus;
    private String cxbdkDate;
    private String bdkCurrentPeriod;
    private String entryDiscrepancy;
    private String exportMark;
    private String entryDate;
    private String entryUser;
    private String filePath;
    private String businessName;

    /**
     * 入账日期
     */
    private String inAccountDate;

    /**
     * 入账状态
     */
    private String inAccountStatus;
}
