
package com.dxhy.customs.service;

import java.util.Map;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dxhy.common.vo.UserInfo;
import com.dxhy.customs.model.TdxCustomsRecordModelDTO;

/**
 * @author dxhy
 */
public interface CustomsRecordDkrzService {

    /**
     * 待填
     *
     * @param page
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String querySgByPage(Page page, TdxCustomsRecordModelDTO dto, UserInfo userInfo) throws Exception;

    /**
     * 待填
     *
     * @param page
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String queryBdkByPage(Page page, TdxCustomsRecordModelDTO dto, UserInfo userInfo) throws Exception;

    /**
     * 待填
     *
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String approveSg(TdxCustomsRecordModelDTO dto, UserInfo userInfo);

    /**
     * 待填
     *
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String approveCxrz(TdxCustomsRecordModelDTO dto, UserInfo userInfo);

    /**
     * 待填
     *
     * @param pramsMap
     * @param userInfo
     * @return
     * @throws Exception
     */
    String importCert(Map<String, Object> pramsMap, UserInfo userInfo) throws Exception;

    /**
     * 待填
     *
     * @param page
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String queryRzcxByPage(Page page, TdxCustomsRecordModelDTO dto, UserInfo userInfo) throws Exception;
}
