package com.dxhy.erp.dao;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.dxhy.erp.entity.RecordInvoice;
import com.dxhy.erp.entity.RecordInvoiceDetail;

/**
 * @author dxhy
 */
@Mapper
public interface SignedDao {

    /**
     * 待填
     *
     * @param startDate
     * @param endDate
     * @param gfTaxNo
     * @return
     */
    List<RecordInvoice> selectByCollect(@Param("startDate") Date startDate, @Param("endDate") Date endDate,
        @Param("gfTaxNo") String gfTaxNo, @Param("dxhyAdmin") String dxhyAdmin);

    /**
     * 待填
     *
     * @param startDate
     * @param endDate
     * @param gfTaxNo
     * @return
     */
    Integer selectByCount(@Param("startDate") Date startDate, @Param("endDate") Date endDate,
        @Param("gfTaxNo") String gfTaxNo, @Param("dxhyAdmin") String dxhyAdmin);

    /**
     * 待填
     *
     * @param invoiceNo
     * @param invoiceCode
     * @return
     */
    RecordInvoice selectByRecordInvoice(@Param("invoiceNo") String invoiceNo, @Param("invoiceCode") String invoiceCode,
        @Param("dxhyAdmin") String dxhyAdmin);

    /**
     * 待填
     *
     * @param uuid
     * @return
     */
    List<RecordInvoiceDetail> selectDetails(@Param("uuid") String uuid);
}
