package com.dxhy.erp.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.erp.entity.TDxRecordInvoiceOut;
import com.dxhy.erp.model.InvoiceOutReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author Gy Chen
 * @date 2021/3/24
 */
@Mapper
public interface TDxRecordInvoiceOutDao extends BaseMapper<TDxRecordInvoiceOut> {
    Integer countOutInvoice(@Param("buyerTaxNo") String buyerTaxNo, @Param("outTaxPeriod") String outTaxPeriod,
        @Param("outReason") String outReason);

    List<TDxRecordInvoiceOut> selectOutInvoice(@Param("data") Map<String, Object> map);
}
