package com.dxhy.erp.entity;

import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class AmortizeData extends BasePojo {
    private static final long serialVersionUID = 1L;

    private String invoiceCode;
    private String invoiceNo;
    private String uuid;
    /** 是否末次摊销 */
    private String amortizeStatus;
    /** 摊销金额 */
    private String amortizeAmount;
    /** 业务单据编号 */
    private String documentNumber;
    /** 处理状态 */
    private String status;
    /** 失败原因 */
    private String failureReason;
    /** 剩余摊销金额 */
    private String remainAmortizeAmount;
    /** 末次摊销状态，剩余摊销金额等于0时有值 */
    private String overStatus;
    /** 摊销人 */
    private String amortizeUser;
}
