package com.dxhy.erp.entity;

import lombok.Data;

import java.util.List;

/**
 * 海关缴款书入账接口入参
 * @Author 梁鑫
 *
 */
@Data
public class CustomsInAccountEntity {
    /** 批次号 */
    private String batchNo;
    /** 税号 */
    private String buyerTaxNo;
    /** 本次请求行数 */
    private Integer contentRows;
    /** 业务集合 */
    private List<CustomsInAccountData> customsList;
}
