package com.dxhy.erp.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 海关缴款书返回实体
 *
 * @author user
 *
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CustomsResInfo extends BasePojo {
    /**
     * 海关缴款书号 码
     */
    private String customsNo;
    /**
     * 转内销证明编号
     */
    private String toDivertCode;
    /**
     * 当前税款所属 期
     */
    private String currentTaxPeriod;
    /**
     * 当前税款所属期勾选截止日
     */
    private String legalizeEndDate;
    /**
     * 当前税款所属 期可勾选填发 日期起
     */
    private String legalizeInvoiceDateBegin;
    /**
     * 当前税款所属 期可勾选填发 日期止
     */
    private String legalizeInvoiceDateEnd;
    /**
     * 购方税号
     */
    private String buyerTaxNo;
    /**
     * 填发日期
     */
    private String fillInDate;
    /**
     * 税款金额
     */
    private String amount;
    /**
     * 认证状态
     */
    private String legalizeState;
    /**
     * 认证日期
     */
    private String legalizeDate;
    /**
     * 认证归属期
     */
    private String legalizeBelongDate;
    /**
     * 认证类型
     */
    private String rzlx;
    /**
     * 信息来源
     */
    private String xxly;
    /**
     * 有效税额
     */
    private String yxse;
    /**
     * 管理状态
     */
    private String glzt;
    /**
     * 是否录入不符项
     */
    private String isDiscrepancy;

    private String authState;

    private String failureReason;
}
