package com.dxhy.erp.entity;

import lombok.Data;

import java.io.Serializable;

/**
 *
 * 统一签收明细返回的数据格式
 *
 * @author peipei.li
 * @date 2019-04-29
 */
@Data
public class InvoiceSubjectVO implements Serializable {

    private static final long serialVersionUID = -2910283488341255855L;

    /**
     * 税款所属期
     */
    private String dqskssq;

    /**
     * 采集日期
     */
    private String createDate;

    /**
     * 购方地址电话
     */
    private String gfAddressAndPhone;

    /**
     * 购方银行账号
     */
    private String gfBankAndNo;

    /**
     * 购方名称
     */
    private String gfName;

    /**
     * 购方税号
     */
    private String gfTaxNo;

    /**
     * 勾选人账号
     */
    private String gxUserName;

    private String id;

    /**
     * 发票金额
     */
    private String invoiceAmount;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 发票代码
     */
    private String invoiceNo;

    /**
     * 发票状态
     */
    private String invoiceStatus;

    /**
     * 发票类型名称
     */
    private String invoiceString;

    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 签收日期
     */
    private String qsDate;

    /**
     * 签收人
     */
    private String qsName;

    /**
     * 签收状态
     */
    private String qsStatus;

    /**
     * 签收方式
     */
    private String qsType;

    /**
     * 认证时间
     */
    private String rzhDate;

    /**
     * 认证方式
     */
    private String rzhType;

    /**
     * 是否已认证
     */
    private String rzhYesorno;

    /**
     * 认证类型
     */
    private String rzlx;

    /**
     * 数据来源
     */
    private String sourceSystem;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 价税合计
     */
    private String totalAmount;

    /**
     * 发票唯一标识
     */
    private String uuid;

    /**
     * 销方地址电话
     */
    private String xfAddressAndPhone;

    /**
     * 销方银行账号
     */
    private String xfBankAndNo;

    /**
     * 销方名称
     */
    private String xfName;

    /**
     * 销方税号
     */
    private String xfTaxNo;

    /**
     * 认证流程状态
     */
    private String authStatus;

    /**
     * 备注
     */
    private String remark;
    /**
     * 校验码
     */
    private String checkCode;

}
