package com.dxhy.erp.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 
 * 
 * 查验明细表
 * 
 * @author dxhy
 */
@Data
@TableName("t_dx_check_invoice_detail")
public class TdxCheckInvoiceDetail implements Serializable {

    private static final long serialVersionUID = -15723080150150650L;

    /**
     * id
     */
    private Long id;

    /**
     * 唯一标识(发票代码+发票号码)
     */
    private String uuid;

    /**
     * 明细序号
     */
    private String detailNo;

    /**
     * 货物或应税劳务名称
     */
    private String goodsName;

    /**
     * 规格型号
     */
    private String model;

    /**
     * 单位
     */
    private String unit;

    /**
     * 数量
     */
    private String num;

    /**
     * 单价
     */
    private String unitPrice;

    /**
     * 金额
     */
    private String detailAmount;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 车牌号
     */
    private String cph;

    /**
     * 类型
     */
    private String lx;

    /**
     * 通行日期起
     */
    private String txrqq;

    /**
     * 通行日期止
     */
    private String txrqz;

    /**
     * 商品编码
     */
    private String goodsNum;

}
