package com.dxhy.erp.entity.alltax;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author futianhao
 */
@Data
@TableName("t_dx_alltaxes_sale_tax_rate")
public class SaleInvoiceRateEntity {
    /**
     * ID
     */
    @TableId
    private Long id;

    private String taxNumber;

    private String billingDate;

    private String invoiceKindCode;

    private String invoiceType;

    private String taxRate;

    private BigDecimal taxAmountPt;

    private BigDecimal invoiceAmountPt;

    private BigDecimal totalAmountPt;

    private BigDecimal taxAmountPtVoid;

    private BigDecimal invoiceAmountPtVoid;

    private BigDecimal totalAmountPtVoid;

    private BigDecimal taxAmountNt;

    private BigDecimal invoiceAmountNt;

    private BigDecimal totalAmountNt;

    private BigDecimal taxAmountNtVoid;

    private BigDecimal invoiceAmountNtVoid;

    private BigDecimal totalAmountNtVoid;

    private Date createDate;

}
