package com.dxhy.erp.entity.alltax;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 部门管理
 * 
 * @author dxhy
 */
@Data
@TableName("t_dx_alltaxes_sale_count")
public class SaleParamsEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 部门ID
     */
    @TableId
    private Long id;
    /**
     * 税号
     */
    private String taxNumber;
    /**
     * 认证归属期
     */
    private String billingDate;

    private Date createDate;

    private String status;

    private String sign;

}
