package com.dxhy.erp.entity.sdny;

import com.dxhy.erp.entity.BasePojo;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author CCJ
 * @version 创建时间：2017年2月25日
 * @explain 说明:电子底账明细
 */
@Data
public class InvoiceDetail extends BasePojo {

    /**
     * 发票详情
     */
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long id;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 货物或应税劳务、服务名称
     */
    private String goodsName;
    /**
     * 规格型号
     */
    private String model;
    /**
     * 单位
     */
    private String unit;
    /**
     * 发票编号
     */
    private String uuid;
    /**
     * 数量
     */
    private double num;
    /**
     * 单价
     */
    private BigDecimal unitPrice;
    /**
     * 金额
     */
    private BigDecimal noTaxAmount;
    /**
     * 税率
     */
    private String taxRate;
    /**
     * 税额
     */
    private BigDecimal taxAmount;
}
