package com.dxhy.erp.model;

import java.util.List;

import com.dxhy.erp.entity.InvoiceSavePo;

import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class CollectData {

    /** 购方税号 */
    private String buyerTaxNo;

    /** 发票类型 */
    private String invoiceType;

    /** 批次号 */
    private String batchNo;

    /** 发票采集开始时间 */
    private String createDateBegin;

    /** 发票采集结束时间 */
    private String createDateEnd;

    /** 开始行数 */
    private int startRow;

    /** 状态标志1继续，0结束 */
    private String status;

    /** 请求返回条数--该参数有值时接口按该参数返回条数，无值时按默认值返回条数 */
    private String requestRow;

    /** 签收状态0--未签收 1--已签收 */
    private String qsStatus;

    /** 签收开始时间--有值时rzhStatus默认1 */
    private String qsDateBegin;

    /** 签收结束时间--有值时rzhStatus默认1 */
    private String qsDateEnd;

    /** 认证状态0--未认证 1--已认证 2--不认证 */
    private String rzhStatus;

    /** 税款所属期--有值时rzhStatus默认1 */
    private String taxPeriod;

    private String rzhUser;

    /** 签收人 */
    private String qsUser;

    /** 发票代码 */
    private String invoiceCode;

    /** 发票号码 */
    private String invoiceNo;

    /** 图片标识 0-签收图片 1-查验图片 */
    private String imgType;

    private List<InvoiceSavePo> invoices;

    private String invoiceDateBegin;

    private String invoiceDateEnd;

    private String contentRows;

    private String invoiceDate;
    private String company;
}
