package com.dxhy.erp.model;

import java.util.List;

import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class InvoiceInfoYl {

    private String invoiceCode;

    private String invoiceNo;

    private String currentTaxPeriod;

    private String legalizeEndDate;

    private String legalizeInvoiceDateBegin;

    private String legalizeInvoiceDateEnd;

    private String invoiceType;

    private String invoiceDate;

    private String buyerName;

    private String buyerTaxNo;

    private String buyerAddressPhone;

    private String buyerAcount;

    private String salerName;

    private String salerTaxNo;

    private String salerAddressPhone;

    private String salerAcount;

    private String invoiceAmount;

    private String taxAmount;

    private String totalAmount;

    private String remark;

    private String invoiceStatus;

    private String legalizeState;

    private String legalizeDate;
    private String legalizeBlongDate;

    private String sfdbts;
    private String rzlx;
    private String checkCode;
    private String txfbz;
    private String lslbz;
    private String legalizeType;
    /** 管理状态 */
    private String managementStatus;
    /** 信息来源 */
    private String informationSources;
    /** 抵扣税额 */
    private String taxCredit;
    /** 预期可勾选标志 */
    private String overdueCheckMark;
    /** 异常类型 */
    private String exceptionType;
    private String qsUser;

    private List<InvoiceDetailInfo> detailList;

    /** 艺龙签收时间 */
    private String signDate;
    private String requestId;
    private String vendorId;
    /** 签收人 */
    private String scanName;
    /** 扫描日期 */
    private String scanDate;
    /** 签收描述 */
    private String notes;
    /** 签收日期 */
    private String qsDate;
    /** 签收状态 */
    private String qsStatus;

    /** 机器编码 */
    private String machineNo;
    /** 查验人 */
    private String checkUser;

}
