package com.dxhy.erp.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dxhy.erp.entity.RecordInvoiceDetail;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author Gy Chen
 * @date 2021/3/2
 */
@Data
public class ReimburseReq {
    List<RecordInvoiceDetail> invoiceDetailInfos;
    // 发票类型
    private String invoiceType;
    // 发票代码
    private String invoiceCode;
    // 发票号码
    private String invoiceNo;
    // 开票日期
    private String invoiceDate;
    // 客票号码
    private String ticketNumber;
    // 乘坐人
    private String passenger;
    // 金额
    private String invoiceAmount;
    // 税额
    private String taxAmount;
    // 价税合计
    private String totalAmount;
    private String invoiceStatus;
    private String dqskssq;
    private String sourceSystem;
    private String invoiceName;
    private String departureCity;
    private String reachingCity;
    private String relatedBusinessDocuments;
    private String businessDocumentMaker;
    private String businessDocumentNumber;
    private String reimbursementTime;
    private String reimbursementStatus;
    private String trainNumber;
    private String ticketDepartureTime;
    private String ticketArrivalTime;
    private String passengerSFZH;
    private String uuid;
    private String invoiceString;
    private String gfTaxNo;
    private String gfAddressAndPhone;
    private String gfBankAndNo;
    private String xfAddressAndPhone;
    private String xfBankAndNo;
    private String gfName;
    private String xfTaxNo;
    private String xfName;
    private String taxRate;
    private String createDate;
    private String rzhYesorno;
    private String tag;
    private String isDeduction;
    private String isDomestic;
    private String selectId;
    private String qsDate;
    private String qsType;
    private String qsName;
    private String qsStatus;
    private String notes;
    private String imagePath;
    private String base64ImgFile;
    private String filePath;
    private String base64FileStream;
    private String fileType;
    private String qzStatus;
    private String scanId;
    private String reimburseEnterpriseName;
    private String reimburseItemName;
    private String reimburseDepartmentName;
    private String reimburseFlowType;
    private String reimburseFlowNo;
    private String reimburseUserName;
    private String currencyCode;
    private String currencyName;
    private String reimburseEnterpriseId;
    private String checkCode;
    private String remark;
    private String realReimburseAmount;
    private String inputVatTransferOut;
    private String calculateDeductibleTax;
    private String fuelSurcharge;
    private String fare;
    private String caacDevelopmentFund;
    private String company;
    private String voucherNumber;
    private String currency;
}
