package com.dxhy.erp.service;

import javax.servlet.http.HttpServletRequest;

import com.dxhy.common.util.pojo.GlobalInfo;

/**
 * @author jiaohongyang（焦红阳）
 * @date 2020-09-16
 */
public interface CheckIpBlocAppidService {
    /**
     * 获取ip
     * 
     * @param request
     *            传入 request
     * @return 返回ip
     */
    String getIp(HttpServletRequest request);

    /**
     * 根据鉴权id 获取税号数量
     * 
     * @param appSecId
     *            鉴权id
     * @param request
     *            传入 request
     * @return 返回数量
     */
    int checkBlocOne(String appSecId, HttpServletRequest request);

    /**
     * 返回集团与税号不符
     * 
     * @param globalInfo
     *            入参信息
     * @return 返回信息
     */
    String getCheckFailure(GlobalInfo globalInfo);
}
