package com.dxhy.erp.service;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.common.util.pojo.Authorize;
import com.dxhy.common.util.pojo.GlobalInfo;
import com.dxhy.erp.entity.RecordInvoice;
import com.dxhy.erp.model.EsOutPutResp;
import com.dxhy.erp.model.IsInput;

/**
 * @author dxhy
 */
public interface InvoiceAuthService extends MpBaseService<RecordInvoice> {

    /**
     * 待填
     * 
     * @param globalInfo
     * @param map
     * @param request
     * @param response
     * @param authorize
     * @return
     */
    String applyInvoiceAuth(GlobalInfo globalInfo, Map<String, String> map, HttpServletRequest request,
        HttpServletResponse response, Authorize authorize);

    /**
     * 待填
     * 
     * @param globalInfo
     * @param map
     * @param request
     * @param response
     * @param authorize
     * @return
     */
    String getAuthResult(GlobalInfo globalInfo, Map<String, String> map, HttpServletRequest request,
        HttpServletResponse response, Authorize authorize);

    EsOutPutResp receiveErpInvoiceMessage(IsInput isInput);
}
