package com.dxhy.erp.service;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.dxhy.common.util.pojo.Authorize;
import com.dxhy.common.util.pojo.GlobalInfo;

/**
 * @author dxhy
 */
public interface InvoicePoolService {

    /**
     * 待填
     *
     * @param globalInfo
     * @param requestParam
     * @param request
     * @param response
     * @param authorize
     * @return
     */
    String inAccount(GlobalInfo globalInfo, Map<String, String> requestParam, HttpServletRequest request,
        HttpServletResponse response, Authorize authorize);

    /**
     * 待填
     *
     * @param globalInfo
     * @param requestParam
     * @param request
     * @param response
     * @param authorize
     * @return
     */
    String amortize(GlobalInfo globalInfo, Map<String, String> requestParam, HttpServletRequest request,
        HttpServletResponse response, Authorize authorize);

    /**
     * 待填
     *
     * @param globalInfo
     * @param requestParam
     * @param request
     * @param response
     * @param authorize
     * @return
     */
    String listInvoice(GlobalInfo globalInfo, Map<String, String> requestParam, HttpServletRequest request,
        HttpServletResponse response, Authorize authorize);

    /**
     * 待填
     *
     * @param globalInfo
     * @param requestParam
     * @param request
     * @param response
     * @param authorize
     * @return
     */
    String listState(GlobalInfo globalInfo, Map<String, String> requestParam, HttpServletRequest request,
        HttpServletResponse response, Authorize authorize);

    /**
     * 销项数据推送
     *
     * @param globalInfo
     * @param requestParam
     * @param request
     * @param response
     * @param authorize
     * @return
     */
    String salsePush(GlobalInfo globalInfo, Map<String, String> requestParam, HttpServletRequest request,
        HttpServletResponse response, Authorize authorize);
}
