package com.dxhy.erp.service;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.erp.entity.TdxCheckRecordInvoice;

/**
 *
 * 发票查验表业务处理接口
 *
 * @author peipei.li
 * @date 2019-05-09
 */
public interface SignCheckRecordService extends MpBaseService<TdxCheckRecordInvoice> {

    /**
     * 根据uuid查询发票查验表信息
     *
     * @param uuid
     *            唯一键
     * @return 返回结果
     * @since 1.0
     */
    TdxCheckRecordInvoice getCheckInvoiceByUuid(String uuid);

    /**
     * 保存查验表
     *
     * @param checkRecordInvoice
     *            发票
     * @param dbName
     *            数据源
     */
    void saveCheckRecordInvoice(TdxCheckRecordInvoice checkRecordInvoice, String dbName);

}
