package com.dxhy.erp.utils;

/**
 * @author guoker
 * @date 2020-12-28
 */
public class CommonEnum {

    public static final String ZERO_AND_ZERO_STR = "00";
    public static final String ZERO_STR = "0";
    public static final String ONE_STR = "1";
    public static final String TWO_STR = "2";
    public static final String THREE_STR = "3";
    public static final String FOUR_STR = "4";
    public static final String FIVE_STR = "5";
    public static final String SIX_STR = "6";
    public static final String SEVEN_STR = "7";
    public static final String EIGHT_STR = "8";
    public static final String NINE_STR = "9";
    public static final String TEN_STR = "10";
    public static final String ELEVEN_STR = "11";
    public static final String TWELVE_STR = "12";
    public static final String THREETEEN_STR = "13";
    public static final String SEVENTEEN_STR = "17";

    public static final int ZERO = 0;
    public static final int ONE = 1;
    public static final int TWO = 2;
    public static final int THREE = 3;
    public static final int FOUR = 4;
    public static final int FIVE = 5;
    public static final int SIX = 6;
    public static final int SEVEN = 7;
    public static final int EIGHT = 8;
    public static final int NINE = 9;
    public static final int TEN = 10;
    public static final int ELEVEN = 11;
    public static final int TWELVE = 12;
    public static final int FOURTEEN = 14;
    public static final int SIXTEEN = 16;
    public static final int SEVENTEEN = 17;
    public static final int NINETEEN = 19;
    public static final int TWENTY_EIGHT = 28;
    public static final int TWENTY_NINE = 29;
    public static final int TWO_HUNDRED = 200;
    public static final int FOUR_HUNDRED = 400;
    public static final int NINTEEN_HUNDRED = 1900;
    public static final int TWENTY_TWO_HUNDRED = 2200;
    public static final String ONE_HUNDRED_SIX_STR = "106";

    public static final int A_BIG = 'A';
    public static final int Z_BIG = 'Z';

    /**
     * 发票类型-增值税专用发票
     */
    public static final String INV_ZZS_PAPER_ZP = "01";

    /**
     * 发票类型-增值税电子专用发票
     */
    public static final String INV_ZZS_ELE_ZP = "102";

    /**
     * 发票类型-增值税普通发票
     */
    public static final String INV_ZZS_PAPER_PP = "04";

    /**
     * 发票类型-增值税普通发票(电子)
     */
    public static final String INV_ZZS_ELE_PP = "10";

    /**
     * 发票类型-增值税普通发票(卷式)
     */
    public static final String INV_ZZS_JP = "11";

    /**
     * 发票类型-增值税电子普通发票(通行费)
     */
    public static final String INV_ZZS_ELE_TXF = "14";

    /**
     * 发票类型-机动车销售统一发票
     */
    public static final String INV_ZZS_JDC = "03";

    /**
     * 发票类型-货运运输业增值税专用发票
     */
    public static final String INV_ZZS_HYYS = "02";

    /**
     * 发票类型-二手车销售统一发票
     */
    public static final String INV_ESC = "15";

    /**
     * 发票类型-货运运输业增值税专用发票
     */
    public static final String INV_ZZS_DZZP = "08";

    /**
     * 发票类型-出租车票
     */
    public static final String INV_TAXI = "91";

    /**
     * 发票类型-火车票
     */
    public static final String INV_TRAIN = "92";

    /**
     * 发票类型-航空客运电子客票行程单
     */
    public static final String INV_FLIGHT = "90";

    /**
     * 发票类型-公路运输客票(实名)
     */
    public static final String INV_KP_GL = "89";

    /**
     * 发票类型-水路运输客票(实名)
     */
    public static final String INV_KP_SL = "88";

    /**
     * 发票类型-其他运输客票(实名)
     */
    public static final String INV_KP_OTHER = "87";

    /**
     * 发票类型-汽车票
     */
    public static final String INV_CAR = "94";

    /**
     * 发票类型-定额发票
     */
    public static final String INV_DE = "95";

    /**
     * 发票类型-长途汽车票
     */
    public static final String INV_CAR_CT = "96";

    /**
     * 发票类型-通用机打发票
     */
    public static final String INV_TYJD = "97";

    /**
     * 发票类型-政府非税收收入一般缴款书
     */
    public static final String INV_GOV_JKS = "98";

    /**
     * 发票类型-国外发票
     */
    public static final String INV_ABROAD = "99";

    /**
     * 发票类型-其他
     */
    public static final String INV_OTHER = "00";

    /**
     * 发票类型-过路过桥发票
     */
    public static final String INV_GLGQ = "101";

    /**
     * 发票类型-区块链发票
     */
    public static final String INV_BLOCK_CHAIN = "16";

    /**
     * 全电发票（专用发票）21
     **/
    public static final String INV_ZZS_QD_ZYZP = "21";

    /**
     * 全电发票（普通发票）22
     **/
    public static final String INV_ZZS_QD_PTZP = "22";

    /**
     * 发票类型-医疗票据
     */
    public static final String INV_MEDICAL = "18";

    /**
     * 发票类型-开放平台返回可报销其他发票
     */
    public static final String INV_ENABLE_OTHER = "85";

    /**
     * 发票类型-开放平台返回滴滴出行行程单
     */
    public static final String INV_DIDI = "86";

    /**
     * 发票类型-开放平台返回飞机
     */
    public static final String INV_PLANE = "93";

    /**
     * 发票类型-完税证明
     */
    public static final String INV_WSZM = "102";

    /**
     * 发票类型-51
     */
    public static final String INV_51 = "51";

    /**
     * 特殊字符 -
     */
    public static final String SPE_CHA_HENG = "-";

    /**
     * 特殊字符 /
     */
    public static final String SPE_CHA_XIE = "/";

    /**
     * excel文件后缀
     */
    public static final String END_OF_XLSX = "xlsx";

    /**
     * excel文件后缀
     */
    public static final String END_OF_XLS = "xls";

    /**
     * 浏览器类型
     */
    public static final String BROWSER_MSIE = "MSIE";

    /**
     * 浏览器类型
     */
    public static final String BROWSER_FIREFOX = "Firefox";

    /**
     * 浏览器类型
     */
    public static final String BROWSER_SAFARI = "Safari";

    /**
     * interface对外接口包下成功响应码
     */
    public static final String RESPONSE_INTERFACE_STATUS_CODE_SUCCESS = "0000";

    /**
     * interface对外接口包下失败响应码1
     */
    public static final String RESPONSE_INTERFACE_STATUS_CODE_ERROR_0001 = "0001";

    public static final String RESPONSE_INTERFACE_STATUS_CODE_ERROR_001 = "001";

    /**
     * Y
     */
    public static final String Y = "Y";

    /**
     * N
     */
    public static final String N = "N";

    /**
     * .特殊字符
     */
    public static final char POINT_CHAR = '.';


    /**
     * code
     */
    public static final String CODE = "code";

    /**
     * data
     */
    public static final String DATA = "data";

    /**
     * %
     */
    public static final String PERCENT = "%";

    /**
     * pdf
     */
    public static final String PDF = "pdf";

    /**
     * ofd
     */
    public static final String OFD = "ofd";

    /**
     * doc
     */
    public static final String DOC = "doc";

    /**
     * docx
     */
    public static final String DOCX = "docx";


    /**
     * jpg
     */
    public static final String JPG = "jpg";

    /**
     * png
     */
    public static final String PNG = "png";

    /**
     * jpeg
     */
    public static final String JPEG = "jpeg";

    /**
     * zip
     */
    public static final String ZIP = "zip";

    /**
     * bmp
     */
    public static final String BMP = "bmp";

    /**
     * ,
     */
    public static final String DH_ENGLISH_STR = ",";

    /**
     * email
     */
    public static final String EMAIL = "email";
    /**
     * uuidStr
     */
    public static final String UUID_STR = "uuidStr";
    /**
     * ids
     */
    public static final String IDS_STR = "ids";
    
    /**
     * OFD 返回结果-解析成功
     */
    public static final String OFD_SUCCESS_CODE = "9001";

    /**
     * OFD 返回结果-其他异常
     */
    public static final String OFD_UNERROR_CODE = "9999";

    /**
     * 微信卡包数据拉取返回提示
     */
    public static final String WECHAT_PACKAGE_RESPONSE_MSG_1 = "微信卡包数据拉取成功";

    /**
     * 微信卡包拉取完数据修改拉取状态标识-发票已锁定
     */
    public static final  String INVOICE_REIMBURSE_LOCK = "INVOICE_REIMBURSE_LOCK";

    /**
     * 微信卡包拉取完数据修改拉取状态标识--发票初始状态，未锁定
     */
    public static final  String INVOICE_REIMBURSE_INIT = "INVOICE_REIMBURSE_INIT";
    /**
     * 微信卡包拉取完数据修改拉取状态标识--发票已核销
     */
    public static final  String INVOICE_REIMBURSE_CLOSURE = "INVOICE_REIMBURSE_CLOSURE";
    /**
     * 微信卡包拉取完数据修改拉取状态标识--发票被冲红
     */
    public static final  String INVOICE_REIMBURSE_CANCEL = "INVOICE_REIMBURSE_CANCEL";



    /**
     * 規則編碼2001
     */
    public static final String PERSONAL_RULE_CODE_2001 = "2001";
    /**
     * 規則編碼2017
     */
    public static final String PERSONAL_RULE_CODE_2017 = "2017";

    /**
     * 規則編碼2018
     */
    public static final String PERSONAL_RULE_CODE_2018 = "2018";
    /**
     * 規則編碼1008
     */
    public static final String PERSONAL_RULE_CODE_1008 = "1008";
    /**
     * 規則編碼2015
     */
    public static final String PERSONAL_RULE_CODE_2015 = "2015";

    /**
     * 規則編碼1013
     */
    public static final String PERSONAL_RULE_CODE_1013 = "1013";
    /**
     * 規則編碼1014
     */
    public static final String PERSONAL_RULE_CODE_1014 = "1014";
    /**
     * 規則編碼2022
     */
    public static final String PERSONAL_RULE_CODE_2022 = "2022";

    /**
     * H
     */
    public static final String H = "H";

    /**
     * GB
     */
    public static final String GB = "GB";

    /**
     * MB
     */
    public static final String MB = "MB";

    /**
     * KB
     */
    public static final String KB = "KB";

    /**
     * 查无此票
     */
    public static final String INCOME_RESPONSE_NO_INVOICE = "无此票";

    /**
     * 请求不合法
     */
    public static final String INVOICE_CHECK_RESPONSE_1 = "请求不合法";
    /**
     * 发票信息不正确，请检查
     */
    public static final String INVOICE_CHECK_RESPONSE_2 = "发票信息不正确，请检查";

    /**
     * 纸质增值税发票机打号码对比提示语
     */
    public static final String DIFF_PAPER_INVOICE_NUMBER = "发票印刷代码号码与打印代码号码不一致，请确认！";

    /**
     * 该文件不是原始发票，请重新上传原始发票文件
     */
    public static final String CHECK_PDF_FILE = "电票请上传PDF或OFD格式电子源文件";

    /**
     * 图片标识
     */
    public static final String IMG_FLAG = "img";

    /**
     * 同批次有重复发票，请检查
     */
    public static final String INV_SERISE_REPEAT_CHECK_MESSAGE = "同批次有重复发票，请检查!";

    /**
     * 详见销货清单
     */
    public static final String INVOICE_SALE_NAME = "详见销货清单";
    /**
     * 未查询到数据
     */
    public static final String NO_INVOICE_DATA = "未查询到数据";

    /**
     * true
     */
    public static final String TRUE = "true";
    /**
     * false
     */
    public static final String FALSE = "false";
}
