package com.dxhy.domestic.constants;

/**
 * @author dxhy
 */
public interface DicProp {
    String[] EXPORT_INVOICE_SGRZ_TITLE =
        {"序号", "转内销证明编号", "发票代码", "发票号码", "发票状态", "开票日期", "购方名称", "销方名称", "转内销金额", "转内销税额", "转内销抵扣税额"};
    String[] EXPORT_INVOICE_SGRZ_SG_PROP = {"xh", "exportNo", "invoiceCode", "invoiceNo", "invoiceStatus",
        "invoiceDate", "gfName", "xfName", "exportAmount", "exportTaxAmount", "exportYxse"};

    String[] EXPORT_INVOICE_BDK_TITLE = {"序号", "转内销证明编号", "发票代码", "发票号码", "发票状态", "开票日期", "购方名称", "销方名称", "转内销金额",
        "转内销税额", "转内销抵扣税额", "不抵扣处理状态", "撤销不抵扣处理状态"};
    String[] EXPORT_INVOICE_BDK_PROP = {"xh", "exportNo", "invoiceCode", "invoiceNo", "invoiceStatus", "invoiceDate",
        "gfName", "xfName", "exportAmount", "exportTaxAmount", "exportYxse", "authStatus", "cxbdkStatus"};

    String[] EXPORT_INVOICE_RZCX_TITLE = {"序号", "转内销证明编号", "发票代码", "发票号码", "发票状态", "开票日期", "购方税号", "购方名称", "销方税号",
        "销方名称", "转内销金额", "转内销税额", "转内销抵扣税额", "认证时间", "认证状态", "认证处理状态", "认证类型", "认证人", "税款所属期", "撤销认证处理状态"};
    String[] EXPORT_INVOICE_RZCX_PROP = {"xh", "exportNo", "invoiceCode", "invoiceNo", "invoiceStatus", "invoiceDate",
        "gfTaxNo", "gfName", "xfTaxNo", "xfName", "exportAmount", "exportTaxAmount", "exportYxse", "rzhDate",
        "rzhYesorno", "authStatus", "bdkStatus", "confirmUser", "rzhBelongDate", "cxrzStatus"};

    String[] EXPORT_CUSTOMS_SGRZ_TITLE =
        {"序号", "转内销证明编号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "转内销税款金额", "转内销抵扣税款金额", "来源"};
    String[] EXPORT_CUSTOMS_SGRZ_PROP = {"xh", "exportNo", "customsCode", "fillInDate", "gfTaxNo", "gfName",
        "exportTaxAmount", "yxExportTaxAmount", "dataSources"};

    String[] EXPORT_CUSTOMS_SZBDK_TITLE =
        {"序号", "转内销证明编号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "转内销税款金额", "转内销抵扣税款金额", "不抵扣处理状态", "撤销不抵扣处理状态"};
    String[] EXPORT_CUSTOMS_SZBDK_PROP = {"xh", "exportNo", "customsCode", "fillInDate", "gfTaxNo", "gfName",
        "exportTaxAmount", "yxExportTaxAmount", "authStatus", "cxbdkStatus"};

    String[] EXPORT_CUSTOMS_RZCX_TITLE = {"序号", "转内销证明编号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "转内销税款金额", "转内销抵扣税款金额",
        "管理状态", "来源", "认证时间", "认证状态", "认证处理状态", "认证类型", "认证人", "税款所属期", "撤销认证处理状态"};
    String[] EXPORT_CUSTOMS_RZCX_PROP = {"xh", "exportNo", "customsCode", "fillInDate", "gfTaxNo", "gfName",
        "exportTaxAmount", "yxExportTaxAmount", "glzt", "dataSources", "rzhDate", "rzhYesorno", "authStatus",
        "bdkStatus", "confirmUser", "rzhBelongDate", "cxrzStatus"};

    // String[] EXPORT_INVOICE_COUNT_TITLE = {"序号", "转内销证明编号", "发票代码", "发票号码", "发票状态", "开票日期", "购方税号", "购方名称", "销方税号",
    // "销方名称", "转内销金额", "转内销税额", "转内销抵扣税额", "认证时间", "认证状态", "认证处理状态", "认证类型", "认证人", "税款所属期"};
    // String[] EXPORT_INVOICE_COUNT_PROP = {"xh", "exportNo", "invoiceCode", "invoiceNo", "invoiceStatus",
    // "invoiceDate",
    // "gfTaxNo", "gfName", "xfTaxNo", "xfName", "exportAmount", "exportTaxAmount", "exportYxse", "rzhDate",
    // "rzhYesorno", "authStatus", "bdkStatus", "confirmUser", "rzhBelongDate"};

    String[] EXPORT_CUSTOMS_COUNT_TITLE = {"序号", "转内销证明编号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "转内销税款金额", "转内销抵扣税款金额",
        "管理状态", "来源", "认证时间", "认证状态", "认证处理状态", "认证类型", "认证人", "税款所属期"};
    String[] EXPORT_CUSTOMS_COUNT_PROP =
        {"xh", "exportNo", "customsCode", "fillInDate", "gfTaxNo", "gfName", "exportTaxAmount", "yxExportTaxAmount",
            "glzt", "dataSources", "rzhDate", "rzhYesorno", "authStatus", "bdkStatus", "confirmUser", "rzhBelongDate"};

    String[] CUSTOMS_REFUND_MANUAL_CONFIRM_LIST_TITLE =
        {"序号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "税款金额", "来源", "签收状态", "签收日期", "签收方式", "签收人"};
    String[] CUSTOMS_REFUND_MANUAL_CONFIRM_LIST_PROP = {"xh", "customsCode", "fillInDate", "gfTaxNo", "gfName",
        "taxAmount", "dataSources", "qsStatus", "qsDate", "qsType", "qsUser"};
    String[] CUSTOMS_REFUND_MANUAL_CONFIRM_LIST_BUSI_TITLE =
        {"序号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "税款金额", "来源", "签收状态", "签收日期", "签收方式", "签收人", "业务单元"};
    String[] CUSTOMS_REFUND_MANUAL_CONFIRM_LIST_BUSI_PROP = {"xh", "customsCode", "fillInDate", "gfTaxNo", "gfName",
        "taxAmount", "dataSources", "qsStatus", "qsDate", "qsType", "qsUser", "deptName"};

    String[] CUSTOMS_REFUND_IMPORT_CONFIRM_LIST_TITLE =
        {"序号", "不可认证提示", "缴款书号码", "填发日期", "税款金额", "税款所属期", "来源", "签收状态", "签收日期", "签收方式", "签收人"};
    String[] CUSTOMS_REFUND_IMPORT_CONFIRM_LIST_PROP = {"xh", "errorMassage", "customsCode", "fillInDate", "taxAmount",
        "belongDate", "dataSources", "qsStatus", "qsDate", "qsType", "qsUser"};

    // String[] CUSTOMS_REFUND_CONFIRM_LIST_TITLE = {"序号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "管理状态", "税款金额", "税款所属期",
    // "签收状态", "签收日期", "签收方式", "签收人", "认证时间", "认证状态", "认证处理状态", "认证类型", "认证人"};
    // String[] CUSTOMS_REFUND_CONFIRM_LIST_PROP =
    // {"xh", "customsCode", "fillInDate", "gfTaxNo", "gfName", "glzt", "taxAmount", "rzhBelongDate", "qsStatus",
    // "qsDate", "qsType", "qsUser", "rzhDate", "rzhYesorno", "authStatus", "rzlx", "confirmUser"};
    // String[] CUSTOMS_REFUND_CONFIRM_LIST_BUSI_TITLE = {"序号", "缴款书号码", "填发日期", "缴款单位税号", "缴款单位名称", "管理状态", "税款金额",
    // "税款所属期", "签收状态", "签收日期", "签收方式", "签收人", "认证时间", "认证状态", "认证处理状态", "认证类型", "认证人", "业务单元"};
    // String[] CUSTOMS_REFUND_CONFIRM_LIST_BUSI_PROP =
    // {"xh", "customsCode", "fillInDate", "gfTaxNo", "gfName", "glzt", "taxAmount", "rzhBelongDate", "qsStatus",
    // "qsDate", "qsType", "qsUser", "rzhDate", "rzhYesorno", "authStatus", "rzlx", "confirmUser", "deptName"};

    // String[] REFUND_COUNT_LIST_TITLE = {"序号", "购方/缴款单位税号", "购方/缴款单位名称", "税款所属期", "退税额合计"};
    // String[] REFUND_COUNT_LIST_PROP = {"xh", "gfTaxNo", "taxname", "rzhBelongDate", "taxAmount"};

    String[] REFUND_COUNT_DETAIL_LIST_TITLE = {"发票类别", "份数", "金额", "税额"};
    String[] REFUND_COUNT_DETAIL_LIST_PROP = {"invoiceType", "invCount", "invoiceAmount", "taxAmount"};

}
