package com.dxhy.domestic.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 分页参数
 * 
 * @author dxhy
 */
@Data
public class PageInfo {

    @ApiModelProperty("当前页码")
    private Integer currentPage;

    @ApiModelProperty("每页包含条数")
    private Integer pageSize;

    @ApiModelProperty("集团代码")
    private String company;

    @ApiModelProperty("菜单id")
    private String menuId;
}
