package com.dxhy.domestic.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dxhy
 */
@Data
@ApiModel("退税认证接口返回参数")
public class AuthenticationResultVO implements Serializable {

    @ApiModelProperty("失败原因，成功为空")
    private String message;

    @ApiModelProperty("认证成功数量")
    private String successCount;

    @ApiModelProperty("总金额")
    private String totalAmount;

    @ApiModelProperty("总税额")
    private String totalTax;

}
