package com.dxhy.domestic.model.vo;

import java.io.Serializable;

import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class BaseCustomsRefundImportVO implements Serializable {

    private static final long serialVersionUID = -5212783988559083087L;
    /**
     * 返回前端是否可以勾选标志
     */
    public boolean selectFlag;
    /**
     * ID
     */
    private Long id;
    /**
     * 序号
     */
    private String xh;
    /**
     * 不可认证提示
     */
    private String errorMassage;
    /**
     * 缴款书号码
     */
    private String customsCode;
    /**
     * 填发日期
     */
    private String fillInDate;
    /**
     * 税款金额
     */
    private String taxAmount;
    /**
     * 缴款单位
     */
    private String gfName;
    /**
     * 数据来源0采集1手工录入2Excel导入3扫描仪录入4电子版导入5签收推送
     */
    private String dataSources;
    /**
     * 税款所属期
     */
    private String belongDate;
    /**
     * 签收状态0未签收1已签收
     */
    private String qsStatus;
    /**
     * 签收时间
     */
    private String qsDate;
    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）
     */
    private String qsType;
    /**
     * 签收人
     */
    private String qsUser;

    public BaseCustomsRefundImportVO(String customsCode, String fillInDate, String taxAmount) {
        this.customsCode = customsCode;
        this.fillInDate = fillInDate;
        this.taxAmount = taxAmount;
        this.selectFlag = true;
    }

}
