
package com.dxhy.domestic.service.ckzrz;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.common.vo.UserInfo;
import com.dxhy.domestic.entity.TdxExportInvoice;
import com.dxhy.domestic.model.dto.TdxExportInvoiceModelDTO;

/**
 * 业务单元
 *
 * @author dxhy
 */
public interface DomesticExportInvoiceCkService extends IService<TdxExportInvoice> {

    /**
     * 待填
     * 
     * @param page
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String queryVatSgrz(Page page, TdxExportInvoiceModelDTO dto, UserInfo userInfo) throws Exception;

    /**
     * 待填
     * 
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String approveSg(TdxExportInvoiceModelDTO dto, UserInfo userInfo) throws Exception;

    /**
     * 待填
     * 
     * @param page
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String queryVatBdk(Page page, TdxExportInvoiceModelDTO dto, UserInfo userInfo) throws Exception;

    /**
     * 待填
     * 
     * @param page
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String queryVatRzcx(Page page, TdxExportInvoiceModelDTO dto, UserInfo userInfo) throws Exception;

    /**
     * 待填
     * 
     * @param dto
     * @param userInfo
     * @return
     * @throws Exception
     */
    String approveCxrz(TdxExportInvoiceModelDTO dto, UserInfo userInfo) throws Exception;
}
