package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.model.ExtBbrzrbcxRespVO;

/**
 * 报表异常发票报表查询
 *
 * @author kangzq
 * @date 2019年5月15日
 * @version 1.0
 */
@Mapper
public interface ExtBbrzrbcxDao extends BaseMapper<ExtBbrzrbcxRespVO> {

    /**
     * 按照税号，名称，发票状态发票分组查询的合计数量，合计金额，合计税额
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtBbrzrbcxRespVO> selectBbycfpbbHj(Map<String, Object> pramsMap);

    /**
     * 统计按照页面条件查询发票的合计数量，合计金额，合计税额,购方名称，购方税号
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    ExtBbrzrbcxRespVO selectHjxx(Map<String, Object> pramsMap);

}
