package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.entity.ExtBuyInvoicePaper;
import com.dxhy.extend.entity.ExtSelInvoicePaper;

/**
 * @author dxhy
 */
@Mapper
public interface ExtPaperDao extends BaseMapper<ExtBuyInvoicePaper> {

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtBuyInvoicePaper> listBuyInvoicePaper(Map<String, Object> pramsMap);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtSelInvoicePaper> selectInvoicePaper(Map<String, Object> pramsMap);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    int getSuccCount(Map<String, Object> pramsMap);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    int getFailCount(Map<String, Object> pramsMap);
}
