package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.model.ExtRzjgqdRespVO;
import com.dxhy.extend.model.ExtTjbbHjxxVO;

/**
 *
 *
 * 认证发票月报查询
 *
 * @author zhanghong @date 2019年5月13日
 *
 */
@Mapper
public interface ExtRzjgqdDao extends BaseMapper<ExtRzjgqdRespVO> {
    /**
     *
     * 根据购方税号和认证年份查询统计数据
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtRzjgqdRespVO> rzjgByGfshAndSkssq(Map<String, Object> pramsMap);

    /**
     *
     * 根据购方税号和认证年份查询合计信息
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtTjbbHjxxVO> rzjghjxxByGfshAndSkssq(Map<String, Object> pramsMap);
}
