package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.entity.ExtTdxRecordInvoice;
import com.dxhy.extend.model.ExtRecordInvoiceModel;
import com.dxhy.extend.model.ExtReportStatisticsModel;

/**
 *
 *
 * 发票信息dao
 *
 *
 * @date 2019年4月23日 @author dxhy
 */
@Mapper
public interface ExtTdxRecordInvoiceDao extends BaseMapper<ExtTdxRecordInvoice> {

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtRecordInvoiceModel> queryInvoice(Map<String, Object> pramsMap);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    ExtReportStatisticsModel selectInvoiceCount(Map<String, Object> pramsMap);
}
