package com.dxhy.extend.entity;

import java.io.Serializable;

import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class ExtAddTaxInvoice implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private String id;
    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 发票状态
     */
    private String invoiceStatus;

    /**
     * 发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票
     */
    private String invoiceType;

    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 销方税号
     */
    private String xfsh;

    /**
     * 销方名称
     */
    private String xfmc;
    /**
     * 购方税号
     */
    private String gfsh;
    /**
     * 购方名称
     */
    private String gfmc;
    /**
     * 金额
     */
    private String invoiceAmount;
    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 价税合计
     */
    private String totalAmount;
    /**
     * 有效税额
     */
    private String yxse;
    /**
     * 认证状态
     */
    private String rzzt;
    /**
     * 认证类型
     */
    private String rzlx;
    /** 认证日期 */
    private String rzrq;
    /** 认证方式 */
    private String rzfs;
    /** 认证人 */
    private String rzr;
    /** 底账库采集时间 */
    private String createDate;
    /** 采集人 修改为采集状态 2020-10-13 */
    private String collectStatus;
    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收5-pdf上传签收
     */
    private String qsfs;
    /** 签收状态 */
    private String qszt;
    /** 签收日期 */
    private String qsrq;
    /** 签收人 */
    private String qsr;
    /** 入账月份 */
    private String inAccountMonth;
    /** 入账状态 */
    private String inAccountStatus;
    /** 入账凭证号 */
    private String voucherNo;
    /** 是否末次摊销 */
    private String amortizeStatus;
    /** 摊销金额 */
    private String amortizeAmount;
    /** 剩余金额 */
    private String remainAmortizeAmount;
    /** 摊销业务单号 */
    private String amortizeDocumentNumber;
    /** 票据来源 */
    private String sourceSystem;
    /** 清单标志 */
    private String listStatus;
    private String scanId;

    private String remark;
    /** 优惠政策标识 */
    private String incentiveFlag;
    /** 业务单号 */
    private String documentNumber;
    /** 系统名称 */
    private String systemName;
    private String collectDate;
    private String collectFrom;

    private String snVoucherNumber;
    private String postingTime;
    private String imageId;
    private String accountPeriod;
    private String compCode;
}
