package com.dxhy.extend.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 报表认证日报查询的返回对象
 * 
 * @author kangzq
 */
@Data
public class ExtBbrzrbcxRespVO implements Serializable, Comparable<ExtBbrzrbcxRespVO> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 认证日期
     */
    private String rzrq;
    /**
     * 认证月日
     */
    private String rzrqyr;

    /**
     * 购方税号
     */
    private String gfsh;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 合计金额
     */
    private String hjje;
    /**
     * 合计税额
     */
    private String hjse;
    /**
     * 合计数量
     */
    private String hjsl;

    private String dkse;

    private String rzDate;

    public ExtBbrzrbcxRespVO() {}

    @Override
    public int compareTo(ExtBbrzrbcxRespVO vo) {
        return Integer.parseInt(this.getRzDate()) - Integer.parseInt((vo).getRzDate());
    }

}
