package com.dxhy.extend.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author peipei.li
 * @date 2019-04-26 发票异常预警页面 list
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ExtCautionAbnormalRespVO extends ExtBaseRespVO {
    /**
     * 异常日期
     */
    private String ycDate;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 发票状态
     */
    private String invoiceStatusName;

    /**
     * 购方名称
     */
    private String buyerName;
    /**
     * 销方名称
     */
    private String sellerName;

    /**
     * 金额
     */
    private String amount;
    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票
     */
    private String invoiceType;
}
