package com.dxhy.extend.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 
 * 
 * 机动车查验表返回页面信息对象
 *
 *
 * @author dxhy
 */
@Data
public class ExtCheckVehicleSaleVO implements Serializable {

    private static final long serialVersionUID = 7871647630415127944L;

    /**
     * 购方身份证号码 组织 机构代码
     */
    private String buyerIdNum;

    /**
     * 车辆类型
     */
    private String vehicleType;

    /**
     * 厂牌型号
     */
    private String factoryModel;

    /**
     * 产地
     */
    private String productPlace;

    /**
     * 合格证书
     */
    private String certificate;

    /**
     * 进口证明书号
     */
    private String certificateImport;

    /**
     * 商检单号
     */
    private String inspectionNum;

    /**
     * 发动机号
     */
    private String engineNo;

    /**
     * 车架号码 车辆识别码
     */
    private String vehicleNo;

    /**
     * 电话
     */
    private String phone;

    /**
     * 开户银行
     */
    private String buyerBank;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 主管税务机关名称
     */
    private String taxBureauName;

    /**
     * 主管税务机关代码
     */
    private String taxBureauCode;

    /**
     * 完税凭证号码
     */
    private String taxRecords;

    /**
     * 限乘人数
     */
    private String limitPeople;

    /**
     * 吨位
     */
    private String tonnage;
}
