package com.dxhy.extend.model;

import java.io.Serializable;

import lombok.Data;

/**
 * @author ld
 */
@Data
public class ExtTtRzhzRespVo implements Serializable {

    public ExtTtRzhzRespVo() {}

    public ExtTtRzhzRespVo(String rzhDate) {
        this.rzhDate = rzhDate;
        this.count = "0";
        this.amount = "0.00";
        this.tax = "0.00";
    }

    /**
     * 税款所属期
     */
    private String rzhDate;

    private String xh;

    /**
     * /认证数量
     */
    private String count;

    /**
     * /合计金额
     */
    private String amount;

    /**
     * /合计税额
     */
    private String tax;
    /**
     * //价税合计
     */
    private String totalAmount;

    /**
     * //购方税号
     */
    private String gfTaxNo;
    /**
     * //购方名称
     */
    private String gfName;
    /**
     * //税款所属期
     */
    private String rzhBelongDate;
}
