package com.dxhy.extend.service.caution;

import com.dxhy.common.vo.UserInfo;
import com.dxhy.extend.model.ExtCautionAbnormalReqVO;
import com.dxhy.extend.model.ExtCautionExpirationReqVO;
import com.dxhy.extend.model.ExtCautionMaximalReqVO;

/**
 * @author peipei.li
 * @date 2019-04-26 预警模块，抵账表操作service
 */
public interface IExtCautionExpirationService {

    /**
     * 逾期预警list
     *
     * @param reqVO
     *            查询条件
     * @param userInfo
     *            用户信息
     * @return 返回
     *
     */
    String listExpiration(ExtCautionExpirationReqVO reqVO, UserInfo userInfo);

    /**
     * 异常发票预警list
     *
     * @param reqVO
     *            查询条件
     * @return 返回
     *
     */
    String listAnomalyInvoice(ExtCautionAbnormalReqVO reqVO);

    /**
     * 普票跨年度预警 list
     *
     * @param reqVO
     *            查询条件
     * @return 返回
     *
     */
    String listMaximalInvoice(ExtCautionMaximalReqVO reqVO);
}
