package com.dxhy.extend.service.tjbb;

import java.util.Map;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.extend.model.ExtFprzybRespVO;

/**
 *
 *
 * 发票认证月报接口
 *
 * @author 张宏 @date 2019年5月13日
 *
 */
public interface IExtFprzybService extends MpBaseService<ExtFprzybRespVO> {

    /**
     * 根据查询条件查询发票认证月报信息
     *
     * @param pramsMap
     *            请求参数集合
     *
     * @return 返回
     *
     *
     */
    String selectByGfshAndRznf(Map<String, Object> pramsMap);

    /**
     * 根据查询条件查询发票认证汇总信息
     *
     * @param pramsMap
     *            请求参数集合
     *
     * @return 返回
     *
     *
     */
    String selectRzfphzByRznf(Map<String, Object> pramsMap);

}
