package com.dxhy.extend.service.tjbb;

import java.util.Map;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.extend.model.ExtQstjbRespVO;

/**
 *
 *
 * 发票签收统计接口
 *
 * @author 张宏 @date 2019年5月14日
 *
 */
public interface IExtQstjbService extends MpBaseService<ExtQstjbRespVO> {
    /**
     * 根据查询条件查询发票签收统计
     *
     * @param size
     *            分页查询需要，页面传入的每页显示多少条数据
     * @param curr
     *            分页查询需要，页面传入的当前查询第几页
     * @param pramsMap
     *            请求参数集合
     *
     * @return 返回
     *
     *
     */
    String selectQstjbByCxtj(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 根据查询条件查询已签收未认证信息
     *
     * @param size
     *            分页查询需要，页面传入的每页显示多少条数据
     * @param curr
     *            分页查询需要，页面传入的当前查询第几页
     * @param pramsMap
     *            请求参数集合
     *
     * @return 返回
     *
     *
     */
    String selectYqswrzByCxtj(Map<String, Object> pramsMap, int curr, int size);

}
