package com.dxhy.extend.service.tjbb;

import java.io.IOException;
import java.util.Map;

import javax.servlet.http.HttpServletResponse;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.extend.model.ExtRzjgqdRespVO;
//import com.lowagie.text.DocumentException;

import freemarker.template.TemplateException;

/**
 *
 *
 * 认证结果清单接口
 *
 * @author 张宏 @date 2019年5月13日
 *
 */
public interface IExtRzjgqdService extends MpBaseService<ExtRzjgqdRespVO> {
    /**
     * 根据查询条件查询认证结果清单
     *
     * @param size
     *            分页查询需要，页面传入的每页显示多少条数据
     * @param curr
     *            分页查询需要，页面传入的当前查询第几页
     * @param pramsMap
     *            请求参数集合
     *
     * @return 返回
     *
     *
     */
    String rzjgByGfshAndSkssq(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 根据查询条件导出认证结果清单pdf
     *
     * @param map
     *            查询条件
     * @param response
     *            HttpServletResponse
     * @throws IOException
     *             异常
     * @throws TemplateException
     *             异常
     * @throws DocumentException
     *             异常
     */
//    void exportPdf(Map<String, Object> map, HttpServletResponse response)
//        throws IOException, TemplateException, DocumentException;
}
