package com.dxhy.manage.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 部门管理
 *
 * @author jiaohongyang
 */
@Data
@TableName("sys_http_log")
public class HttpLogEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 税号
     */
    private String taxno;
    /**
     * 请求报文
     */
    private String reqtext;
    /**
     * 返回报文
     */
    private String restext;

    private Date createDate;

    private String type;

}
