package com.dxhy.manage.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author jiaohongyang
 */
@EqualsAndHashCode(callSuper = true)
@SuppressWarnings("AliDeprecation")
@Data
public class BlocDataModel extends BaseRowModel {
    @ExcelProperty(value = {"序号"}, index = 0)
    private String order;
    @ExcelProperty(value = {"集团编码"}, index = 1)
    private String company;
    @ExcelProperty(value = {"集团名称"}, index = 2)
    private String taxname;
    @ExcelProperty(value = {"税号数量"}, index = 3)
    private String taxnoCount;
    @ExcelProperty(value = {"票量"}, index = 4)
    private String count;

}
