package com.dxhy.manage.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author jiaohongyang
 */
@EqualsAndHashCode(callSuper = true)
@SuppressWarnings("AliDeprecation")
@Data
public class CheckNumModel extends BaseRowModel {
    @ExcelProperty(value = {"序号"}, index = 0)
    private String order;
    @ExcelProperty(value = {"查验年份/月份/日期"}, index = 1)
    private String year;
    @ExcelProperty(value = {"查验次数"}, index = 2)
    private String checkCount;
    @ExcelProperty(value = {"成功次数"}, index = 3)
    private String successCount;
    @ExcelProperty(value = {"失败次数"}, index = 4)
    private String failCount;
    @ExcelProperty(value = {"结算次数"}, index = 5)
    private String account;
    @ExcelProperty(value = {"异常失败次数"}, index = 6)
    private String exceptionCount;
}
