package com.dxhy.manage.model;

import lombok.Data;

/**
 * @author jiaohongyang
 */
@Data
public class FunctionModel {
    /**
     * 功能编号 01-发票下载 02-异步采集
     */
    private String functionNo;
    /**
     * 操作类型 0-增加 1-开启 2-停用
     */
    private String optType;
    /**
     * 用户类型 0-长期采集税号 1-一次性采集税号说明：一次性采集税号运行一次后将停止运行金融税号，默认值 1-一次性采集税号大客户税号，默认值 0-长期采集税号
     */
    private String validType;
    /**
     * 业务类型 0-金融税号 1-大客户税号默认值 1-大客户税号
     */
    private String bussinessType;
    /**
     * Key类型 0-插盘税号 1-盘组税号 2-软key税号 默认值 2-软key税号
     */
    private String keyType;
    /**
     * 采集的月份个数 最小值0，最大值60；0代表不采集数据, functionNo为01时才需要传输此值
     */
    private String initMonth;
    /**
     * 采集发票类型 '0-全部 1-进项 2-销项', functionNo为01时才需要传输此值
     */
    private String invSpec;
}
