package com.dxhy.config;

import org.jetbrains.annotations.NotNull;
import org.springframework.beans.factory.config.BeanDefinition;
import org.springframework.beans.factory.support.BeanDefinitionRegistry;
import org.springframework.beans.factory.support.BeanNameGenerator;

/**
 * @author jiaohongyang
 */
public class UniqueNameGenerator implements BeanNameGenerator {

    @NotNull
    @Override
    public String generateBeanName(BeanDefinition beanDefinition,
        @NotNull BeanDefinitionRegistry beanDefinitionRegistry) {
        // 获取全限定名称

        return beanDefinition.getBeanClassName();
    }
}
