package com.dxhy.passengerticket.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * @author xiexuedi
 * @date 2019/05/10 09:03:55 用于接收报销系统数据的实体
 */
@SuppressWarnings("AlibabaLowerCamelCaseVariableNaming")
@Data
@TableName(value = "t_dx_invoice_reimburse")
public class TdxInvoiceReimburse {
    @TableId
    private Long id;
    private String invoiceType;
    private String invoiceCode;
    private String invoiceNo;
    private String invoiceDate;
    private String ticketNumber;
    private String passenger;
    private BigDecimal invoiceAmount;
    private BigDecimal taxAmount;
    private BigDecimal totalAmount;
    private String invoiceStatus;
    private String dqskssq;
    private String sourceSystem;
    private String invoiceName;
    private String departureCity;
    private String reachingCity;
    private String relatedBusinessDocuments;
    private String businessDocumentMaker;
    private String businessDocumentNumber;
    private String reimbursementTime;
    private String reimbursementStatus;
    private String trainNumber;
    private Date ticketDepartureTime;
    private Date ticketArrivalTime;
    private String passengerSFZH;
    private String uuid;
    private String invoiceString;
    private String gfTaxNo;
    private String gfAddressAndPhone;
    private String gfBankAndNo;
    private String xfAddressAndPhone;
    private String xfBankAndNo;
    private String gfName;
    private String xfTaxNo;
    private String xfName;
    private String taxRate;
    private String createDate;
    private String rzhYesorno;
    private String tag;
    private String isDeduction;
    private String isDomestic;
    private String selectId;
    private String qsDate;
    private String qsType;
    private String qsName;
    private String qsStatus;
}
