package com.dxhy.passengerticket.feign;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.dxhy.common.utils.R;

/**
 * @author xiexuedi
 * @Date 2019/05/24 16:04
 */
@FeignClient(value = "dxhy-core")
public interface InvoiceDetailService {

    /**
     * 待填
     * 
     * @param params
     * @return
     */
    @RequestMapping(value = "/invoiceDetail/invoiceDetail", method = RequestMethod.POST)
    ResponseEntity<R> invoiceDetails(@RequestBody Map<String, Object> params);

}
