package com.dxhy.passengerticket.service;

import com.dxhy.passengerticket.vo.InvoiceMainBody;

import java.util.List;
import java.util.Map;

/**
 * @author xiexuedi
 * @date 2019/05/07 10:23:11
 */
public interface PassengerTicketService {

    /**
     * 查询认证发票列表
     * 
     * @param params
     * @param curr
     * @param size
     * @param dbName
     * @return
     */
    Map<String, Object> selectcertifiedInvoiceList(Map<String, Object> params, Integer curr, Integer size,
        String dbName);

    /**
     * 查询其他发票列表
     * 
     * @param params
     * @param curr
     * @param size
     * @param dbName
     * @return
     */
    Map<String, Object> selectOtherInvoiceList(Map<String, Object> params, Integer curr, Integer size, String dbName);

    /**
     * 待填
     * 
     * @param invoiceNo
     * @param invoiceCode
     * @param dbName
     * @return
     */
    List<InvoiceMainBody> selectInvoiceMainBody(String invoiceNo, String invoiceCode, String dbName);

    /**
     * 查询客票主题
     * 
     * @param selectId
     * @param dbName
     * @return
     */
    List<InvoiceMainBody> selectPassengerTheme(String selectId, String dbName);
}
