package com.dxhy.portrait.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamOmitField;

import lombok.Data;

/**
 * @author dxhy
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@XStreamAlias("ITEM")
public class TDxScanInvoiceDetail {

    @XStreamOmitField
    private Long id;

    @XStreamOmitField
    private String uuid;

    @XStreamOmitField
    private String invoiceCode;

    @XStreamOmitField
    private String invoiceNo;

    @XStreamOmitField
    private String detailNo;

    @XStreamOmitField
    private String goodsNum;

    @XStreamAlias("LINE_NO")
    @TableField(exist = false)
    private String lineNo;

    @XStreamAlias("GOODS_NAME")
    private String goodsName;

    @XStreamAlias("GOODS_SPEC")
    private String goodsSpec;

    @XStreamAlias("GOODS_PRICE")
    private String goodsPrice;

    @XStreamAlias("GOODS_QUANTITY")
    private String goodsQuantity;

    @XStreamAlias("GOODS_AMOUNT")
    private String goodsAmount;

    @XStreamAlias("GOODS_TAX")
    private String taxAmount;

    @XStreamAlias("GOODS_TAX_RATE")
    private String taxRate;

    @XStreamAlias("GOODS_UNIT")
    private String unit;

    @XStreamAlias("TRAFFIC_DATE_END")
    private String trafficDateEnd;

    @XStreamAlias("TRAFFIC_DATE_START")
    private String trafficDateStart;

    @XStreamAlias("TYPE")
    private String type;

    @XStreamAlias("PLATE_NO")
    private String plateNo;

    @XStreamAlias("EXPENSE_ITEM")
    private String expenseItem;

}
