package com.dxhy.portrait.business.entity.barcode;

import org.apache.commons.lang3.builder.ToStringBuilder;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author dxhy
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class GlobalInfo extends BasePojo {

    private static final long serialVersionUID = 8145333412451825323L;
    /**
     * FPBX 大象提供
     */
    private String appId;
    /**
     * 接口版本
     */
    private String version;
    /**
     * 企业代码
     */
    private String enterpriseCode;
    /**
     * 用户id
     */
    private String userId;

    /**
     * 图片标识
     */
    private String uuid;

    @Override
    public String toString() {
        return new ToStringBuilder(this).append("appId", appId).append("version", version)
            .append("enterpriseCode", enterpriseCode).append("userId", userId).append("uuid", uuid).toString();
    }
}
