package com.dxhy.portrait.business.entity.ocr;

import java.math.BigDecimal;
import java.util.Date;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import com.dxhy.portrait.business.entity.DataAdapter;
import com.thoughtworks.xstream.annotations.XStreamAlias;

import lombok.Data;

/**
 * @ClassName OcrFlag
 *
 * @Author wyh
 * @Date 2019/11/21 15:25
 * @Version 1.0
 **/
@Data
@XStreamAlias("PARAMETER")
@XmlJavaTypeAdapter(value = DataAdapter.class)
public class OcrFlag {

    @XStreamAlias("F_INV_NO")
    @XmlJavaTypeAdapter(value = DataAdapter.class)
    @XmlElement(required = true, nillable = true)
    private String invoiceNo;

    @XStreamAlias("F_INV_CODE")
    @XmlJavaTypeAdapter(value = DataAdapter.class)
    @XmlElement(required = true, nillable = true)
    private String invoiceCode;

    @XStreamAlias("F_INV_DATE")
    @XmlJavaTypeAdapter(value = DataAdapter.class)
    @XmlElement(required = true, nillable = true)
    private Date invoiceDate;

    @XStreamAlias("F_INV_MACHINE_NO")
    @XmlJavaTypeAdapter(value = DataAdapter.class)
    @XmlElement(required = true, nillable = true)
    private String invoiceMachineNo;

    @XStreamAlias("F_BUYER_TAX_CODE")
    @XmlJavaTypeAdapter(value = DataAdapter.class)
    @XmlElement(required = true, nillable = true)
    private BigDecimal gfTaxNo;

    @XStreamAlias("F_SALER_TAX_CODE")
    @XmlJavaTypeAdapter(value = DataAdapter.class)
    @XmlElement(required = true, nillable = true)
    private BigDecimal xfTaxNo;

    @XStreamAlias("F_AMOUNT")
    @XmlJavaTypeAdapter(value = DataAdapter.class)
    @XmlElement(required = true, nillable = true)
    private BigDecimal invoiceAmount;

    @XStreamAlias("F_INV_TAXBOX")
    @XmlJavaTypeAdapter(value = DataAdapter.class)
    @XmlElement(required = true, nillable = true)
    private String invoiceTaxbox;
}
