package com.dxhy.portrait.business.entity.sys;

import com.dxhy.portrait.business.entity.Business;
import com.dxhy.portrait.business.entity.DocumentType;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 系统用户
 *
 * @author wyh
 */
@Data
public class SysUserEntity implements Serializable {

    private static final long serialVersionUID = -3950759964328552494L;

    private Long userId;

    private String userName;

    private String password;

    private String userCode;

    /**
     * 盐
     */
    private String salt;

    private String mobile;

    private Long deptCode;

    private String deptName;

    private String company;

    /**
     * 业务类型
     */
    private List<Business> businesses;

    /**
     * 单证集合
     */
    private List<DocumentType> documentTypes;

    /**
     * 当前用户的mac地址
     */
    private String clientMac;
    /**
     * 当前用户的IP
     */
    private String userIp;

}
