package com.dxhy.sign.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 * 查验历史记录显示对象
 *
 * @author jiaohongyang
 * @date 2019年3月26日 下午6:02:48
 */
@Data
public class CheckHistoryVO implements Serializable {

    private static final long serialVersionUID = 1260778637935625122L;

    /**
     * 记录唯一标识
     */
    private Long id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 金额
     */
    private String invoiceAmount;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 价税合计
     */
    private String totalAmount;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 查验结果
     */
    private String checkMassege;

    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 查验结果代码
     */
    private String handleCode;
    /**
     * 查验时间
     */
    private String handleDate;

    /**
     * 发票状态
     */
    private String invoiceStatus;

    private String scanId;

    private Boolean imgState;

    private String checkUser;

}
