package com.dxhy.sign.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author peipei.li
 * @date 2019-05-09 电子发票手工录入请求vo
 */
@Data
public class ElecInvoiceReqVO {

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 开票日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date invoiceDate;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 业务单元参数
     */
    private String businessCode;

}
