package com.dxhy.sign.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 * 扫描仪查验页面显示对象
 *
 * @author peipei.li
 * @date 2019-04-29
 */
@Data
public class ExtSmycyVO implements Serializable {

    private static final long serialVersionUID = -2706992179225267122L;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票唯一标识
     */
    private String id;

    /**
     * 查验结果
     */
    private String checkMassege;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 金额
     */
    private String invoiceAmount;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 扫描id
     */
    private String scanId;

    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 查验结果代码
     */
    private String handleCode;

    /**
     * 是否显示明细按钮 true:显示 false:不显示
     */
    private Boolean detailFlag;
    /**
     * 是否显示编辑按钮true:显示 false:不显示
     */
    private Boolean editState;
    /**
     * 是否显示删除按钮true:显示 false:不显示
     */
    private Boolean delState;
    private String totalAmount;
}
