package com.dxhy.sign.model;

import lombok.Data;

import java.io.Serializable;

/**
 * 手工签收未签收查询列表
 *
 * @author peipei.li
 * @date 2019-04-29
 */
@Data
public class SgqsWqsfpVO implements Serializable {

    private static final long serialVersionUID = -7732605685752170177L;

    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票
     */
    private String invoiceType;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 全电号码
     **/
    private String eleInvoiceNo;

    /**
     * 购方名称
     */
    private String gfName;

    /**
     * 销方名称
     */
    private String xfName;

    /**
     * 签收结果（0-未签收 1-已签收）
     */
    private String qsStatus;

    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 金额
     */
    private String invoiceAmount;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 业务单元名称
     */
    private String businessName;

    private String qsDate;

    private String uuid;

}
