package com.dxhy.sign.service.fpqs;

import java.util.Map;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.sign.entity.TDxRecordInvoice;

/**
 *
 * 艺龙运维管理接口
 * 
 * @author jiaohongyang
 */
public interface YlSignService extends MpBaseService<TDxRecordInvoice> {

    /**
     * 查询已签收发票
     *
     * @param pramsMap
     *            查询参数集合
     * @param curr
     *            当前页数
     * @param size
     *            每页多少条
     * @return 返回结果
     *
     *
     */
    String ylqsList(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 批量删除
     *
     * @param pramsMap
     *            请求参数
     *
     *
     * @return 返回结果
     */
    String ylDel(Map<String, String> pramsMap);

    /**
     * 批量变更签收时间
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     *
     */
    String changeQsDate(Map<String, String> pramsMap);
}
