package com.dxhy.sign.service.singletable;

import java.util.List;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.sign.entity.TDxRecordInvoiceDetail;

/**
 *
 * 底账明细表的业务操作接口
 *
 * @author peipei.li
 * @date 2019-05-09
 */
public interface SignInvoiceDetailService extends MpBaseService<TDxRecordInvoiceDetail> {

    /**
     * 保存发票明细
     *
     * @param details
     *            明细
     * @param dbName
     *            数据源
     */
    void saveInvoiceDetail(List<TDxRecordInvoiceDetail> details, String dbName);

    /**
     * 删除明细
     *
     * @param uuid
     *            uuid
     * @param dbName
     *            数据源
     * @return 返回结果
     */
    boolean deleteDetail(String uuid, String dbName);

}
